package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材领用申请表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (试剂耗材领用申请表) 实体类
 */
@Data
@TableName(value = "application_for_use", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材领用申请表)")
public class ApplicationForUse extends BaseEntity {

    /**
     * (领取日期)
     */
    @ApiModelProperty(value="(领取日期)")
    private LocalDateTime dateOfCollection;

    /**
     * (领用人ID)
     */
    @ApiModelProperty(value="(领用人ID)")
    private String recipientId;



    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;



    /**
     * applicationForUseId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;

    /**
     * 出库记录表
     */
    @ApiModelProperty(value="出库记录表")
    private String deliveryRegistrationFormId;

    /**
     * 领用记录表
     */
    @ApiModelProperty(value="领用记录表")
    private String requisitionRecordId;

    /**
     * 领取码
     */
    @ApiModelProperty(value="领取码")
    private String claimCode;






}
