package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * (标准物质期间核查计划和确认表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (标准物质期间核查计划和确认表) 实体类
 */
@Data
@TableName(value = "period_verification_plan", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质期间核查计划和确认表明细)")
public class PeriodVerificationPlan extends BaseEntity {

    /**
     * (下次核查日期)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value="(下次核查日期)")
    private LocalDate dateOfNextCheck;

    /**
     * (偏差/不确定度)
     */
    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationAndUncertainty;

    /**
     * (核查人ID)
     */
    @ApiModelProperty(value="(核查人ID)")
    private String inspectorId;

    /**
     * (指导书ID)
     */
    @ApiModelProperty(value="(指导书ID)")
    private String instructionBookId;


    /**
     * (计划核查周期)
     */
    @ApiModelProperty(value="(计划核查周期)")
    private Integer plannedVerificationCycle;

    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;
 /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    /**
     * (计划核查日期)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value="(计划核查日期)")
    private LocalDate scheduledVerificationDate;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (核查依据)
     */
    @ApiModelProperty(value="(核查依据)")
    private String verificationBasis;

    /**
     * (核查实施日期)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value="(核查实施日期)")
    private LocalDate implementationDate;

    /**
     * (核查结果)
     */
    @ApiModelProperty(value="(核查结果)")
    private String verificationResult;

    /**
     * checkScheduleId
     */
    @ApiModelProperty(value="checkScheduleId")
    private String checkScheduleId;

    /**
     * periodVerificationPlanId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;


}
