package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购目录)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (采购目录) 实体类
 */
@Data
@TableName(value = "purchase_catalogue", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购目录)")
public class PurchaseCatalogue extends BaseEntity {

    /**
     * (一级审核意见)
     */
    @ApiModelProperty(value="一级审核意见")
    private String auditOpinionOfPrimary;

    /**
     * (二级审核意见)
     */
    @ApiModelProperty(value="二级审核意见")
    private String auditOpinionOfSecondary;

    /**
     * (一级审核结果)
     */
    @ApiModelProperty(value="一级审核结果")
    private Boolean auditResultOfPrimary;

    /**
     * (技术负责人审核结果)
     */
    @ApiModelProperty(value="二级审核结果")
    private Boolean auditResultOfSecondary;

    /**
     * (一级审核时间)
     */
    @ApiModelProperty(value="一级审核时间")
    private LocalDateTime auditTimeOfPrimary;

    /**
     * (二级审核时间)
     */
    @ApiModelProperty(value="二级审核时间")
    private LocalDateTime auditTimeOfSecondary;

    @ApiModelProperty(value="提交时间")
    private LocalDateTime commitTime;

    /**
     * (一级审核人ID)
     */
    @ApiModelProperty(value="一级审核人ID")
    private String primaryAuditorId;

    /**
     * 发布日期
     */
    @ApiModelProperty(value="发布日期")
    private LocalDateTime releaseDate;

    /**
     * (状态)
     */
    @ApiModelProperty(value="状态(0：未提交，1：已提交，2：一级审核通过，3：二级审核通过，4：已发布，-1：审核未通过)")
    private Integer status;


    /**
     * (二级审核人ID)
     */
    @ApiModelProperty(value="二级审核人ID")
    private String secondaryAuditorId;

    /**
     * (编号)
     */
    @ApiModelProperty(value="编号")
    private String number;

    /**
     * purchaseCatalogueId
     */
    @TableId(value = "purchase_catalogue_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="purchaseCatalogueId")
    private String purchaseCatalogueId;


}
