package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 试剂耗材库存
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe 试剂耗材库存 实体类
 */
@Data
@TableName(value = "reagent_consumable_inventory", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "试剂耗材库存")
public class ReagentConsumableInventory extends BaseEntity {

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String reagentConsumableName;
    /**
     * (品牌)
     */
    @ApiModelProperty(value = "(品牌)")
    private String brand;

    /**
     * (类别)
     */
    @ApiModelProperty(value = "(类别)")
    private String category;

    /**
     * (类别)
     */


    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value = "偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * (指导书ID)
     */
    @ApiModelProperty(value = "(指导书ID)")
    private String instructionBookId;

    /**
     * (试剂耗材Id)
     */
    @ApiModelProperty(value = "(试剂耗材Id)")
    private String reagentConsumableId;

    /**
     * (规格型号)
     */
    @ApiModelProperty(value = "(规格型号)")
    private String specificationAndModel;

    /**
     * (种类)
     */
    @ApiModelProperty(value = "(种类)")
    private String species;

    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value = "(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (技术参数)
     */
    @ApiModelProperty(value = "(技术参数)")
    private String technicalParameter;

    /**
     * (总数量)
     */
    @ApiModelProperty(value = "(总数量)")
    private Integer totalQuantity;

    /**
     * (包装份数)
     */
    @ApiModelProperty(value = "(包装份数)")
    private Integer packagedCopies;

    /**
     * reagentConsumableInventoryId
     */
    @TableId(value = "reagent_consumable_inventory_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "reagentConsumableInventoryId")

    private String reagentConsumableInventoryId;
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private Double unitPrice;

    /**
     * 别名
     */
    @ApiModelProperty(value = "别名")
    private String alias;

    /**
     * 存储条件
     */
    @ApiModelProperty(value = "存储条件")
    private String storageCondition;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 包装单位
     */
    @ApiModelProperty(value = "包装单位")
    private String minimumUnit;
    /**
     * (溶液浓度)
     */
    @ApiModelProperty(value = "(溶液浓度)")
    private String configurationConcentration;
    /**
     * 英文名
     */
    @ApiModelProperty(value = "英文名")
    private String englishName;
    /**
     * 存储期限
     */
    @ApiModelProperty(value = "存储期限")
    private Integer storageLife;
/**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * (预警值)
     */
    @ApiModelProperty(value="(预警值)")
    private Integer warningValue;

    @ApiModelProperty(value="(预警信息)")
    private String  warningInformation;

}
