package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-23 16:38:02
 * @describe  实体类
 */
@Data
@TableName(value = "reference_material", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class ReferenceMaterial extends BaseEntity {

    /**
     * number
     */
    @ApiModelProperty(value="标准物质编号")
    private String number;
/**
     * number
     */
    @ApiModelProperty(value="状态(0为可以使用，-1为停用,-2为降级使用、-3 已被领用")
    private Integer status;

    /**
     * reagentConsumableId
     */
    @ApiModelProperty(value="试剂耗材Id")
    private String reagentConsumableId;

    /**
     * batchDetailsId
     */
    @ApiModelProperty(value="批次明细Id")
    private String batchDetailsId;
    /**
     * batchDetailsId
     */
    @ApiModelProperty(value="格子ID")
    private String latticeId;

    @ApiModelProperty(value="位置信息")
    private String location;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;

    @ApiModelProperty(value="试剂耗材(含标准物质)仓库表ID")
    private String reagentConsumableInventoryId;

}
