package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "solution_use_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "(标准溶液使用记录表)")
public class SolutionUseForm {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="标准溶液使用记录表ID")
    private String id;

    @ApiModelProperty(value="标准溶液配置记录表ID")
    private String solutionId;

    @ApiModelProperty(value="(使用数量（mL）)")
    private String quantityUsed;

    @ApiModelProperty(value="(使用次序)")
    private Integer orderOfUse;

    @ApiModelProperty(value="(使用人ID)")
    private String userId;

    @ApiModelProperty(value="(标准物质领用/归还登记表ID)")
    private String standardMaterialApplicationId;
}
