package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材入库登记表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe (试剂耗材入库登记表) 实体类
 */
@Data
@TableName(value = "storage_registration_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材入库登记表)")
public class StorageRegistrationForm extends BaseEntity {

    /**
     * (入库日期)
     */
    @ApiModelProperty(value="(入库日期)")
    private LocalDateTime dateOfArrival;

    /**
     * (入库人)
     */
    @ApiModelProperty(value="(入库人)")
    private String depositorId;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;

    /**
     * storageRegistrationFormId
     */
    @TableId(value = "storage_registration_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="storageRegistrationFormId")
    private String storageRegistrationFormId;




}
