package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.StandardReserveSolution;
import digital.laboratory.platform.reagent.vo.StandardReserveSolutionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (标准储备溶液配制及使用记录表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准储备溶液配制及使用记录表) Mapper 类
 */
@Mapper
public interface StandardReserveSolutionMapper extends BaseMapper<StandardReserveSolution> {

    StandardReserveSolutionVO getStandardReserveSolutionVOById (String id);

    IPage<StandardReserveSolutionVO> getStandardReserveSolutionVOPage (IPage<StandardReserveSolution> page , @Param(Constants.WRAPPER) QueryWrapper <StandardReserveSolution>qw);
    IPage<StandardReserveSolutionVO> getVOPage ();

}
