package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.dto.PurchaseListDTO;
import digital.laboratory.platform.reagent.entity.PurchaseList;
import digital.laboratory.platform.reagent.entity.PurchaseListDetails;
import digital.laboratory.platform.reagent.vo.PurchaseListDetailsVO;
import digital.laboratory.platform.reagent.vo.PurchaseListPageVO;
import digital.laboratory.platform.reagent.vo.PurchaseListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (采购清单)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购清单) 服务类
 */
public interface PurchaseListService extends IService<PurchaseList> {

    //
    PurchaseListVO getPurchaseList(String purchaseListId);

    void editById(List<PurchaseListDTO> purchaseListDTOList);

    //
    PurchaseList commitById(List<PurchaseListDTO> purchaseListDTOList);

    PurchaseListDetailsVO addDetails(PurchaseListDTO purchaseListDTO);

    IPage<PurchaseListPageVO> getPurchaseListVOPage(IPage<PurchaseList> page, @Param(Constants.WRAPPER) QueryWrapper<PurchaseList> qw);
}
