package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.entity.SolutionUseForm;
import digital.laboratory.platform.reagent.entity.StandardReserveSolution;
import digital.laboratory.platform.reagent.mapper.SolutionUseFormMapper;
import digital.laboratory.platform.reagent.service.SolutionUseFormService;
import digital.laboratory.platform.reagent.service.StandardReserveSolutionService;
import digital.laboratory.platform.reagent.vo.SolutionUseFormVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service//标准溶液使用记录
public class SolutionUseFormServiceImpl extends ServiceImpl<SolutionUseFormMapper, SolutionUseForm> implements SolutionUseFormService {

    @Autowired
    private SolutionUseFormService solutionUseFormService;
    @Autowired
    private StandardReserveSolutionService standardReserveSolutionService;
    @Override
    public List<SolutionUseFormVO> getSolutionUseFormVOList(String solutionId){

        List<SolutionUseFormVO> solutionUseFormVOList = baseMapper.getSolutionUseFormVOList(solutionId);

        return solutionUseFormVOList;
    }

    @Override
    public SolutionUseForm useById(String solutionNumbering, DLPUser dlpUser){

        SolutionUseForm solutionUseForm = new SolutionUseForm();

        LambdaQueryWrapper<StandardReserveSolution> standardReserveSolutionLambdaQueryWrapper = new LambdaQueryWrapper<>();

        standardReserveSolutionLambdaQueryWrapper.eq(StandardReserveSolution::getSolutionNumbering,solutionNumbering);

        StandardReserveSolution standardReserveSolution = standardReserveSolutionService.getOne(standardReserveSolutionLambdaQueryWrapper);

        solutionUseForm.setSolutionId(standardReserveSolution.getId());

        solutionUseForm.setUserId(dlpUser.getId());

        solutionUseForm.setId(IdWorker.get32UUID().toUpperCase());

        LambdaQueryWrapper<SolutionUseForm> solutionUseFormLambdaQueryWrapper = new LambdaQueryWrapper<>();

        solutionUseFormLambdaQueryWrapper.eq(SolutionUseForm::getSolutionId,standardReserveSolution.getId());

        List<SolutionUseForm> list = solutionUseFormService.list(solutionUseFormLambdaQueryWrapper);
        //判断使用次序
        if (list==null){
            solutionUseForm.setOrderOfUse(1);
        }else {
            solutionUseForm.setOrderOfUse(list.size()+1);
        }
        if (solutionUseFormService.save(solutionUseForm)){
            return solutionUseForm;
        }else throw new RuntimeException(String.format("标准储备溶液使用记录保存失败"));
    }
}
