/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : localhost:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 09/05/2023 14:38:51
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(6) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------
INSERT INTO `acceptance_record_form` VALUES ('0059EBCBF4D85C8096215F0F7B4637BD', '10', NULL, NULL, NULL, NULL, '12', NULL, NULL, NULL, NULL, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, NULL, '0', '0', '0', '2023-05-05 14:28:11.111000', '2023-05-05 17:44:30.690000', '1', '1', '合格', '10', '合格', '10', '合格', NULL, '合格', '', '合格', '', '4DE1482F1E1C25E76EEAA306E3161C9D', 1, NULL, '管理员', NULL);
INSERT INTO `acceptance_record_form` VALUES ('019587824964D35D6E5C2D25B9D80CDF', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, NULL, NULL, '0', '0', '0', '2023-05-09 14:17:08.299000', '2023-05-09 14:17:08.299000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '649CF5C051DE55F375BB638440FFF37F', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('1011DEA6AD3F27A82D6C5461E5AC9BF1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, NULL, '0', '0', '0', '2023-05-05 10:14:35.363000', '2023-05-05 10:14:35.363000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DE1482F1E1C25E76EEAA306E3161C9D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('13FCE22407CCC586F6EF1E5111D83B2C', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '0', '0', '0', '2023-04-18 15:19:44.977000', '2023-04-23 17:32:25.922000', '1', '1', '合格', '', '合格', '', '合格', NULL, '合格', '', '合格', '', '1', 1, NULL, '管理员', NULL);
INSERT INTO `acceptance_record_form` VALUES ('2CF8F718D6462E5B5DD8ACD3996C6350', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 17:58:24.090000', '2023-04-27 10:17:14.268000', '1', '6c847974320c7cb184228d53eea19114', '合格', '', '合格', '', '合格', NULL, '合格', '', '合格', '', '4DE1482F1E1C25E76EEAA306E3161C9D', 1, NULL, '123456', NULL);
INSERT INTO `acceptance_record_form` VALUES ('33A2BAD9FCDA343E00D491DDA4915370', '111', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, NULL, '0', '0', '0', '2023-04-27 09:10:22.730000', '2023-05-08 14:30:29.930000', '1', '1', '不合格', '', '合格', '', '不合格', NULL, '合格', '', '不合格', '', 'EA088AA61983C2C8C60954D2D8E4B153', 1, NULL, '管理员', '2023-05-08 14:30:29.928000');
INSERT INTO `acceptance_record_form` VALUES ('3CA16BCA35AAFA3799A82425A66B3F7B', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, NULL, '0', '0', '0', '2023-04-21 15:10:58.746000', '2023-04-21 15:10:58.746000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '0', NULL, '0', NULL, '0', NULL, '0', NULL, '0', NULL, '2DA79E5EA9BD6AC13D6BED4258B976EA', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('4496EF6AB1F98E9547A3040E3082E221', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 18:13:57.021000', '2023-04-26 18:13:57.021000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '80FA0C44E3A2846331CAD918A2D90F2D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('6111B09A6685A699034FCEB7E41118A9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 18:16:10.815000', '2023-04-26 18:16:10.815000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DE1482F1E1C25E76EEAA306E3161C9D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('75DC9F51C4A74A057B3A4BF73CC9A9A3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 18:04:23.703000', '2023-04-26 18:04:23.703000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12F7D1F5F83481503F5EAC204BFE9FB7', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('7784307B918560C17AC4DE1AAE6FAA82', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, NULL, '0', '0', '0', '2023-04-27 09:10:22.737000', '2023-04-27 09:10:22.737000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DE1482F1E1C25E76EEAA306E3161C9D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('77D5BBB6BC339193EA8C9CB3522B6ECC', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 17:54:11.056000', '2023-04-26 17:54:11.056000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12F7D1F5F83481503F5EAC204BFE9FB7', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('844C445ECFD833BDEF92087767F87F13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-05-05 10:14:35.367000', '2023-05-05 10:14:35.367000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2DA79E5EA9BD6AC13D6BED4258B976EA', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('90A7E86DE961D322D620DD0096E37461', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '56BC02CC3C58F537A8289D142297A381', NULL, NULL, NULL, '0', '0', '0', '2023-04-21 17:17:23.971000', '2023-04-21 17:17:23.971000', '1', '1', '0', NULL, '0', NULL, '0', NULL, '0', NULL, '0', NULL, '80FA0C44E3A2846331CAD918A2D90F2D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('936070F7CD0CAAA7001D7470292D94B4', '验收合格', NULL, NULL, NULL, NULL, '无后续', '无不合格项目', '审核通过', '1', '2023-04-06 15:10:21.402', '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '0', '0', '1', '2023-04-06 14:46:15.808000', '2023-04-06 15:10:21.422000', '1', '1', '1', NULL, '1', NULL, '1', NULL, '1', NULL, '1', NULL, '1', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('9E4DF311DB59CF964926A79B3DE20255', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-05-05 14:28:11.115000', '2023-05-05 14:28:11.115000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2DA79E5EA9BD6AC13D6BED4258B976EA', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('A23BE57BE8D52A9156ACBC8277F09E5F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '8C057A697826732F6510CDC2A691B4D5', NULL, NULL, NULL, '0', '0', '0', '2023-05-09 14:17:08.297000', '2023-05-09 14:17:08.297000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '649CF5C051DE55F375BB638440FFF37F', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('A53CC2E340BD77A9AD4BAA1F688771A6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, NULL, '0', '0', '0', '2023-04-27 09:10:22.738000', '2023-04-27 09:10:22.738000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DE1482F1E1C25E76EEAA306E3161C9D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('B78BE43314963F822AA4A1EB58842071', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, NULL, '0', '0', '0', '2023-05-06 17:03:01.047000', '2023-05-06 17:03:01.047000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '649CF5C051DE55F375BB638440FFF37F', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('BF7CB273C05D5996EAAA0F5CDC004A32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-05-05 15:44:05.625000', '2023-05-05 15:44:05.625000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2DA79E5EA9BD6AC13D6BED4258B976EA', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('C4911EF36B4E37D79D83FFEE84951246', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '0', '0', '0', '2023-04-18 15:19:44.974000', '2023-04-18 15:19:44.974000', '1', '1', '0', NULL, '0', NULL, '0', NULL, '0', NULL, '0', NULL, '1', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('CCAD332A4C757AA6D333A02E790D7DCB', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-04-27 09:10:22.740000', '2023-04-27 09:10:22.740000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '80FA0C44E3A2846331CAD918A2D90F2D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('D63D8FA9925D827CAAB28FD541EB5E3C', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 17:59:34.877000', '2023-04-26 17:59:34.877000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '80FA0C44E3A2846331CAD918A2D90F2D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('D94C8E79FA703CB2116594E4F3DD5628', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, NULL, '0', '0', '0', '2023-05-08 11:46:22.561000', '2023-05-08 11:46:22.561000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('DD36F7889EA9E866CF2429D03D168FE7', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 17:59:17.619000', '2023-04-26 17:59:17.619000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12F7D1F5F83481503F5EAC204BFE9FB7', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('DE561C05F700ED925CE320ABFA03E5F2', '验收合格', NULL, NULL, NULL, NULL, '无后续', '无不合格项目', NULL, NULL, NULL, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '0', '0', '0', '2023-04-06 14:46:15.813000', '2023-04-06 14:56:15.285000', '1', '1', '1', '无', '1', '无', '1', NULL, '1', '无', '1', '无', '1', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('E1081B769B37A22B9EF17854042F62C5', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, NULL, '0', '0', '0', '2023-04-21 17:36:20.022000', '2023-04-21 17:36:20.022000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '0', NULL, '0', NULL, '0', NULL, '0', NULL, '0', NULL, '80FA0C44E3A2846331CAD918A2D90F2D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('E9A5FBC0449FD4CBF0E7D8745EFFEBD7', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '937EFD62F407E54BC1C57AD6A8159F83', NULL, NULL, NULL, '0', '0', '0', '2023-05-09 14:17:08.298000', '2023-05-09 14:17:08.298000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '649CF5C051DE55F375BB638440FFF37F', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('EC312F9F099DFE14F150206D718294F7', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '28613635426554046F0B12D7121A5AAB', NULL, NULL, NULL, '0', '0', '0', '2023-04-26 18:04:55.503000', '2023-04-26 18:04:55.503000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '80FA0C44E3A2846331CAD918A2D90F2D', 0, NULL, NULL, NULL);
INSERT INTO `acceptance_record_form` VALUES ('F27B3F9D7F2817D2BC94EEA467FECAF6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, NULL, '0', '0', '0', '2023-05-05 14:46:43.518000', '2023-05-05 14:46:43.518000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '4DE1482F1E1C25E76EEAA306E3161C9D', 0, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------
INSERT INTO `application_for_use` VALUES ('2023-05-05 17:17:03.963000', '1', 1, '01908891B2B82B5D34A0C9349EC802B3', '1859907410821378ACA212350425F87E', NULL, '493636', '2023-05-05 17:12:56.592000', '2023-05-05 17:17:03.998000', '1', '1');
INSERT INTO `application_for_use` VALUES (NULL, '1', 0, '14C121D69039FD360ED8C737AAB8B02E', NULL, NULL, NULL, '2023-05-04 15:24:26.867000', '2023-05-04 15:24:26.867000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-05 17:22:20.401000', 'BC1A096180973C5EA652C9787F5A155A', 1, '1C96F4B959D35D303A8417DEBB2211CD', '2F8736721D5A26C81239AED9141A7FCE', NULL, '107593', '2023-05-05 17:22:18.283000', '2023-05-05 17:22:20.413000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-06 10:10:33.389000', '1', 1, '2F08743049D0A60EC939D3FC3467E687', '569BEA574070A2EF5D973363F0EC751A', NULL, '570533', '2023-05-04 15:21:36.472000', '2023-05-06 10:10:33.401000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-04 14:30:20.590000', '1', 1, '2F4C81A9E29F74DA5154B8E53684A680', '34F1B472D85FFC6298987371B77A432E', NULL, '8069', '2023-05-04 14:16:32.626000', '2023-05-04 14:30:20.627000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-05 17:22:37.474000', '1', 1, '324906C6DFDBEF565A81EAEBD4515A58', '88E5DFCD17CE9274E09B226E882631BD', NULL, '781174', '2023-05-05 17:22:37.458000', '2023-05-05 17:22:37.490000', '1', '1');
INSERT INTO `application_for_use` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', 0, '397A33D0162912F9B954D138DC9674F2', NULL, NULL, NULL, '2023-05-04 14:21:34.096000', '2023-05-04 14:21:34.096000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-08 14:17:17.206000', '1', 2, '3AB719A9F16A072E23E051D83DCC18A6', 'A16248278D7E84000550EED57E6BF0DD', NULL, '', '2023-05-08 14:17:17.170000', '2023-05-08 14:18:03.075000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-04 14:14:27.601000', '1', 2, '50078CA9B05BE069B90AEAC8056C0326', 'F88231ACC38D4B278A5DC27883C839C5', NULL, '5493', '2023-05-04 14:14:27.595000', '2023-05-04 14:14:27.620000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-04 14:28:47.901000', 'BC1A096180973C5EA652C9787F5A155A', 2, '5478F5CA95137CC613BAC66A85C0A944', 'AA2F750732A03939AD66B4D1D6408668', NULL, '9203', '2023-05-04 14:18:37.746000', '2023-05-04 14:28:47.911000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', 0, '5910329FB371F7FDB063762B2F9E81AD', NULL, NULL, NULL, '2023-05-04 14:17:39.836000', '2023-05-04 14:17:39.836000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', 0, '666AC51E85586A9D0DADB6F3991F48A2', NULL, NULL, NULL, '2023-05-08 14:28:01.114000', '2023-05-08 14:28:01.114000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-06 09:39:00.672000', 'BC1A096180973C5EA652C9787F5A155A', 1, '7E8FD225B30F3B6572BF5FA0C1B14798', NULL, NULL, '051534', '2023-05-06 09:38:48.419000', '2023-05-06 09:39:00.673000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-06 09:41:13.452000', 'BC1A096180973C5EA652C9787F5A155A', 1, '7F6639E397BEE1CDAA1CDE7EA51BFB9D', '511C65E9DFE3355097313BFDC1209357', NULL, '761471', '2023-05-06 09:41:12.328000', '2023-05-06 09:41:13.459000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-06 09:39:17.804000', 'BC1A096180973C5EA652C9787F5A155A', 1, '85E4B2AE422FAD39AFDB4C701F0F9C33', 'FE8D5D44EF93C37354C7FE0CFFBE223B', NULL, '775241', '2023-05-06 09:39:17.795000', '2023-05-06 09:39:17.830000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-06 10:09:34.966000', '1', 1, 'A47701A79B4AFE62EFB1270C2D29297F', 'F1A162D226B298D173C4D65530818C8C', NULL, '795574', '2023-05-05 17:05:01.824000', '2023-05-06 10:09:34.995000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-06 09:43:44.393000', '1', 2, 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 'AEFCDB82C16C8928D12534858FD1FF75', NULL, '', '2023-05-06 09:43:44.387000', '2023-05-06 09:55:50.756000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-04 14:18:03.573000', '1', 2, 'D7FE84C7CA67A94F9B68A612739933E3', '60394586E937AE3D3B2E9C316B02D8EF', NULL, '6569', '2023-05-04 14:17:37.433000', '2023-05-04 14:18:03.580000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-06 10:30:28.650000', '1', 2, 'D8CC58992F323B6BB5EB5A0EE9D44236', 'ACBC2CE802A2261436BD21EF8EAD0D65', NULL, '', '2023-05-06 10:30:28.612000', '2023-05-06 10:31:10.416000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-06 09:40:46.369000', 'BC1A096180973C5EA652C9787F5A155A', 1, 'E01B5756E01400928F76E149AB9CBE85', '7D00134AA4AD48203D59E2121AB95E09', NULL, '790996', '2023-05-06 09:40:01.509000', '2023-05-06 09:40:46.379000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-08 17:15:08.563000', '1', 1, 'F509652385D160863141C7DC997E5B76', 'A186E1DE381BE7CC0D33EDA1D8783B4D', NULL, '732877', '2023-05-08 17:15:08.549000', '2023-05-08 17:15:08.573000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-05-04 15:25:45.336000', '1', 1, 'F791341196702121198DDC6B2E72D37C', '629945D4DB8A14F162752698990674FE', NULL, '213593', '2023-05-04 15:25:45.302000', '2023-05-04 15:25:45.362000', '1', '1');

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(0) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` int(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 10:14:35.332000', 1, '1DDDCFB220F4BF96470F29A862AAB465', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-05-05 10:14:35.322000', '2023-05-05 10:14:35.322000', '1', '1', '0DD1E2F913E75AA4FFF2D2EC099F6749', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-27 09:10:22.637000', 10, 'B696C188E6944A3A1F7FF4DB9CCCB8D1', 1, 'EA088AA61983C2C8C60954D2D8E4B153', '2023-04-27 09:10:22.627000', '2023-04-27 09:10:22.627000', '1', '1', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 17:59:17.581000', 1, '525BEBEE6C33BFCD7C33904E62C8D9DF', 1, '12F7D1F5F83481503F5EAC204BFE9FB7', '2023-04-26 17:59:17.540000', '2023-04-26 17:59:17.540000', '1', '1', '39E6E77560EE9775129C1EE696461122', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 17:58:24.107000', 10, '1F262CB0BB6724591DED736F2B30EA36', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-04-26 17:58:24.100000', '2023-04-26 17:58:24.100000', '1', '1', '3C429FDE75273486BCE6D352C4D6D713', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 18:16:10.811000', 10, '67BF506E4175B39832AF173417020077', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-04-26 18:16:10.809000', '2023-04-26 18:16:10.809000', '1', '1', '41A6DE86A3B5E07E6317A61A70A103E9', NULL);
INSERT INTO `batch_details` VALUES (1, '1231', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-08 11:46:22.532000', 1, '1DDDCFB220F4BF96470F29A862AAB465', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-08 11:46:22.520000', '2023-05-08 11:46:22.520000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '475E9700E7F5653F0320B1B3B178AD5B', NULL);
INSERT INTO `batch_details` VALUES (1, '批号', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-08 11:50:04.354000', 1, 'B91BCDEBBD4E4549B82A8AE46E453290', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-08 11:50:04.351000', '2023-05-08 11:50:04.351000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '51E7F0D132D006DAC9D3A55FA568DB60', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 14:28:11.100000', 1, 'E9C2C967CF110509C66207D492D4344D', 1, '2DA79E5EA9BD6AC13D6BED4258B976EA', '2023-05-05 14:28:11.097000', '2023-05-05 14:28:11.097000', '1', '1', '56A7E90348B24787DD87187923DF19B7', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-27 09:10:22.680000', 10, 'B91BCDEBBD4E4549B82A8AE46E453290', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-04-27 09:10:22.677000', '2023-04-27 09:10:22.677000', '1', '1', '7C4663977A69DF24EE23B598E062F36E', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 17:59:34.852000', 5, '67C7F163CC3A2CB3C5D1A74DCFED35D0', 1, '80FA0C44E3A2846331CAD918A2D90F2D', '2023-04-26 17:59:34.849000', '2023-04-26 17:59:34.849000', '1', '1', '8BEAF0D407943D8D98F1F1FB166FAA26', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 15:44:05.597000', 1, 'E9C2C967CF110509C66207D492D4344D', 1, '2DA79E5EA9BD6AC13D6BED4258B976EA', '2023-05-05 15:44:05.584000', '2023-05-05 15:44:05.584000', '1', '1', '92D5E28A46D2E7F73EC6CAD776F5B6ED', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 18:13:57.001000', 10, 'E587696BD905A8B2FE1FA92A42AFBDC5', 1, '80FA0C44E3A2846331CAD918A2D90F2D', '2023-04-26 18:13:56.998000', '2023-04-26 18:13:56.998000', '1', '1', '97B62BE64C1398B73B5E39A15FC551AE', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 10:19:03.863000', 3, '1DDDCFB220F4BF96470F29A862AAB465', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-05-05 10:19:03.860000', '2023-05-05 10:19:03.860000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '9E87F84467C37EB4A44849F23E8971FB', NULL);
INSERT INTO `batch_details` VALUES (1, '1111111111111', NULL, NULL, NULL, NULL, 12, NULL, '2023-05-09 14:17:08.279000', 1, '4FC26DE3BC99D183983B5D81214DDDB2', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-09 14:17:08.273000', '2023-05-09 14:17:08.273000', '1', '1', '9F14A801C7E765A49C0F4FC5E9BF4158', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 14:28:11.076000', 1, '1DDDCFB220F4BF96470F29A862AAB465', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-05-05 14:28:11.066000', '2023-05-05 14:28:11.066000', '1', '1', 'ADEC440163F0899694AE953A91893680', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 10:14:35.352000', 1, 'E9C2C967CF110509C66207D492D4344D', 1, '2DA79E5EA9BD6AC13D6BED4258B976EA', '2023-05-05 10:14:35.350000', '2023-05-05 10:14:35.350000', '1', '1', 'B0AC77474AB35A09B1B43B9D9B3F96A8', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 17:58:22.016000', 10, '1383FDE81ACAE63B7006F926E336C9DF', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-04-26 17:58:21.991000', '2023-04-26 17:58:21.991000', '1', '1', 'B7524F6260AB519E2E886DE3E68C2DC8', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 18:04:23.683000', 1, '525BEBEE6C33BFCD7C33904E62C8D9DF', 1, '12F7D1F5F83481503F5EAC204BFE9FB7', '2023-04-26 18:04:23.679000', '2023-04-26 18:04:23.679000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'BA1590E53E2189F7805C5F4E60E64A73', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-06 17:03:00.990000', 1, 'B696C188E6944A3A1F7FF4DB9CCCB8D1', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 17:03:00.970000', '2023-05-06 17:03:00.970000', '1', '1', 'BEBF19F8E14AE85BE3EB4E3CE8083E95', NULL);
INSERT INTO `batch_details` VALUES (2, '批号', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-08 11:50:57.016000', 1, 'B91BCDEBBD4E4549B82A8AE46E453290', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-08 11:50:57.013000', '2023-05-08 11:50:57.013000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'C44FD310D70B1E3DCBD061426E6CB72B', NULL);
INSERT INTO `batch_details` VALUES (1, '333333333333333', NULL, NULL, NULL, NULL, 12, NULL, '2023-05-09 14:17:08.292000', 10, '88E3F6FA4931584A4EA8F4718EF19BD8', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-09 14:17:08.289000', '2023-05-09 14:17:08.289000', '1', '1', 'CE0011F56CBB96DA1F6288B9C0132A5C', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 18:04:55.487000', 5, '67C7F163CC3A2CB3C5D1A74DCFED35D0', 1, '80FA0C44E3A2846331CAD918A2D90F2D', '2023-04-26 18:04:55.485000', '2023-04-26 18:04:55.485000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'DA7DACD92C76573B4A818074072AE6E6', NULL);
INSERT INTO `batch_details` VALUES (1, '222222222222222', NULL, NULL, NULL, NULL, 12, NULL, '2023-05-09 14:17:08.287000', 1, '704822B0A0369D83704F8A6443B5E82A', 1, '649CF5C051DE55F375BB638440FFF37F', '2023-05-09 14:17:08.285000', '2023-05-09 14:17:08.285000', '1', '1', 'DD7D493FB791AEAA4BB5392D720EABEF', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 14:46:43.493000', 1, '1DDDCFB220F4BF96470F29A862AAB465', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-05-05 14:46:43.484000', '2023-05-05 14:46:43.484000', '1', '1', 'DEA4AEA1610E8223E4D1D58A7E0E0FCD', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-26 17:54:11.044000', 5, '9C686869385A8620A1964678B11AF711', 1, '12F7D1F5F83481503F5EAC204BFE9FB7', '2023-04-26 17:54:11.033000', '2023-04-26 17:54:11.033000', '1', '1', 'E011EE1548CDD56B9F715E80EFB80C23', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-27 10:15:56.201000', 1, 'B91BCDEBBD4E4549B82A8AE46E453290', 1, '12F7D1F5F83481503F5EAC204BFE9FB7', '2023-04-27 10:15:56.193000', '2023-04-27 10:15:56.193000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'EAE4435E584B184503D1158CA12DD529', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-27 09:10:22.685000', 10, '1DDDCFB220F4BF96470F29A862AAB465', 1, '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-04-27 09:10:22.683000', '2023-04-27 09:10:22.683000', '1', '1', 'F6BB1D40A4948CBD3729D5C46394EB7B', NULL);
INSERT INTO `batch_details` VALUES (1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-27 09:10:22.707000', 10, 'E9C2C967CF110509C66207D492D4344D', 1, '80FA0C44E3A2846331CAD918A2D90F2D', '2023-04-27 09:10:22.704000', '2023-04-27 09:10:22.704000', '1', '1', 'F7D6CF766AA8B26075AC5431A324F1DD', NULL);

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of blacklist
-- ----------------------------
INSERT INTO `blacklist` VALUES ('E394DF6CB798A925D4C79F51544E1A73', '0', '1', '202304211820025421649357316736077825', NULL, '2023-04-21 18:20:02.543000', '2023-04-21 18:20:02.543000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('E394DF6CB798A925D4C79F51544E1A73', '0', '1', '202304231010128261649958823063900161', NULL, '2023-04-23 10:10:12.838000', '2023-04-23 10:10:12.838000', '1', '1');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202304281436436851651837832915832834', NULL, '2023-04-28 14:36:43.687000', '2023-04-28 14:36:43.687000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '4DE1482F1E1C25E76EEAA306E3161C9D', '202304281438264641651838263998009346', NULL, '2023-04-28 14:38:26.464000', '2023-04-28 14:38:26.464000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202304281440031601651838669570428930', NULL, '2023-04-28 14:40:03.160000', '2023-04-28 14:40:03.160000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202304281440078841651838689367543810', NULL, '2023-04-28 14:40:07.884000', '2023-04-28 14:40:07.884000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202304281440098431651838697588379650', NULL, '2023-04-28 14:40:09.843000', '2023-04-28 14:40:09.843000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202304281441010901651838912546459650', NULL, '2023-04-28 14:41:01.091000', '2023-04-28 14:41:01.091000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '4DE1482F1E1C25E76EEAA306E3161C9D', '202304281441532501651839131317161986', NULL, '2023-04-28 14:41:53.251000', '2023-04-28 14:41:53.251000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('28613635426554046F0B12D7121A5AAB', '0', '80FA0C44E3A2846331CAD918A2D90F2D', '202304281446543951651840394410840065', NULL, '2023-04-28 14:46:54.395000', '2023-04-28 14:46:54.395000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('28613635426554046F0B12D7121A5AAB', '0', '80FA0C44E3A2846331CAD918A2D90F2D', '202304281454538651651842405457924097', NULL, '2023-04-28 14:54:53.866000', '2023-04-28 14:54:53.866000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202304281455162921651842499519385601', NULL, '2023-04-28 14:55:16.293000', '2023-04-28 14:55:16.293000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '4DE1482F1E1C25E76EEAA306E3161C9D', '202304281530228031651851334875336705', NULL, '2023-04-28 15:30:22.805000', '2023-04-28 15:30:22.805000', '1', '1');
INSERT INTO `blacklist` VALUES ('01544E78840136DB515916EC504FF137', '0', '80FA0C44E3A2846331CAD918A2D90F2D', '202305050958350451654304550745497602', NULL, '2023-05-05 09:58:35.047000', '2023-05-05 09:58:35.047000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `blacklist` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '0', '12F7D1F5F83481503F5EAC204BFE9FB7', '202305051601035321654395770511527938', NULL, '2023-05-05 16:01:03.534000', '2023-05-05 16:01:03.534000', '1', '1');
INSERT INTO `blacklist` VALUES ('6D9807222F22E3675247B2CFCD5344A5', '0', 'EA088AA61983C2C8C60954D2D8E4B153', '202305051601246711654395859158142977', NULL, '2023-05-05 16:01:24.671000', '2023-05-05 16:01:24.671000', '1', '1');

-- ----------------------------
-- Table structure for cabinet_form
-- ----------------------------
DROP TABLE IF EXISTS `cabinet_form`;
CREATE TABLE `cabinet_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `storage_room_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification` int(255) NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cabinet_form
-- ----------------------------
INSERT INTO `cabinet_form` VALUES ('1', '1', '测试柜', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`catalogue_details_id`) USING BTREE,
  INDEX `IXFK_catalogue_details_purchase_catalogue`(`purchase_catalogue_id`) USING BTREE,
  CONSTRAINT `FK_catalogue_details_purchase_catalogue` FOREIGN KEY (`purchase_catalogue_id`) REFERENCES `purchase_catalogue` (`purchase_catalogue_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------
INSERT INTO `catalogue_details` VALUES ('bd', '标准物质', NULL, '434', '59B41C115F9906393320FE4D5760053A', NULL, '冰毒2', '一般标准物质', 'bd', '65%', 0000434.00, '2023-04-18 10:42:48.578000', '2023-04-18 10:42:48.578000', '1', '1', '008412a04bcc21b9d66d19563eccbacd', 'db', NULL, 'bd', '冷藏贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('yyy', '标准物质', NULL, '45', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸4', '一般标准物质', 'yyy', '67%', 0000545.00, '2023-04-18 10:22:55.589000', '2023-04-18 10:22:55.589000', '1', '1', '01193a55aafa6c75519460937a92cfff', 'yyy', NULL, 'yyy', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '2', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '02EDB97085E8E7179B0FF25AEDDAD35E', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', '59B41C115F9906393320FE4D5760053A', '1', '222', '酒精', '22', '22', 0000022.00, '2023-04-18 09:49:33.037000', '2023-04-18 09:49:33.037000', '1', '1', '08C43B71952B63AB20EC2B47CE2F66F1', '22', NULL, '22', '常规贮存', '222', '盒');
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'C36754AF0ECCE3A098669C5D69297F8F', '4', '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-09 14:07:45.336000', '2023-05-09 14:08:18.372000', '1', '1', '0EB44FDE681407725AE12C4462E26F49', 'alcohol', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '常规贮存', '1', '箱');
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '4', '手套', '一般耗材', '1', '无', 0000010.00, '2023-04-26 17:29:45.035000', '2023-04-26 17:31:55.948000', '1', '1', '2089FBA1676338506BB4290B2F67AB0F', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱');
INSERT INTO `catalogue_details` VALUES ('dama', '标准物质', NULL, '564', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻2', '一般标准物质', 'dada', '56%', 0000045.00, '2023-04-18 10:26:32.422000', '2023-04-18 11:30:05.609000', '1', '1', '4736fb527e00c14d903c7ce2b1b41a06', 'dama', 'E394DF6CB798A925D4C79F51544E1A73', 'dama', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '2', '手套', '一般耗材', '1', '无', 0000010.00, '2023-05-09 14:07:45.335000', '2023-05-09 14:07:45.335000', '1', '1', '528FE242FD79A9FC030DB41BFACFDE7D', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '1', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-04-26 17:29:45.032000', '2023-04-26 17:31:55.950000', '1', '1', '546DC84D787AF0B5DE1952810115D1FB', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', '769B6D8D7A54F4595A06745F25706169', '1', '222', '酒精', '22', '22', 0000022.00, '2023-04-18 09:54:38.616000', '2023-04-18 11:30:05.617000', '1', '1', '6741963791AFDF6B5957C1B6D87DCA31', '22', '4DC0DFAD80856851F5484282EAFC54ED', '22', '常规贮存', '222', '盒');
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '7', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:14:49.041000', '1', '1', '69C351BD6A27C39647FFA9C5A20B1F20', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '3', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-05-09 14:07:45.336000', '2023-05-09 14:07:45.336000', '1', '1', '6E9F559C88705A67AEFC3E7E2C1FB32E', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('yyy', '标准物质', NULL, '24', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸5', '一般标准物质', 'hhh', '56%', 0000043.00, '2023-04-18 10:23:53.750000', '2023-04-18 10:24:03.137000', '1', '1', '78e506fbf00d377ab16f75b5b46df5e9', 'yh', NULL, 'yy', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('bd', '标准物质', NULL, '232', '59B41C115F9906393320FE4D5760053A', NULL, '冰毒', '一般标准物质', 'bd', 'bd', 0000323.00, '2023-04-18 10:43:38.367000', '2023-04-18 10:43:38.367000', '1', '1', '87a706660db3f55c9961ce540da3685a', 'bd', NULL, 'bd', '冷藏贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('da', '标准物质', NULL, '54', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻3', '一般标准物质', 'ma', '76%', 0000045.00, '2023-04-18 10:27:24.101000', '2023-04-18 11:30:05.619000', '1', '1', '8f9af522b4bb8a2400a1ef99a27053e6', 'ma', '68D2DBC2AF35C0CEB4E67B6B2977AD61', 'ma', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('222', '耗材', NULL, '34', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸', '木材', '22', '22%', 0000043.00, '2023-04-18 10:21:19.649000', '2023-04-18 10:21:19.649000', '1', '1', '90f51fa2e5af76c1c56a8b73569d5568', 'fdf', NULL, '222', '常规贮存', NULL, '箱');
INSERT INTO `catalogue_details` VALUES ('1', '试剂', '1.0', '1', 'C36754AF0ECCE3A098669C5D69297F8F', NULL, '试剂1', '一般试剂', '2x2', '99', 0000001.00, '2023-05-09 14:14:47.922000', '2023-05-09 14:14:47.922000', '1', '1', '9ccf32ea4437fb7b25a4d297efa7cf96', 'reagent', NULL, '1', '常规贮存', '1', '盒');
INSERT INTO `catalogue_details` VALUES ('da', '标准物质', NULL, '2343', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻', '一般标准物质', 'da', '56%', 0003443.00, '2023-04-18 10:40:34.056000', '2023-04-18 11:30:05.621000', '1', '1', 'a0f3bcc38bf2681e830d9bea6a23c2b6', 'da', 'A3D7E4D4A19169E664FFF0698A4CF8AD', 'da', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('hhh', '标准物质', NULL, '323', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '摇头丸2', '一般标准物质', 'hhh', '33%', 0000023.00, '2023-04-18 10:22:12.022000', '2023-04-18 10:22:12.022000', '1', '1', 'a536b921bc685e8817e9e7d72087c82c', 'hhh', NULL, 'hhh', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('小米', '耗材', '无', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '2', '手套', '一般耗材', '1', '无', 0000010.00, '2023-05-09 14:14:49.039000', '2023-05-09 14:14:49.039000', '1', '1', 'A6BD765029C5015E9FD23A7BDE267E26', 'gloves', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '常规贮存', '无', '箱');
INSERT INTO `catalogue_details` VALUES ('1', '试剂', '1.0', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '4', '试剂1', '一般试剂', '2x2', '99', 0000001.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:15:02.761000', '1', '1', 'B6C135A08A2628D1C93ABE5CD4DABEE3', 'reagent', 'EEB461F1E10CE14AD6E7E0247844053A', '1', '常规贮存', '1', '盒');
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '5', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:14:49.041000', '1', '1', 'B78DABCE5A882137829A12687EE8A10D', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('22', '试剂', NULL, '22', 'F897538730C1722798970643884807FF', '1', '222', '酒精', '22', '22', 0000022.00, '2023-04-18 09:54:23.428000', '2023-04-18 09:54:23.428000', '1', '1', 'BBCE1B03079334B70D91082D417E01F1', '22', NULL, '22', '常规贮存', '222', '盒');
INSERT INTO `catalogue_details` VALUES ('bd', '标准物质', NULL, '23', '59B41C115F9906393320FE4D5760053A', NULL, '冰毒4', '一般标准物质', 'bd', '100%', 0000323.00, '2023-04-18 10:44:32.304000', '2023-04-18 10:44:32.304000', '1', '1', 'bc23e6294d2f5313f04f822b8e3cb3d6', 'bd', NULL, 'bd', '冷藏贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('dada', '标准物质', NULL, '23', '769B6D8D7A54F4595A06745F25706169', NULL, '大麻1', '一般标准物质', 'dada', '67%', 0000032.00, '2023-04-18 10:25:36.994000', '2023-04-18 11:30:05.623000', '1', '1', 'c8bdf45a90db09bae72693d76008994f', 'dada', '56BC02CC3C58F537A8289D142297A381', 'dada', '常规贮存', NULL, '盒');
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', NULL, '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-09 14:05:26.295000', '2023-05-09 14:05:26.295000', '1', '1', 'cb956fdef62cdc82112a35ebdef11f31', 'alcohol', NULL, '乙醇', '常规贮存', '1', '箱');
INSERT INTO `catalogue_details` VALUES ('贵安', '试剂', '1', '10', 'AE1A54531739628E2A03E5FC54D2AD90', '6', '碳酸氢钠', '一般试剂', '1x1', '99%', 0000120.00, '2023-05-09 14:14:49.041000', '2023-05-09 14:14:49.041000', '1', '1', 'D63239192D05A46E0BA3EAFF958C27D9', 'SodiumBicarbonate', '937EFD62F407E54BC1C57AD6A8159F83', '1', '常规贮存', '1', '箱');
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '6', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-05-09 14:07:45.337000', '2023-05-09 14:07:45.337000', '1', '1', 'D6341792378F6038CCDBBF97F4F1238D', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('贵安', '试剂', '1', '10', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', NULL, '碳酸氢钠', '一般试剂', '1x1', '99%', 0000120.00, '2023-05-09 14:07:42.777000', '2023-05-09 14:07:42.777000', '1', '1', 'db2b7ec4ab18c94d316e70f00dbc6c4f', 'SodiumBicarbonate', NULL, '1', '常规贮存', '1', '箱');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '122', '1', 'AE1A54531739628E2A03E5FC54D2AD90', '3', '海洛因', '一般标准物质', '50x50', '72%', 0001999.00, '2023-05-09 14:14:49.039000', '2023-05-09 14:14:49.039000', '1', '1', 'E35B2B10BB0F238B78FAA74270C29337', 'heroin', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '常规贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('34', '耗材', '34%', '34', '564E236AFA6BA1EF7E9C28F927BFB13D', NULL, '耗材222', '钢材', '34', '34%', 0000023.00, '2023-04-18 10:01:40.520000', '2023-04-18 10:01:40.520000', '1', '1', 'E6354BA84571CC34A22DB72BCBF2BF18', '4', NULL, '34', '常规贮存', '23', '盒');
INSERT INTO `catalogue_details` VALUES ('贵安', '试剂', '1', '10', 'C36754AF0ECCE3A098669C5D69297F8F', '5', '碳酸氢钠', '一般试剂', '1x1', '99%', 0000120.00, '2023-05-09 14:07:45.337000', '2023-05-09 14:08:18.378000', '1', '1', 'E67F7109CE8C537FD8701B2AEC00D95B', 'SodiumBicarbonate', '937EFD62F407E54BC1C57AD6A8159F83', '1', '常规贮存', '1', '箱');
INSERT INTO `catalogue_details` VALUES ('三星', '标准物质', '0.9', '1', 'F0E0C037E99B77A00FBBCBF05EF6E2A6', '3', '摇头丸', '一般标准物质', '30x20', '88%', 0002999.00, '2023-04-26 17:29:45.034000', '2023-04-26 17:31:55.952000', '1', '1', 'EADE73747590AA78A35F123291D28811', 'ecstasy', '28613635426554046F0B12D7121A5AAB', '摇头丸', '冷藏贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('小米', '标准物质', '0.5', '1', 'C36754AF0ECCE3A098669C5D69297F8F', '1', '氯胺酮', '一般标准物质', '50x50', '99%', 0001555.00, '2023-05-09 14:07:45.335000', '2023-05-09 14:07:45.335000', '1', '1', 'FC18362BD397C8B8577A32A0FE2B7277', 'ketamine', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '冷藏贮存', '无', '支');
INSERT INTO `catalogue_details` VALUES ('天润', '试剂', '', '20', 'AE1A54531739628E2A03E5FC54D2AD90', '1', '乙醇', '酒精', '1x1', '99%', 0000150.00, '2023-05-09 14:14:49.039000', '2023-05-09 14:14:49.039000', '1', '1', 'FF1B16FE678891E7E8EACC72C71D3D6C', 'alcohol', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '常规贮存', '1', '箱');

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of category_table
-- ----------------------------
INSERT INTO `category_table` VALUES ('耗材', '1', '木材', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('试剂', '2', '酒精', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('标准物质', '3', '海洛因', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('标准储备溶液', '4', 'k粉', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('耗材', '5', '钢材', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('耗材', '8C4B49F387F587BA04A0C1FAEE6A556D', '一般耗材', '1', '1', '2023-04-26 17:29:45.029000', '2023-04-26 17:29:45.029000');
INSERT INTO `category_table` VALUES ('试剂', '9B758573F57C7638674B2C8F1B8701DC', '一般试剂', '1', '1', '2023-05-09 14:07:45.330000', '2023-05-09 14:07:45.330000');
INSERT INTO `category_table` VALUES ('耗材', 'C2D52AFE372558AD363E6664999CDF6F', '碳钢', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '2023-04-12 11:21:16.379000', '2023-04-12 11:21:16.379000');
INSERT INTO `category_table` VALUES ('标准物质', 'DA63F4F987495FED969E23F72AB83AE0', '一般标准物质', '1', '1', '2023-04-13 14:52:00.796000', '2023-04-13 14:52:00.796000');

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `department` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------
INSERT INTO `centralized_request` VALUES ('060795628A221717FE240B77B2251946', '1', '2023-05-06 17:34:59.076000', NULL, 00000000002, '2023-05-06 17:34:59.076000', '2023-05-06 17:35:15.716000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('13A4E74533E0F4058F2E55084173800F', '1', '2023-05-09 14:15:29.964000', NULL, 00000000002, '2023-05-09 14:15:29.966000', '2023-05-09 14:15:38.592000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('266CE5B69FE682FCA7FE561AE785B110', 'BC1A096180973C5EA652C9787F5A155A', '2023-04-28 16:20:01.048000', NULL, 00000000002, '2023-04-28 16:20:01.048000', '2023-04-28 16:26:08.444000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '员工审核员1', NULL);
INSERT INTO `centralized_request` VALUES ('40C5596134027A2EFDE9101EC807DAD6', '1', '2023-05-06 15:35:16.018000', NULL, 00000000002, '2023-05-06 15:35:16.021000', '2023-05-06 15:35:33.468000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('4141A3BF6036D88CF8782125B1722A7D', '1', '2023-05-06 17:36:23.044000', NULL, 00000000002, '2023-05-06 17:36:23.045000', '2023-05-06 17:37:30.205000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('467EEBACC772818CCCEA23430EDDE97F', '1', '2023-05-06 17:35:08.892000', NULL, 00000000002, '2023-05-06 17:35:08.892000', '2023-05-06 17:35:15.722000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('4A22B0ADA2BD81DB77DE93B695C437BA', '1', '2023-05-06 17:34:48.859000', NULL, 00000000002, '2023-05-06 17:34:48.859000', '2023-05-06 17:35:15.728000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('5E861971197C869B67818E4B38DD3DAA', '1', '2023-05-06 17:34:39.220000', NULL, 00000000002, '2023-05-06 17:34:39.223000', '2023-05-06 17:35:15.733000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('69708A80811100BC185208F7E7836E07', 'BC1A096180973C5EA652C9787F5A155A', '2023-05-04 10:28:15.643000', NULL, 00000000002, '2023-05-04 10:28:15.646000', '2023-05-06 16:07:46.131000', 'BC1A096180973C5EA652C9787F5A155A', '1', NULL, '员工审核员1', NULL);
INSERT INTO `centralized_request` VALUES ('7B45F10FDA6143DDD15008BD9045CF61', '1', '2023-05-08 10:04:26.702000', NULL, 00000000002, '2023-05-08 10:04:26.703000', '2023-05-08 10:04:42.669000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('985C208AADEB1B15D5B17D450F956B69', '1', '2023-05-08 10:04:32.591000', NULL, 00000000002, '2023-05-08 10:04:32.591000', '2023-05-08 10:04:42.673000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('AEFA67BAB036E086B3A134F6951ADE1D', '1', '2023-05-05 10:11:07.137000', NULL, 00000000002, '2023-05-05 10:11:07.141000', '2023-05-05 10:11:21.892000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('B40A87376EDD1BDF5309C183A970BA58', 'BC1A096180973C5EA652C9787F5A155A', '2023-05-09 10:25:38.477000', NULL, 00000000001, '2023-05-09 10:25:38.477000', '2023-05-09 10:25:59.689000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '员工审核员1', NULL);
INSERT INTO `centralized_request` VALUES ('B870EFC1CE2AFB8767CFC8758B7BF914', '1', '2023-04-26 18:09:35.965000', NULL, 00000000002, '2023-04-26 18:09:35.967000', '2023-04-26 18:10:30.204000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('CCEC4C5C33B28DE49274B6C91857BA21', '1', '2023-05-06 16:42:49.587000', NULL, 00000000002, '2023-05-06 16:42:49.593000', '2023-05-06 16:42:56.203000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('CD0216DD0D3905D003AFF1006AC2A2F8', '1', '2023-05-06 17:36:41.574000', NULL, 00000000002, '2023-05-06 17:36:41.574000', '2023-05-06 17:37:30.210000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('D1D5924DE1696DCA979F5DD2296ECB1B', 'BC1A096180973C5EA652C9787F5A155A', '2023-04-28 16:19:44.512000', NULL, 00000000002, '2023-04-28 16:19:44.516000', '2023-04-28 16:26:08.453000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '员工审核员1', NULL);
INSERT INTO `centralized_request` VALUES ('D73C45D7FB56EE13192A8FF5D5868471', '1', '2023-05-06 17:36:30.747000', NULL, 00000000002, '2023-05-06 17:36:30.748000', '2023-05-06 17:37:30.213000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('E45D91DF4A5EBE17F7113458FC22CEE2', '1', '2023-05-06 17:37:05.552000', NULL, 00000000002, '2023-05-06 17:37:05.552000', '2023-05-06 17:37:30.216000', '1', '1', NULL, '管理员', NULL);
INSERT INTO `centralized_request` VALUES ('EE79ED01E1CD7300690F17902EA1A1E6', '1', '2023-05-08 17:08:17.055000', NULL, 00000000001, '2023-05-08 17:08:17.058000', '2023-05-08 17:08:17.068000', '1', '1', NULL, '管理员', NULL);

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '0F65FC8FB5CED9790C955E8517B9A96B', '2023-04-28 10:48:35.616000', '2023-04-28 10:48:35.616000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '133C5405B314F10227B6807EE8F64035', '2023-04-27 10:28:55.168000', '2023-04-27 10:28:55.168000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '1362CD11F55BADE7CCBA8DA4D6EB0D7C', '2023-04-28 11:09:49.205000', '2023-04-28 11:10:31.241000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, '161523738AC6233F032116FDE7D4EA25', '2023-04-27 09:55:19.659000', '2023-04-27 09:55:19.663000', '1', '1', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-04-27 10:28:24.787', '1', '审核通过', '173D45C88CB95C613898D1413622F7BC', '2023-04-27 10:13:51.060000', '2023-04-27 10:28:24.794000', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '2', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '1917172F5B65D81C39CB9AE7F008D67B', '2023-05-05 10:48:02.855000', '2023-05-05 10:48:02.855000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '1EA56A4A300EA93383C38BCE466481FB', '2023-04-28 11:02:53.683000', '2023-04-28 11:02:53.683000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, '2BA130660544B03891EEBA3B10F6722B', '2023-04-27 09:54:31.194000', '2023-04-27 09:54:31.198000', '1', '1', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '2FFD1B46E9944C0FB2BF1FDA9763E01E', '2023-04-28 10:52:12.765000', '2023-04-28 10:52:12.765000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, '31828867EB6127041B4C8DD0475D710E', '2023-04-27 09:48:31.514000', '2023-04-27 09:50:21.682000', '1', '1', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, '42E35EFC61C188BFF6C7D5F3AED55463', '2023-04-27 09:50:41.594000', '2023-04-27 09:53:05.489000', '1', '1', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '4788A9B9AB83E8C829398EC09A3FA45B', '2023-04-28 11:00:08.249000', '2023-04-28 11:00:08.249000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '487E593594EDD405FD533EA686049563', '2023-04-27 09:49:47.259000', '2023-04-27 09:49:53.362000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, '49B2448A95AC68D7562CC1E73B204876', '2023-05-05 16:53:10.103000', '2023-05-05 16:53:10.103000', '1', '1', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '658F82D792056E2FA0898D5B336D83BF', '2023-04-27 10:10:21.479000', '2023-04-27 10:10:21.479000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '78282193AE7EB097EFED40C628DE4995', '2023-04-27 09:57:50.899000', '2023-04-27 09:57:50.904000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-04-27 10:28:33.114', '1', '审核通过', '7848B70CE5D16B5367B31B15247AA33C', '2023-04-27 10:11:38.837000', '2023-04-27 10:28:33.122000', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '2', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '8A76E2F62579C9E257025620CA445330', '2023-04-28 10:25:30.683000', '2023-04-28 10:27:08.473000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, '9F30D82915F4945EEC653B4EEF47308D', '2023-04-27 09:59:04.973000', '2023-04-27 09:59:04.976000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-04-27 10:28:28.537', '1', '审核通过', 'A546E898271FF5581CD1311F3907A009', '2023-04-27 10:12:34.910000', '2023-04-27 10:28:28.543000', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '2', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, 'A8411F7535BBBFF2DEE303FF7E8BEF6B', '2023-05-05 16:48:35.048000', '2023-05-05 16:48:35.060000', '1', '1', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'AB5F2C29BD18F4AC887E58163DBBFA1A', '2023-04-28 11:04:10.862000', '2023-04-28 11:04:15.898000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'C034532F659C1DD308D6581F47BB9BE5', '2023-04-28 10:29:00.682000', '2023-04-28 10:29:00.682000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'C19F1A632BAE0BB542346FB9BB4A9B95', '2023-04-28 10:50:50.705000', '2023-04-28 10:50:50.705000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'C1F9F9EC5DBEE9084A56DB01CA54CE58', '2023-04-28 11:03:13.715000', '2023-04-28 11:03:21.157000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, '1', NULL, '0', NULL, 'CE734955330D3FA7119AC41E54FC6DB4', '2023-05-05 16:52:10.688000', '2023-05-05 16:52:10.688000', '1', '1', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'D011A070FB85416CAA6C45420BA2E0D7', '2023-04-27 10:28:33.408000', '2023-04-27 10:28:33.408000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'DD0F26D59727E55CA50125933B863085', '2023-04-28 11:05:33.395000', '2023-04-28 11:05:33.398000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '1', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-04-27 10:28:12.158', '1', '审核通过', 'DF29274F0CE7F9CFF83F210907EA5E7F', '2023-04-27 10:17:22.224000', '2023-04-27 10:28:12.173000', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '2', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL, 'EB1B564E380A5C61B01A82533E5F5BB5', '2023-04-28 11:07:12.309000', '2023-04-28 11:07:12.309000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '0', NULL);
INSERT INTO `check_schedule` VALUES (NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-04-27 10:28:20.046', '1', '审核通过', 'FA100F89A2DA6BD22788AF83AB40E31D', '2023-04-27 10:15:34.998000', '2023-04-27 10:28:20.057000', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '2', NULL);

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '11600C63E24F823F7BBD60531B9F0E8C', '2023-05-05 09:57:46.649000', '2023-05-05 09:57:46.649000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL);
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '111', 1, NULL, '12EA341EA15386FF85ABCEA39E4968DA', '2023-04-28 14:32:26.110000', '2023-04-28 14:32:31.405000', '1', '1', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1');
INSERT INTO `compliance_check` VALUES (NULL, 'F7D6CF766AA8B26075AC5431A324F1DD', NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-28 14:32:05.001000', NULL, NULL, '1', 2, NULL, '1C09D8610D7D544BEF6618341F40E785', '2023-04-28 14:31:45.250000', '2023-04-28 14:32:12.695000', '1', '1', NULL, 'ecstasy-2023-1-008', '30x20', NULL, '三星', '28613635426554046F0B12D7121A5AAB', '1');
INSERT INTO `compliance_check` VALUES (NULL, 'F7D6CF766AA8B26075AC5431A324F1DD', NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-28 14:54:52.534000', '去213213', NULL, '     ', 2, NULL, '1C29DC29480CC99F1C799AE618CDD330', '2023-04-28 14:53:42.516000', '2023-04-28 14:54:53.872000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'ecstasy-2023-1-008', '30x20', '123123', '三星', '28613635426554046F0B12D7121A5AAB', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-28 14:54:37.221000', NULL, NULL, '     ', 1, NULL, '2221A89348F793D159E3E521EF4E4EFE', '2023-04-28 14:53:42.498000', '2023-04-28 14:54:37.221000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, 'EAE4435E584B184503D1158CA12DD529', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '32684F61D4BC9A0E052246F17D0F1132', '2023-05-05 09:57:46.658000', '2023-05-05 09:57:46.658000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL);
INSERT INTO `compliance_check` VALUES (NULL, 'EAE4435E584B184503D1158CA12DD529', NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-28 14:36:42.151000', '1231231', NULL, '123132', 2, NULL, '357566D6BBD09ACF6B096548D45C7471', '2023-04-28 14:33:53.997000', '2023-04-28 14:36:43.692000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', '123123123', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '35871FA7A747E89346715B969FECDDFC', '2023-05-08 14:18:03.115000', '2023-05-08 14:18:03.115000', '1', '1', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL);
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1212313', 1, NULL, '43BD88F3368C9D305C3E3BC7C35E0A04', '2023-04-28 14:33:53.988000', '2023-04-28 14:34:12.594000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, 'EAE4435E584B184503D1158CA12DD529', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 16:01:02.616000', '123', NULL, '123123', 2, NULL, '550AD9397EBC54ED78C864625F973E1C', '2023-04-28 15:25:00.302000', '2023-05-05 16:01:03.542000', 'BC1A096180973C5EA652C9787F5A155A', '1', NULL, NULL, '1', '123123', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1');
INSERT INTO `compliance_check` VALUES (NULL, 'EAE4435E584B184503D1158CA12DD529', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '123123', 2, NULL, '685D97F74CD5211F9948D8A82795C991', '2023-04-28 14:53:42.510000', '2023-04-28 14:55:16.300000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', '123123', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '     ', 1, NULL, '73C80C597FC5C2AD02ED22D909A238AE', '2023-05-05 09:57:46.662000', '2023-05-05 10:06:38.159000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'heroin-2023-01-04', '50x50', NULL, '华为', '03DC56AFF3DE5D439BE5A4FD4C8B826E', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, 'EAE4435E584B184503D1158CA12DD529', NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-28 14:39:58.248000', '123123', NULL, '123123', 2, NULL, '7AD747945103D2628C7C124D8B408D57', '2023-04-28 14:37:01.938000', '2023-04-28 14:40:09.848000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', '123123', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 16:01:23.703000', '123', NULL, '12', 2, NULL, '8A63BC38E5DDF5EC3202C9B2E73312BA', '2023-04-28 14:55:41.458000', '2023-05-05 16:01:24.679000', 'BC1A096180973C5EA652C9787F5A155A', '1', NULL, 'heroin-2023-1-004', '50x50', '123123', '华为', '6D9807222F22E3675247B2CFCD5344A5', '1');
INSERT INTO `compliance_check` VALUES (NULL, 'EAE4435E584B184503D1158CA12DD529', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12313', 2, NULL, '94A9F28BF238FC65D756B158E35EC00F', '2023-04-28 14:40:42.636000', '2023-04-28 14:41:01.098000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', '1231312', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 'B66BBC3361C7ADF5C63CB5C587C3AFCC', '2023-05-08 14:18:03.121000', '2023-05-08 14:18:03.121000', '1', '1', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL);
INSERT INTO `compliance_check` VALUES (NULL, 'F7D6CF766AA8B26075AC5431A324F1DD', NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 09:58:30.577000', '12313', NULL, '1231231', 2, NULL, 'B9808B1A86AE30118D0CBB289995CC44', '2023-05-05 09:57:46.667000', '2023-05-05 09:58:35.055000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'ecstasy-2023-25-04', '30x20', '23123123', '三星', '01544E78840136DB515916EC504FF137', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12313', 2, NULL, 'CB180A4895CBF1EC3023212E9F1D8E6B', '2023-04-28 14:39:36.258000', '2023-04-28 14:41:53.258000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', '123213', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', 2, NULL, 'D530BF3C0BCB232C34929CBEE706394F', '2023-04-28 15:25:00.310000', '2023-04-28 15:30:22.809000', 'BC1A096180973C5EA652C9787F5A155A', '1', NULL, NULL, '1', '1', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1');
INSERT INTO `compliance_check` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 'E0E1E4DB35CDCE5C7AE815E0236E3C77', '2023-05-06 10:31:10.441000', '2023-05-06 10:31:10.441000', '1', '1', NULL, 'ketamine-2023-1-012', '50x50', NULL, '小米', '23C62823622E0022DD0E1CC729473C81', NULL);
INSERT INTO `compliance_check` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 'F27C87403286B052BDD399F51BC8DD55', '2023-05-08 14:18:03.102000', '2023-05-08 14:18:03.102000', '1', '1', NULL, NULL, '1', NULL, '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL);
INSERT INTO `compliance_check` VALUES (NULL, '7C4663977A69DF24EE23B598E062F36E', NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-28 14:37:55.690000', '检查结论', NULL, '检材方案', 2, NULL, 'F60762B00698A6F328BF734E8C039A96', '2023-04-28 14:37:01.933000', '2023-04-28 14:38:26.472000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, '1', '检查不符合项目', '小米', 'AF8CBA871FC396CABEF48E8D2E6063BD', 'BC1A096180973C5EA652C9787F5A155A');

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------
INSERT INTO `decentralize_details` VALUES ('华为', '标准物质', 'DE0E35447B66812838B5D21ADEE53C4F', '122', '01ED69B45E85F7402347792B5A79A124', '1', 0000000001, '6D9807222F22E3675247B2CFCD5344A5', '一般标准物质', '50x50', '72%', NULL, 0001999.00, '2023-05-06 15:32:17.293000', '2023-05-06 15:32:17.293000', '1', '1', NULL, 'heroin', '海洛因', '常规贮存', NULL, '支', '海洛因');
INSERT INTO `decentralize_details` VALUES ('三星', '标准储备溶液', 'F914F5E2BFF8F40124229E9C6A9A70B0', '0.9', '085E76FA6F56CE085998562F80121F5D', '1', 0000000001, '093EA43B64A395097C8DF71D994BA87D', '一般标准物质', '30x20', '88%', NULL, 0002999.00, '2023-05-06 17:57:21.918000', '2023-05-06 17:57:21.918000', '1', '1', NULL, 'ecstasy', '摇头丸', '冷藏贮存', NULL, '支', '碳酸饮料');
INSERT INTO `decentralize_details` VALUES ('三星', '标准储备溶液', 'A12D57F08B6F751047993B01F54B981E', '0.9', '0E21408214D52227E4324D84BE22770B', '1', 0000000001, '093EA43B64A395097C8DF71D994BA87D', '一般标准物质', '30x20', '88%', NULL, 0002999.00, '2023-05-06 14:04:57.275000', '2023-05-06 14:04:57.275000', '1', '1', NULL, 'ecstasy', '摇头丸', '冷藏贮存', NULL, '支', '碳酸饮料');
INSERT INTO `decentralize_details` VALUES ('小米', '耗材', 'F914F5E2BFF8F40124229E9C6A9A70B0', '无', '129F5BDA37253056C65AA6EF095C8F08', '1', 0000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', '一般耗材', '1', '无', NULL, 0000010.00, '2023-05-06 17:57:21.917000', '2023-05-06 17:57:21.917000', '1', '1', NULL, 'gloves', '手套', '常规贮存', NULL, '箱', '手套');
INSERT INTO `decentralize_details` VALUES ('三星', '标准物质', 'B50A3C43A311C25A2134FD6EE93B5286', '0.9', '1737FBCBFFE75D4E8D1DBBC79209E90C', '1', 0000000001, '28613635426554046F0B12D7121A5AAB', '一般标准物质', '30x20', '88%', NULL, 0002999.00, '2023-05-06 17:57:36.119000', '2023-05-06 17:57:36.119000', '1', '1', NULL, 'ecstasy', '摇头丸', '冷藏贮存', NULL, '支', '摇头丸');
INSERT INTO `decentralize_details` VALUES ('三星', '标准物质', 'F914F5E2BFF8F40124229E9C6A9A70B0', '0.9', '27B658452D97FED1375C1D776BDD2D07', '1', 0000000001, '28613635426554046F0B12D7121A5AAB', '一般标准物质', '30x20', '88%', NULL, 0002999.00, '2023-05-06 17:57:21.919000', '2023-05-06 17:57:21.919000', '1', '1', NULL, 'ecstasy', '摇头丸', '冷藏贮存', NULL, '支', '摇头丸');
INSERT INTO `decentralize_details` VALUES ('小米', '标准储备溶液', '99A66A95817B3D59A537C3C43291BEA5', '0.5', '2FE22287002537A8098973CAF1BAD1DF', '1', 0000000001, '82C95CE9E77AA26C1429DA1F0BDA536B', '一般标准物质', '50x50', '99%', NULL, 0001555.00, '2023-05-06 17:57:48.374000', '2023-05-06 17:57:48.374000', '1', '1', NULL, 'ketamine', '氯胺酮', '冷藏贮存', NULL, '支', '氯胺酮标准储备溶液');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', '2D8945BBE5FD9518D312C30436A5B396', NULL, '329949ffefb5e6abfe5f365a566a938c', '22', 0000002343, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 14:21:11.988000', '2023-04-18 14:21:11.988000', '1', '1', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('三星', '标准储备溶液', 'F914F5E2BFF8F40124229E9C6A9A70B0', '0.9', '373A211DB530BD32ED37219F21CE2007', '1', 0000000001, '01544E78840136DB515916EC504FF137', '一般标准物质', '30x20', '88%', NULL, 0002999.00, '2023-05-06 17:57:21.918000', '2023-05-06 17:57:21.918000', '1', '1', NULL, 'ecstasy', '摇头丸', '冷藏贮存', NULL, '支', '摇头丸标准储备溶液');
INSERT INTO `decentralize_details` VALUES ('小米', '标准储备溶液', 'B50A3C43A311C25A2134FD6EE93B5286', '0.5', '3EDDEB1C40A1BD996977501317E52D12', '1', 0000000001, 'A42D7295BCA1B8EE2FCC4672F1CD5891', '一般标准物质', '50x50', '99%', NULL, 0001555.00, '2023-05-06 17:57:36.118000', '2023-05-06 17:57:36.118000', '1', '1', NULL, 'ketamine', '氯胺酮', '冷藏贮存', NULL, '支', '海洛因标准储备溶液');
INSERT INTO `decentralize_details` VALUES ('da', '标准物质', '8B10B242E667D55264246D7607C8C81E', NULL, '4D5171A4A31432844D44C8D5F7FA2617', '2343', 0000000323, 'A3D7E4D4A19169E664FFF0698A4CF8AD', '一般标准物质', 'da', '56%', NULL, 0003443.00, '2023-04-18 15:46:25.411000', '2023-04-18 15:46:25.411000', '1', '1', NULL, 'da', 'da', '常规贮存', NULL, '盒', '大麻');
INSERT INTO `decentralize_details` VALUES ('小米', '耗材', 'B9B4D5CEEF5732498F72F433376CD243', '无', '51A1149531A8BB38C6B929066F606A1F', '1', 0000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', '一般耗材', '1', '无', NULL, 0000010.00, '2023-05-06 14:04:25.106000', '2023-05-06 14:04:25.106000', '1', '1', NULL, 'gloves', '手套', '常规贮存', NULL, '箱', '手套');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', 'DD86CB5FAB1D5B04383D9F2BE1C71EF4', NULL, '5357EF8A171AACC6A92EDF20750E9367', '22', NULL, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 15:58:58.826000', '2023-04-18 15:58:58.826000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', '6B991C99FF977F40863803EC967E5033', NULL, '539CF7C2EBA2E8EC4C5B2F0E752DFFBD', '22', 0000000023, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 14:18:09.391000', '2023-04-18 14:18:09.391000', '1', '1', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', '063783222E28EC15CCE0D9E2D663151E', NULL, '5564613F12BB70E23BB89945CD5991C3', '22', 0000002343, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 14:21:33.652000', '2023-04-18 14:21:33.652000', '1', '1', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', 'B010F399D64BA7B13843CD294D93FAEC', NULL, '5DFB4760CC8582FDC18CAD7C8C349D20', '22', 0000000023, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 14:17:36.492000', '2023-04-18 14:17:36.492000', '1', '1', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('小米', '耗材', 'A96497046D79A165203310D30BD000E9', '无', '6C417C5C6BFB3BBF31A3DF8E842F21E8', '1', 0000000002, 'AF8CBA871FC396CABEF48E8D2E6063BD', '一般耗材', '1', '无', '1.11', 0000010.00, '2023-05-08 14:20:46.973000', '2023-05-08 14:20:46.973000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'gloves', '手套', '常规贮存', NULL, '箱', '手套');
INSERT INTO `decentralize_details` VALUES ('da', '标准物质', 'B010F399D64BA7B13843CD294D93FAEC', NULL, '7A9C5689E3214762ED25040A31606EE9', '54', 0000000434, '68D2DBC2AF35C0CEB4E67B6B2977AD61', '一般标准物质', 'ma', '76%', NULL, 0000045.00, '2023-04-18 14:17:36.490000', '2023-04-18 14:17:36.490000', '1', '1', NULL, 'ma', 'ma', '常规贮存', NULL, '盒', '大麻3');
INSERT INTO `decentralize_details` VALUES ('dama', '标准物质', 'DD86CB5FAB1D5B04383D9F2BE1C71EF4', NULL, '8296F43030D1CB0F254DDB7567589DAB', '564', NULL, 'E394DF6CB798A925D4C79F51544E1A73', '一般标准物质', 'dada', '56%', NULL, 0000045.00, '2023-04-18 15:58:58.825000', '2023-04-18 15:58:58.825000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'dama', 'dama', '常规贮存', NULL, '盒', '大麻2');
INSERT INTO `decentralize_details` VALUES ('da', '标准物质', '6B3E5F185DDED532CE04378A1F5C539C', NULL, '8986BAA7B1F17314E57108FE96909EA7', '54', 0000000434, '68D2DBC2AF35C0CEB4E67B6B2977AD61', '一般标准物质', 'ma', '76%', NULL, 0000045.00, '2023-04-18 14:18:26.554000', '2023-04-18 14:18:26.554000', '1', '1', NULL, 'ma', 'ma', '常规贮存', NULL, '盒', '大麻3');
INSERT INTO `decentralize_details` VALUES ('小米', '耗材', '75A658BB9CBDA312ED65756E20DBBE8F', '无', 'A80EC1B8D76F6DA7E7E4CB5B5AF63767', '1', 0000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', '一般耗材', '1', '无', NULL, 0000010.00, '2023-05-05 16:03:00.239000', '2023-05-05 16:03:00.239000', '1', '1', NULL, 'gloves', '手套', '常规贮存', NULL, '箱', '手套');
INSERT INTO `decentralize_details` VALUES ('小米', '标准物质', 'B50A3C43A311C25A2134FD6EE93B5286', '0.5', 'A8D0436F6C1A27120A20DF5630ADBE3E', '1', 0000000001, '23C62823622E0022DD0E1CC729473C81', '一般标准物质', '50x50', '99%', NULL, 0001555.00, '2023-05-06 17:57:36.119000', '2023-05-06 17:57:36.119000', '1', '1', NULL, 'ketamine', '氯胺酮', '冷藏贮存', NULL, '支', '氯胺酮');
INSERT INTO `decentralize_details` VALUES ('小米', '标准储备溶液', '99A66A95817B3D59A537C3C43291BEA5', '0.5', 'AA567DCDC61199B1E7170B1DF86EE1F2', '1', 0000000001, 'A42D7295BCA1B8EE2FCC4672F1CD5891', '一般标准物质', '50x50', '99%', NULL, 0001555.00, '2023-05-06 17:57:48.374000', '2023-05-06 17:57:48.374000', '1', '1', NULL, 'ketamine', '氯胺酮', '冷藏贮存', NULL, '支', '海洛因标准储备溶液');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', '7E63C540FDDE7D5F647B77DA13BBD0BC', NULL, 'BC03AF3BB7D5894AB912E1EB94D6C649', '22', 0000000023, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 14:18:53.394000', '2023-04-18 14:18:53.394000', '1', '1', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('da', '标准物质', '6B991C99FF977F40863803EC967E5033', NULL, 'BE573F8DDA59164CBB4BEE7256208D2F', '54', 0000000434, '68D2DBC2AF35C0CEB4E67B6B2977AD61', '一般标准物质', 'ma', '76%', NULL, 0000045.00, '2023-04-18 14:18:09.390000', '2023-04-18 14:18:09.390000', '1', '1', NULL, 'ma', 'ma', '常规贮存', NULL, '盒', '大麻3');
INSERT INTO `decentralize_details` VALUES ('三星', '标准储备溶液', '99A66A95817B3D59A537C3C43291BEA5', '0.9', 'C7CBB435C6FC2383234037AC9D27513C', '1', 0000000001, '093EA43B64A395097C8DF71D994BA87D', '一般标准物质', '30x20', '88%', NULL, 0002999.00, '2023-05-06 17:57:48.373000', '2023-05-06 17:57:48.373000', '1', '1', NULL, 'ecstasy', '摇头丸', '冷藏贮存', NULL, '支', '碳酸饮料');
INSERT INTO `decentralize_details` VALUES ('22', '试剂', '6B3E5F185DDED532CE04378A1F5C539C', NULL, 'DFF140EC8FF5AE5EAE085F19E82D5C21', '22', 0000000023, '4DC0DFAD80856851F5484282EAFC54ED', '酒精', '22', '22', NULL, 0000022.00, '2023-04-18 14:18:26.555000', '2023-04-18 14:18:26.555000', '1', '1', NULL, '22', '22', '常规贮存', NULL, '盒', '222');
INSERT INTO `decentralize_details` VALUES ('da', '标准物质', '7E63C540FDDE7D5F647B77DA13BBD0BC', NULL, 'E1BE439C91E330183B4F62598AA2A2B0', '54', 0000000434, '68D2DBC2AF35C0CEB4E67B6B2977AD61', '一般标准物质', 'ma', '76%', NULL, 0000045.00, '2023-04-18 14:18:53.394000', '2023-04-18 14:18:53.394000', '1', '1', NULL, 'ma', 'ma', '常规贮存', NULL, '盒', '大麻3');
INSERT INTO `decentralize_details` VALUES ('dama', '标准物质', '8AD10FDECD3D3C38C0CE94B9C33C3D3D', NULL, 'EBDFA9CD26B5F77AEC6416FC5F04E83B', '564', 0000000023, 'E394DF6CB798A925D4C79F51544E1A73', '一般标准物质', 'dada', '56%', NULL, 0000045.00, '2023-04-18 14:16:26.003000', '2023-04-18 14:16:26.003000', '1', '1', NULL, 'dama', 'dama', '常规贮存', NULL, '盒', '大麻2');
INSERT INTO `decentralize_details` VALUES ('dama', '标准物质', 'A46078C6764E28B0310C2270C3AA5427', NULL, 'F444AAEAB8C4DE38D9A7DEECD53243B1', '564', 0000000232, 'E394DF6CB798A925D4C79F51544E1A73', '一般标准物质', 'dada', '56%', NULL, 0000045.00, '2023-04-18 15:02:47.116000', '2023-04-18 15:02:47.116000', '1', '1', NULL, 'dama', 'dama', '常规贮存', NULL, '盒', '大麻2');

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------
INSERT INTO `decentralized_request` VALUES ('1', '审批通过', '1', '2023-05-05 16:12:42.229000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 16:03:00.229', '1', NULL, '75A658BB9CBDA312ED65756E20DBBE8F', NULL, NULL, 5, '2023-05-05 16:03:00.232000', '2023-05-05 16:12:42.261000', '1', '1', NULL, NULL);
INSERT INTO `decentralized_request` VALUES ('1', '审批通过', '1', '2023-04-18 16:52:14.681000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-18 15:46:25.398', '1', NULL, '8B10B242E667D55264246D7607C8C81E', NULL, NULL, 5, '2023-04-18 15:46:25.401000', '2023-04-18 16:52:14.899000', '1', '1', NULL, NULL);
INSERT INTO `decentralized_request` VALUES ('1', NULL, NULL, NULL, NULL, '不予通过', NULL, 1, 0, NULL, '2023-05-06 17:58:50.332000', '2023-05-08 14:48:19.384000', NULL, NULL, '2023-05-06 17:57:48.365', NULL, '6c847974320c7cb184228d53eea19114', '99A66A95817B3D59A537C3C43291BEA5', NULL, '6c847974320c7cb184228d53eea19114', -1, '2023-05-06 17:57:48.366000', '2023-05-08 14:48:19.385000', '1', '6c847974320c7cb184228d53eea19114', NULL, '2023-05-06 17:57:48.386000');
INSERT INTO `decentralized_request` VALUES ('1', '不予通过', '0', '2023-05-08 15:44:31.375000', NULL, '通过', '通过', NULL, 1, 1, NULL, '2023-05-06 17:47:51.595000', '2023-05-06 17:51:24.759000', NULL, '2023-05-06 14:04:57.266', '6c847974320c7cb184228d53eea19114', NULL, 'A12D57F08B6F751047993B01F54B981E', NULL, '6c847974320c7cb184228d53eea19114', -1, '2023-05-06 14:04:57.267000', '2023-05-08 15:44:31.379000', '1', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL);
INSERT INTO `decentralized_request` VALUES ('BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-08 14:20:46.956', NULL, NULL, 'A96497046D79A165203310D30BD000E9', NULL, NULL, 0, '2023-05-08 14:20:46.959000', '2023-05-08 14:20:46.959000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL);
INSERT INTO `decentralized_request` VALUES ('1', NULL, NULL, NULL, '111', '111', NULL, 1, 1, NULL, '2023-05-08 12:01:21.655000', '2023-05-08 12:01:26.604000', NULL, NULL, '2023-05-06 17:57:36.11', NULL, '1', 'B50A3C43A311C25A2134FD6EE93B5286', NULL, '1', 3, '2023-05-06 17:57:36.111000', '2023-05-08 12:01:26.605000', '1', '1', NULL, '2023-05-06 17:57:36.123000');
INSERT INTO `decentralized_request` VALUES ('1', NULL, NULL, NULL, '准予通过', '通过', NULL, 1, 1, 1, '2023-05-06 17:16:57.410000', '2023-05-06 17:51:03.038000', '2023-05-06 17:54:23.198000', NULL, '2023-05-06 14:04:25.05', NULL, '6c847974320c7cb184228d53eea19114', 'B9B4D5CEEF5732498F72F433376CD243', NULL, '6c847974320c7cb184228d53eea19114', 4, '2023-05-06 14:04:25.060000', '2023-05-06 17:54:23.198000', '1', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL);
INSERT INTO `decentralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '审批通过', '1', '2023-04-18 16:53:08.498000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-18 15:58:58.805', '1', NULL, 'DD86CB5FAB1D5B04383D9F2BE1C71EF4', NULL, NULL, 5, '2023-04-18 15:58:58.810000', '2023-04-18 16:53:08.510000', 'C27B8F582693B93596C21C1586A0845A', '1', NULL, NULL);
INSERT INTO `decentralized_request` VALUES ('1', NULL, NULL, NULL, '通过', NULL, NULL, 1, 1, NULL, '2023-05-06 17:32:59.756000', '2023-05-06 17:54:10.829000', NULL, NULL, '2023-05-06 15:32:17.271', NULL, '6c847974320c7cb184228d53eea19114', 'DE0E35447B66812838B5D21ADEE53C4F', NULL, '6c847974320c7cb184228d53eea19114', 3, '2023-05-06 15:32:17.275000', '2023-05-06 17:54:10.829000', '1', '6c847974320c7cb184228d53eea19114', NULL, '2023-05-06 15:32:17.298000');
INSERT INTO `decentralized_request` VALUES ('1', NULL, NULL, NULL, '审核通过', NULL, NULL, 1, NULL, NULL, '2023-05-08 14:11:35.555000', NULL, NULL, NULL, '2023-05-06 17:57:21.883', NULL, '6c847974320c7cb184228d53eea19114', 'F914F5E2BFF8F40124229E9C6A9A70B0', NULL, NULL, 2, '2023-05-06 17:57:21.888000', '2023-05-08 14:11:35.555000', '1', '6c847974320c7cb184228d53eea19114', NULL, '2023-05-06 17:57:21.928000');

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------
INSERT INTO `delivery_registration_form` VALUES ('019FC43885E344BACAB728F78E8A9609', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-04 10:42:49.447000', '2023-05-04 10:42:49.447000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('1859907410821378ACA212350425F87E', NULL, NULL, '1', '2023-05-05 17:17:03.990000', '2023-05-05 17:17:03.990000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('2F8736721D5A26C81239AED9141A7FCE', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-05 17:22:20.411000', '2023-05-05 17:22:20.411000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('34F1B472D85FFC6298987371B77A432E', NULL, NULL, '1', '2023-05-04 14:30:20.615000', '2023-05-04 14:30:20.615000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('511C65E9DFE3355097313BFDC1209357', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-06 09:41:13.458000', '2023-05-06 09:41:13.458000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 1);
INSERT INTO `delivery_registration_form` VALUES ('569BEA574070A2EF5D973363F0EC751A', NULL, NULL, '1', '2023-05-06 10:10:33.400000', '2023-05-06 10:10:33.400000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('60394586E937AE3D3B2E9C316B02D8EF', NULL, NULL, '1', '2023-05-04 14:18:03.579000', '2023-05-04 14:18:03.579000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('629945D4DB8A14F162752698990674FE', NULL, NULL, '1', '2023-05-04 15:25:45.354000', '2023-05-04 15:25:45.354000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('7D00134AA4AD48203D59E2121AB95E09', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-06 09:40:46.378000', '2023-05-06 09:40:46.378000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('88E5DFCD17CE9274E09B226E882631BD', NULL, NULL, '1', '2023-05-05 17:22:37.488000', '2023-05-05 17:22:37.488000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('8A22B7DFE9CAEDBE5FAD9DDEDB194B9A', NULL, NULL, '1', '2023-05-04 10:28:30.928000', '2023-05-04 10:28:30.928000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('A16248278D7E84000550EED57E6BF0DD', NULL, '1', '1', '2023-05-08 14:17:17.224000', '2023-05-08 14:18:03.124000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('A186E1DE381BE7CC0D33EDA1D8783B4D', NULL, NULL, '1', '2023-05-08 17:15:08.571000', '2023-05-08 17:15:08.571000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('AA2F750732A03939AD66B4D1D6408668', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-04 14:28:47.910000', '2023-05-04 14:28:47.910000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('ACBC2CE802A2261436BD21EF8EAD0D65', NULL, NULL, '1', '2023-05-06 10:30:28.664000', '2023-05-06 10:30:28.664000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('AEFCDB82C16C8928D12534858FD1FF75', NULL, NULL, '1', '2023-05-06 09:43:44.399000', '2023-05-06 09:43:44.399000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('F1A162D226B298D173C4D65530818C8C', NULL, NULL, '1', '2023-05-06 10:09:34.987000', '2023-05-06 10:09:34.987000', '1', '1', 1);
INSERT INTO `delivery_registration_form` VALUES ('F88231ACC38D4B278A5DC27883C839C5', NULL, NULL, '1', '2023-05-04 14:14:27.614000', '2023-05-04 14:14:27.614000', '1', '1', 0);
INSERT INTO `delivery_registration_form` VALUES ('FE8D5D44EF93C37354C7FE0CFFBE223B', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-06 09:39:17.818000', '2023-05-06 09:39:17.818000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------
INSERT INTO `details_of_centralized` VALUES ('0733FB09F32CB55F7BE494D67CA60C89', 'CD0216DD0D3905D003AFF1006AC2A2F8', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-06 17:36:41.576000', '2023-05-08 17:34:26.550000', '1', '1', '8469B62494E299011A387AFE025E7F2C', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('0C2A465E7A8BA4A3CB4A12997D301945', 'D1D5924DE1696DCA979F5DD2296ECB1B', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000123122, '23C62823622E0022DD0E1CC729473C81', '申请备注', '2023-04-28 16:19:44.526000', '2023-04-28 16:26:08.452000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '070ADEC0ABB3459091A624C257E51313', NULL, NULL, 00000123122, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('10CEA7C471FA35E15F701C0B4BE49D6F', '467EEBACC772818CCCEA23430EDDE97F', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-06 17:35:08.893000', '2023-05-06 17:35:15.719000', '1', '1', 'EE568AF9ED3D060551C593EF3D83147E', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('133A004381D0667465AEA8EB40101793', '060795628A221717FE240B77B2251946', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:34:59.077000', '2023-05-06 17:35:15.713000', '1', '1', '43B618AA4683A37BD4EC9099FB2D49D6', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('15B01D19A6B693A10D0FC5E943C8B8C9', '060795628A221717FE240B77B2251946', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-06 17:34:59.077000', '2023-05-06 17:35:15.715000', '1', '1', '9EEA3C9D0D8260D6CD81BAC617CC67BD', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('19DE88DF7FC24AF05A86157C0BF3E524', 'B870EFC1CE2AFB8767CFC8758B7BF914', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '23C62823622E0022DD0E1CC729473C81', '1', '2023-04-26 18:09:35.971000', '2023-04-26 18:10:30.199000', '1', '1', 'EABDB8BA6DDE26F712F6A613B7CE8A6B', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('1B8AFB9D79CC53E38F20EA50BD00E9A9', '13A4E74533E0F4058F2E55084173800F', '6', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '937EFD62F407E54BC1C57AD6A8159F83', NULL, '2023-05-09 14:15:29.968000', '2023-05-09 14:15:38.589000', '1', '1', 'F682BDF23A6473DBA829597B02DDF7A7', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('1D4A6672D584FED858770C6CAAEDB95E', 'B870EFC1CE2AFB8767CFC8758B7BF914', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', '2023-04-26 18:09:35.971000', '2023-04-26 18:10:30.201000', '1', '1', '62C77C6612E1EEEF2DF8620E98D3DB6C', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('1E206B7BF4CBE4B5BDABF82B9E834484', '5E861971197C869B67818E4B38DD3DAA', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:34:39.226000', '2023-05-06 17:35:15.730000', '1', '1', '43B618AA4683A37BD4EC9099FB2D49D6', NULL, NULL, 00000000005, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('24D346BE4D8A6DBEC7CB4EFE55760B26', '5E861971197C869B67818E4B38DD3DAA', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-06 17:34:39.227000', '2023-05-06 17:35:15.732000', '1', '1', '9EEA3C9D0D8260D6CD81BAC617CC67BD', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('280209FBBDAB4C010E25F2D200A0E9DB', '060795628A221717FE240B77B2251946', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-06 17:34:59.077000', '2023-05-06 17:35:15.717000', '1', '1', 'EE568AF9ED3D060551C593EF3D83147E', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('4EC3C8712C5A1A66BBEC712AB1D42344', 'B870EFC1CE2AFB8767CFC8758B7BF914', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '28613635426554046F0B12D7121A5AAB', '1', '2023-04-26 18:09:35.971000', '2023-04-26 18:10:30.203000', '1', '1', 'F4057448DED5D033F64E7864DC00FE20', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('5319FC408F5C369EF592C38692F02711', '13A4E74533E0F4058F2E55084173800F', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '8C057A697826732F6510CDC2A691B4D5', NULL, '2023-05-09 14:15:29.967000', '2023-05-09 14:15:38.591000', '1', '1', 'A00719123EE5CE6EC5D50FCA44CBF727', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('5DE42092DF6F2BC7A0BD9085BEFD9651', '69708A80811100BC185208F7E7836E07', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000022, 'AF8CBA871FC396CABEF48E8D2E6063BD', '111', '2023-05-04 10:28:15.649000', '2023-05-06 16:46:42.074000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '8003532FC50CF615EA46951A13C2CEA7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000011, '6D9807222F22E3675247B2CFCD5344A5', 00000000022, NULL, '111');
INSERT INTO `details_of_centralized` VALUES ('63FCE70309DC6B4D751F3F993E6CE800', 'CD0216DD0D3905D003AFF1006AC2A2F8', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:36:41.575000', '2023-05-08 17:37:56.439000', '1', '1', '0E207B1EC2FD79134878FC328C92F8DE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001231, 'AF8CBA871FC396CABEF48E8D2E6063BD', 00000000005, NULL, '123123');
INSERT INTO `details_of_centralized` VALUES ('681BEEE1E4D9BECEE590547595DF43E2', 'CD0216DD0D3905D003AFF1006AC2A2F8', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-06 17:36:41.575000', '2023-05-06 17:37:30.211000', '1', '1', 'D177FB2AF5C06E1EB837E36C88053742', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('775534767A1FC612A83A10AC3E2B330B', '69708A80811100BC185208F7E7836E07', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000011, '23C62823622E0022DD0E1CC729473C81', '111', '2023-05-04 10:28:15.649000', '2023-05-06 16:47:35.078000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'E311DDEB7C6E329A4EAEEEC640474368', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000022, '23C62823622E0022DD0E1CC729473C81', 00000000011, NULL, '备注');
INSERT INTO `details_of_centralized` VALUES ('7A7EC47FAFE446D1E1EB38CECF5E7D95', '40C5596134027A2EFDE9101EC807DAD6', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-06 15:35:16.022000', '2023-05-06 15:35:33.467000', '1', '1', 'D657F378EAF65592CD35DC03DEAC4CDC', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('7EBBFCC0A324EDBDDC151987BEB38B7F', '13A4E74533E0F4058F2E55084173800F', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, '2023-05-09 14:15:29.968000', '2023-05-09 14:15:38.593000', '1', '1', 'ADDCF7FA69CA8D0C261081EF2A675EB6', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('8213D35FD6D14C9447171B205C2522AA', '4A22B0ADA2BD81DB77DE93B695C437BA', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-06 17:34:48.861000', '2023-05-06 17:35:15.725000', '1', '1', 'EE568AF9ED3D060551C593EF3D83147E', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('827824CB16744DACF44BD3FAA739D4B2', 'B870EFC1CE2AFB8767CFC8758B7BF914', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '6D9807222F22E3675247B2CFCD5344A5', '1', '2023-04-26 18:09:35.971000', '2023-04-26 18:10:30.205000', '1', '1', 'A68069C2CBF5D50BE2856CE56C5A3918', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('8411CC8912C51444914DCBF1AB05FFEE', '985C208AADEB1B15D5B17D450F956B69', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010001, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-08 10:04:32.592000', '2023-05-09 09:36:13.918000', '1', 'BC1A096180973C5EA652C9787F5A155A', 'EC927690625417ABE8C1C3986BBD606C', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', 00000000012, NULL, '1');
INSERT INTO `details_of_centralized` VALUES ('8A9A36C079878277CBFB94714A9661AE', 'E45D91DF4A5EBE17F7113458FC22CEE2', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:37:05.553000', '2023-05-08 10:52:55.539000', '1', 'BC1A096180973C5EA652C9787F5A155A', '0E207B1EC2FD79134878FC328C92F8DE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001231, 'AF8CBA871FC396CABEF48E8D2E6063BD', 00000000001, NULL, '123123');
INSERT INTO `details_of_centralized` VALUES ('8C6FA7701D21B7A8F3C4775478F3D7AB', 'B40A87376EDD1BDF5309C183A970BA58', '2', NULL, '23C62823622E0022DD0E1CC729473C81', '申请备注', '2023-05-09 10:25:38.478000', '2023-05-09 10:25:57.502000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('94C398CC243B77ECD95CE0B7190BEA2E', '266CE5B69FE682FCA7FE561AE785B110', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '23C62823622E0022DD0E1CC729473C81', '12312', '2023-04-28 16:20:01.049000', '2023-04-28 16:32:17.285000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '070ADEC0ABB3459091A624C257E51313', NULL, NULL, 00000000123, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('9E10C05F595F0850DE753C26DFA0B4B5', '40C5596134027A2EFDE9101EC807DAD6', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 15:35:16.023000', '2023-05-06 15:35:46.452000', '1', '1', '082D2960A7390164B46B0FD06280BD44', NULL, NULL, 00000000010, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('A223C3600A5173E6006CE53194F5D3F4', '467EEBACC772818CCCEA23430EDDE97F', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000003, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:35:08.893000', '2023-05-06 17:35:15.721000', '1', '1', '43B618AA4683A37BD4EC9099FB2D49D6', NULL, NULL, 00000000003, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('A453AE25206D8F448673856182C413A7', 'EE79ED01E1CD7300690F17902EA1A1E6', '4', NULL, 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', '2023-05-08 17:08:17.061000', '2023-05-08 17:08:17.061000', '1', '1', NULL, NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('B698FB96E0BF13F65C6A7BE17B525420', '4141A3BF6036D88CF8782125B1722A7D', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:36:23.045000', '2023-05-08 17:33:52.936000', '1', '1', '0E207B1EC2FD79134878FC328C92F8DE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001231, 'AF8CBA871FC396CABEF48E8D2E6063BD', 00000000003, NULL, '123123');
INSERT INTO `details_of_centralized` VALUES ('BD6BAD027071EEF0D2690B39B6D62CB0', 'AEFA67BAB036E086B3A134F6951ADE1D', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-05 10:11:07.146000', '2023-05-06 16:01:55.615000', '1', 'BC1A096180973C5EA652C9787F5A155A', '4F6268D14A41FB9392FE50E031BD7D8C', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000099, '23C62823622E0022DD0E1CC729473C81', 00000000001, NULL, '备注');
INSERT INTO `details_of_centralized` VALUES ('D2325C7A05123E4771CED381D68B92D0', 'AEFA67BAB036E086B3A134F6951ADE1D', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-05 10:11:07.148000', '2023-05-05 10:11:21.894000', '1', '1', 'BB0E1A0FAB27A96540DE611B7FF29768', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('D67C7D67E8392FA734CC89099D7AC1B5', 'D73C45D7FB56EE13192A8FF5D5868471', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:36:30.748000', '2023-05-08 17:34:08.470000', '1', '1', '0E207B1EC2FD79134878FC328C92F8DE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001231, 'AF8CBA871FC396CABEF48E8D2E6063BD', 00000000003, NULL, '123123');
INSERT INTO `details_of_centralized` VALUES ('E1443E2822E9A0C8367C6992CAB2B6C2', 'CCEC4C5C33B28DE49274B6C91857BA21', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 16:42:49.601000', '2023-05-06 16:51:19.602000', '1', '1', '2E6AE5672FB123D03870474C2C30EE66', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', 00000000001, NULL, '测试换货');
INSERT INTO `details_of_centralized` VALUES ('E308F325D6FD1A61F333DD180BBF7FA0', '5E861971197C869B67818E4B38DD3DAA', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100, '6D9807222F22E3675247B2CFCD5344A5', NULL, '2023-05-06 17:34:39.227000', '2023-05-09 10:44:36.046000', '1', 'BC1A096180973C5EA652C9787F5A155A', '390F6C95F3533FED8A15DEAEBB3A9319', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('E5E2595B4DDB96323233673409FFAEF3', '4A22B0ADA2BD81DB77DE93B695C437BA', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-06 17:34:48.861000', '2023-05-06 17:35:15.727000', '1', '1', '43B618AA4683A37BD4EC9099FB2D49D6', NULL, NULL, 00000000002, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('EC457F220726A2B98C1B14FC548A3676', 'E45D91DF4A5EBE17F7113458FC22CEE2', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, '23C62823622E0022DD0E1CC729473C81', '1', '2023-05-06 17:37:05.553000', '2023-05-08 17:34:39.864000', '1', '1', '8469B62494E299011A387AFE025E7F2C', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('ED8915D349A5617AE762DAB09C945FFE', 'D73C45D7FB56EE13192A8FF5D5868471', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', NULL, '2023-05-06 17:36:30.749000', '2023-05-06 17:37:30.214000', '1', '1', '97F57279B51D0600883EA0D71C2E3007', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('F502B307F47D92FD8D2BA369435F8929', 'D1D5924DE1696DCA979F5DD2296ECB1B', '4', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 'AF8CBA871FC396CABEF48E8D2E6063BD', '申请备注', '2023-04-28 16:19:44.528000', '2023-04-28 16:32:26.839000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '325CE8D5E5014B494CAD0891C1CCE41F', NULL, NULL, 00000213123, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('F7808A6D0C106E6D75799B1D9D692AA4', '467EEBACC772818CCCEA23430EDDE97F', '3', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '28613635426554046F0B12D7121A5AAB', NULL, '2023-05-06 17:35:08.893000', '2023-05-06 17:35:15.723000', '1', '1', '9EEA3C9D0D8260D6CD81BAC617CC67BD', NULL, NULL, 00000000001, NULL, NULL);
INSERT INTO `details_of_centralized` VALUES ('FA1A019E6B270CFF81DE7D0932D76892', '7B45F10FDA6143DDD15008BD9045CF61', '2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001000, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-08 10:04:26.706000', '2023-05-09 09:32:19.867000', '1', 'BC1A096180973C5EA652C9787F5A155A', 'EC927690625417ABE8C1C3986BBD606C', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', 00000000010, NULL, '1');
INSERT INTO `details_of_centralized` VALUES ('FE49DD8F08565ABB04A2B10C0003FCB1', '4A22B0ADA2BD81DB77DE93B695C437BA', '1', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', NULL, '2023-05-06 17:34:48.862000', '2023-05-06 17:35:15.729000', '1', '1', '390F6C95F3533FED8A15DEAEBB3A9319', NULL, NULL, 00000000001, NULL, NULL);

-- ----------------------------
-- Table structure for disqualification_form
-- ----------------------------
DROP TABLE IF EXISTS `disqualification_form`;
CREATE TABLE `disqualification_form`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `compliance_check_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `disqualification_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`disqualification_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of disqualification_form
-- ----------------------------

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------
INSERT INTO `evaluation_form` VALUES (NULL, NULL, '110', '张三', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, NULL, '2023-05-09 14:17:08.302000', '2023-05-09 14:30:47.411000', '1', 'BC1A096180973C5EA652C9787F5A155A', '09BE67F815B4821BCBDA31FEE86CB853', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-09 00:00:00.000000', NULL, NULL, NULL, NULL, 2, NULL, '2023-05-09 14:30:47.408000');
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-09 14:17:08.304000', '2023-05-09 14:17:08.304000', '1', '1', '10F02F73E77A18E557C0DC98CEEB5F3D', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES ('111', NULL, '联系人电话2', '联系人姓名2', '1', NULL, NULL, NULL, NULL, '2023-05-05 14:28:11.122000', '2023-05-05 15:14:07.574000', '1', '1', '13A3ED8C5DC543CB3FFAE8BBD01B3DBC', '4DE1482F1E1C25E76EEAA306E3161C9D', '有', '有', '有', '优秀', '满意', '优秀', '优秀', '优秀', '提前', NULL, '2023-05-05 00:00:00.000000', NULL, NULL, NULL, NULL, 1, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-09 14:17:08.305000', '2023-05-09 14:17:08.305000', '1', '1', '2513692E950893BDCEA7C137055152C2', '649CF5C051DE55F375BB638440FFF37F', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 14:28:11.131000', '2023-05-05 14:28:11.131000', '1', '1', '4739D1F7F6A9869F2567411D3A63D415', '2DA79E5EA9BD6AC13D6BED4258B976EA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 10:14:35.373000', '2023-05-05 10:14:35.373000', '1', '1', '7044E5F666F62EA05473090808281D8E', '4DE1482F1E1C25E76EEAA306E3161C9D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 10:14:35.380000', '2023-05-05 10:14:35.380000', '1', '1', '7B3C3F8D31282327AE3882458ADE04BB', '2DA79E5EA9BD6AC13D6BED4258B976EA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 15:44:05.630000', '2023-05-05 15:44:05.630000', '1', '1', 'E5E8084AB5E4257266CDC3C60124CEB7', '4DE1482F1E1C25E76EEAA306E3161C9D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-05 15:44:05.633000', '2023-05-05 15:44:05.633000', '1', '1', 'F431F9A84922DA87A58BC868C37B2679', '2DA79E5EA9BD6AC13D6BED4258B976EA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `evaluation_form` VALUES ('合作愉快', NULL, '110', '张三', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, NULL, '2023-05-06 17:03:01.058000', '2023-05-08 17:41:21.312000', '1', '6c847974320c7cb184228d53eea19114', 'F946C6ED2CC55D6718B80C638A9FAADA', '649CF5C051DE55F375BB638440FFF37F', '有', '有', '有', '优秀', '满意', '优秀', '优秀', '优秀', '提前', NULL, '2023-05-08 00:00:00.000000', NULL, NULL, NULL, NULL, 2, NULL, '2023-05-08 17:41:21.310000');

-- ----------------------------
-- Table structure for expiration_reminder
-- ----------------------------
DROP TABLE IF EXISTS `expiration_reminder`;
CREATE TABLE `expiration_reminder`  (
  `expiration_date` datetime(0) NULL DEFAULT NULL COMMENT '(试剂耗材有效期/保质期)',
  `expiration_message` datetime(0) NOT NULL COMMENT '(试剂耗材到期提醒信息)',
  `reagent_consumable_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `expiration_reminder_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`expiration_reminder_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材到期提醒)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of expiration_reminder
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------

-- ----------------------------
-- Table structure for lattice_form
-- ----------------------------
DROP TABLE IF EXISTS `lattice_form`;
CREATE TABLE `lattice_form`  (
  `update_by` varbinary(255) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(255) NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cabinet_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of lattice_form
-- ----------------------------
INSERT INTO `lattice_form` VALUES (NULL, '1', 0, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO `lattice_form` VALUES (NULL, NULL, 0, '2', '1', NULL, NULL, NULL, NULL);
INSERT INTO `lattice_form` VALUES (NULL, NULL, 0, '3', '1', NULL, NULL, NULL, NULL);
INSERT INTO `lattice_form` VALUES (NULL, NULL, 0, '4', '1', NULL, NULL, NULL, NULL);
INSERT INTO `lattice_form` VALUES (NULL, NULL, 0, '5', '1', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for location_information
-- ----------------------------
DROP TABLE IF EXISTS `location_information`;
CREATE TABLE `location_information`  (
  `cabinet_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子编号)',
  `cabinet_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子类型)',
  `lattice_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(格子编号)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材入库登记表ID)',
  `storage_room_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室号)',
  `storage_room_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室类型)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `location_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`location_information_id`) USING BTREE,
  INDEX `IXFK_location_information_storage_registration_form`(`storage_registration_form_id`) USING BTREE,
  CONSTRAINT `FK_location_information_storage_registration_form` FOREIGN KEY (`storage_registration_form_id`) REFERENCES `storage_registration_form` (`storage_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(位置信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of location_information
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------
INSERT INTO `outgoing_contents` VALUES ('023DD686FD64CAA5F8BF99602C211475', '88E5DFCD17CE9274E09B226E882631BD', 1, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '1', '2023-05-05 17:22:37.489000', '2023-05-05 17:22:37.489000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('0D5080B9C9FFD4A9303602A81D8A77A1', 'AA2F750732A03939AD66B4D1D6408668', 0, 11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '11', '2023-05-04 14:28:47.910000', '2023-05-04 14:28:47.910000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('0FD2D7C8CEB9884E0FEA2842681D21C2', 'A186E1DE381BE7CC0D33EDA1D8783B4D', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-08 17:15:08.572000', '2023-05-08 17:15:08.572000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('15D95501F833DEEB6AA9756F0BB4CBF8', 'A16248278D7E84000550EED57E6BF0DD', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-08 14:18:03.122000', '2023-05-08 14:18:03.122000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('1A7C4370D24ABEED2FF148C377220ED3', 'A16248278D7E84000550EED57E6BF0DD', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-08 14:18:03.123000', '2023-05-08 14:18:03.123000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('1DABB86B331DB0630E1E6A4672946195', 'A186E1DE381BE7CC0D33EDA1D8783B4D', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-08 17:15:08.572000', '2023-05-08 17:15:08.572000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('29E9102D9A04D87A0B655FFCF7FC974C', 'ACBC2CE802A2261436BD21EF8EAD0D65', 1, 1, '82C95CE9E77AA26C1429DA1F0BDA536B', '标准储备溶液', NULL, '2023-05-06 10:31:10.449000', '2023-05-06 10:31:10.449000', '1', '1', 'ketamine-2023-27-05', '028425EC83558767770BFCF4027D7F97', NULL);
INSERT INTO `outgoing_contents` VALUES ('2CC59FBB4C88A85EA376D633B98B0568', '511C65E9DFE3355097313BFDC1209357', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '12313', '2023-05-06 09:41:13.459000', '2023-05-06 09:41:13.459000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('38B4D65B7F702924EA0C7611206C6E14', 'F1A162D226B298D173C4D65530818C8C', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-06 10:09:34.993000', '2023-05-06 10:09:34.993000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('3B242FF1C1700638EAA39E6C050FA7DD', 'FE8D5D44EF93C37354C7FE0CFFBE223B', 0, 1, '23C62823622E0022DD0E1CC729473C81', '标准物质', '123', '2023-05-06 09:39:17.827000', '2023-05-06 09:39:17.827000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ketamine-2023-1-012', '16CA64D63BC76004EDA05F560B5F1964', NULL);
INSERT INTO `outgoing_contents` VALUES ('5FEF322A4013ACD24C39CD2D4704DBB8', '88E5DFCD17CE9274E09B226E882631BD', 0, 1, '23C62823622E0022DD0E1CC729473C81', '标准物质', '1', '2023-05-05 17:22:37.488000', '2023-05-05 17:22:37.488000', '1', '1', 'ketamine-2023-1-012', '16CA64D63BC76004EDA05F560B5F1964', NULL);
INSERT INTO `outgoing_contents` VALUES ('6BA46F701490133F5C59F6A41B764A7C', '2F8736721D5A26C81239AED9141A7FCE', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '1', '2023-05-05 17:22:20.413000', '2023-05-05 17:22:20.413000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('74418D5D87CD884CB394A831C5B2B5FA', '60394586E937AE3D3B2E9C316B02D8EF', 1, 1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '标准储备溶液', NULL, '2023-05-04 14:18:03.580000', '2023-05-04 14:18:03.580000', '1', '1', 'heroin-2023-01-04', '1901475BB55EA53BD5CE0B745F3F8794', NULL);
INSERT INTO `outgoing_contents` VALUES ('7B6DED1ED1A3DD9DC428556CEF133DEC', '8A22B7DFE9CAEDBE5FAD9DDEDB194B9A', 0, 1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '标准储备溶液', NULL, '2023-05-04 10:28:30.934000', '2023-05-04 10:28:30.934000', '1', '1', 'heroin-2023-01-04', '1901475BB55EA53BD5CE0B745F3F8794', NULL);
INSERT INTO `outgoing_contents` VALUES ('88FAC6FEDCF80DF9FD9C8270B659E576', 'AEFCDB82C16C8928D12534858FD1FF75', 1, 1, '82C95CE9E77AA26C1429DA1F0BDA536B', '标准储备溶液', NULL, '2023-05-06 09:55:50.808000', '2023-05-06 09:55:50.808000', '1', '1', 'ketamine-2023-27-05', '028425EC83558767770BFCF4027D7F97', NULL);
INSERT INTO `outgoing_contents` VALUES ('94C0E2EEB2C68DF73F6EE3FDE830BFCF', '2F8736721D5A26C81239AED9141A7FCE', 0, 1, '23C62823622E0022DD0E1CC729473C81', '标准物质', '12132', '2023-05-05 17:22:20.412000', '2023-05-05 17:22:20.412000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ketamine-2023-1-012', '16CA64D63BC76004EDA05F560B5F1964', NULL);
INSERT INTO `outgoing_contents` VALUES ('9B081B2472FBC31670007FF293BC6547', '629945D4DB8A14F162752698990674FE', 1, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-04 15:25:45.359000', '2023-05-04 15:25:45.359000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('9FC38AA92631874A0581AD666E3017BC', '569BEA574070A2EF5D973363F0EC751A', 1, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-06 10:10:33.400000', '2023-05-06 10:10:33.400000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('B059539076A1CED586928A303922741F', '34F1B472D85FFC6298987371B77A432E', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '1', '2023-05-04 14:30:20.621000', '2023-05-04 14:30:20.621000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('B0FCD36F58F1BC05CA13D95A9BEB05E3', 'A16248278D7E84000550EED57E6BF0DD', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-08 14:18:03.123000', '2023-05-08 14:18:03.123000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('B130E200DD04D2F067E84B2F07E1C970', 'F88231ACC38D4B278A5DC27883C839C5', 1, 1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '标准储备溶液', NULL, '2023-05-04 14:14:27.618000', '2023-05-04 14:14:27.618000', '1', '1', 'heroin-2023-01-04', '1901475BB55EA53BD5CE0B745F3F8794', NULL);
INSERT INTO `outgoing_contents` VALUES ('B3786DECDF4F78B5F53142741472AA46', 'A186E1DE381BE7CC0D33EDA1D8783B4D', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-08 17:15:08.572000', '2023-05-08 17:15:08.572000', '1', '1', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('B972634CBE2D1056FC9ABF8ED3ABDD3E', '7D00134AA4AD48203D59E2121AB95E09', 0, 11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', '111', '2023-05-06 09:40:46.379000', '2023-05-06 09:40:46.379000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('D4CFFCCE4522F2797292E2D880E28112', 'ACBC2CE802A2261436BD21EF8EAD0D65', 0, 1, '23C62823622E0022DD0E1CC729473C81', '标准物质', '1', '2023-05-06 10:31:10.449000', '2023-05-06 10:31:10.449000', '1', '1', 'ketamine-2023-1-012', '16CA64D63BC76004EDA05F560B5F1964', NULL);
INSERT INTO `outgoing_contents` VALUES ('E65136FBED0A8DDA6D3DE10204058BB5', 'AEFCDB82C16C8928D12534858FD1FF75', 1, 1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '标准储备溶液', NULL, '2023-05-06 09:55:50.808000', '2023-05-06 09:55:50.808000', '1', '1', 'heroin-2023-01-04', '1901475BB55EA53BD5CE0B745F3F8794', NULL);
INSERT INTO `outgoing_contents` VALUES ('E76F246949DBB04F54D8E3788A585A14', '019FC43885E344BACAB728F78E8A9609', 0, 1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '标准储备溶液', NULL, '2023-05-04 10:42:49.448000', '2023-05-04 10:42:49.448000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'heroin-2023-01-04', '1901475BB55EA53BD5CE0B745F3F8794', NULL);
INSERT INTO `outgoing_contents` VALUES ('F16DEDAA202B0219EB5F419098D0C056', '1859907410821378ACA212350425F87E', 0, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '耗材', NULL, '2023-05-05 17:17:03.996000', '2023-05-05 17:17:03.996000', '1', '1', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------
INSERT INTO `period_verification_implementation` VALUES ('15B649E75E0EEE3A8017FE512EDB492B', NULL, NULL, NULL, '2132313', '2023-04-08 00:00:00.000000', 1, '122', '核查实施情况及结果', '1', NULL, 0, '14CB85C6D12ED5994A6D12B4D4A4BB2F', '备注', '72%', NULL, '核查方法', '2023-04-27 10:28:33.116000', '2023-05-05 16:55:25.067000', '1', '1', '8e8e0f7e373355367a6f101692f8864a', 'heroin-2023-1-004', '海洛因', NULL, 'D', NULL);
INSERT INTO `period_verification_implementation` VALUES ('74FFFB2216E982A974973F17960DC26B', NULL, NULL, NULL, NULL, NULL, 1, '0.9', '阿萨德', '1', NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', NULL, '88%', NULL, '1111111112', '2023-04-27 10:28:12.163000', '2023-05-05 16:57:35.838000', '1', '1', 'c519abbaeedfd64e456c2516c1da3617', 'ecstasy-2023-1-008', '摇头丸', NULL, NULL, NULL);
INSERT INTO `period_verification_implementation` VALUES ('7C017825A178C03E838B9A6D41271D9E', NULL, NULL, NULL, NULL, NULL, 1, '122', '123', '1', NULL, 1, '14CB85C6D12ED5994A6D12B4D4A4BB2F', NULL, '72%', NULL, '33333333333333', '2023-04-27 10:28:12.168000', '2023-05-05 16:55:40.685000', '1', '1', 'edb2e4995231e492f518584e5bbc6e53', 'heroin-2023-1-004', '海洛因', NULL, NULL, NULL);
INSERT INTO `period_verification_implementation` VALUES ('8BFA7EDCD209DCDDFAA2F4C90C5F0FBD', NULL, NULL, NULL, NULL, '2023-04-12 00:00:00.000000', 0, '0.9', '123123', 'BC1A096180973C5EA652C9787F5A155A', NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '21313', '88%', NULL, '123', '2023-04-27 10:28:20.048000', '2023-04-28 10:03:34.158000', '1', 'BC1A096180973C5EA652C9787F5A155A', '491fc3af03e227d050e3f51243dbdea5', NULL, '摇头丸', NULL, 'F', NULL);
INSERT INTO `period_verification_implementation` VALUES ('8C9A4FCE588A3DF4DDA15902F1474800', NULL, NULL, NULL, NULL, '2023-04-10 00:00:00.000000', 1, '0.9', '1', '1', NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '1', '88%', NULL, '123', '2023-04-27 10:28:28.539000', '2023-04-27 15:59:12.166000', '1', '1', '2404a7595a6ef0af70dfa8ff70a41f9d', 'ecstasy-2023-1-008', '摇头丸', NULL, 'F', NULL);
INSERT INTO `period_verification_implementation` VALUES ('9BA1B1A155D3C80BBD7B561723907F06', NULL, NULL, NULL, NULL, '2023-04-11 00:00:00.000000', 1, '0.9', '12', '1', NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '1', '88%', NULL, '123', '2023-04-27 10:28:24.789000', '2023-04-27 15:02:21.914000', '1', '1', 'b5065c9316a96353e37953241e4c57a3', 'ecstasy-2023-1-008', '摇头丸', NULL, NULL, NULL);
INSERT INTO `period_verification_implementation` VALUES ('E635854C730346A5AEA6B224A5ABD1BB', NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, 0, '007C4F9D413B84F5FED6B536D453E92D', NULL, '67%', NULL, 'cc', '2023-04-26 16:19:57.593000', '2023-04-26 16:19:57.593000', '1', '1', '2da813fdadaf44d5d682757cf8c93efc', 'dada-2023-1-038', '大麻1', NULL, NULL, NULL);
INSERT INTO `period_verification_implementation` VALUES ('F67F4CEBBE60E1D84A5B6E03C00EFE7B', NULL, NULL, NULL, NULL, '2023-04-27 00:00:00.000000', 1, '0.9', '1', '1', NULL, 1, '1200B689332ABDA94812252893AFE1A6', '1', '88%', NULL, '2131', '2023-04-27 10:28:20.053000', '2023-04-27 15:58:07.139000', '1', '1', 'e12a82765a63ff5143c2b9007461d116', NULL, '摇头丸', NULL, 'P', NULL);

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-18 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-27 10:28:33.409000', '2023-04-27 10:28:33.409000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '0080b0312c3521aeebc9726031630853', 'D011A070FB85416CAA6C45420BA2E0D7', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-03 00:00:00.000000', '88%', '1', NULL, NULL, '2023-04-27 09:53:05.488000', '2023-04-27 09:53:05.488000', '1', '1', '0803232e5f9bbe047fe1a191eb477db8', '42E35EFC61C188BFF6C7D5F3AED55463', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '122', NULL, NULL, NULL, '14CB85C6D12ED5994A6D12B4D4A4BB2F', NULL, '72%', NULL, NULL, NULL, '2023-05-05 16:48:35.055000', '2023-05-05 16:48:35.055000', '1', '1', '080f676a4dc7e45e4d57e6cece11cc0c', 'A8411F7535BBBFF2DEE303FF7E8BEF6B', 'heroin-2023-1-004');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-12 00:00:00.000000', '88%', '123', '2023-04-10 00:00:00.000000', 'F', '2023-04-27 10:27:40.973000', '2023-04-27 15:59:12.161000', 'BC1A096180973C5EA652C9787F5A155A', '1', '2404a7595a6ef0af70dfa8ff70a41f9d', 'A546E898271FF5581CD1311F3907A009', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.5', NULL, NULL, NULL, '16CA64D63BC76004EDA05F560B5F1964', NULL, '99%', NULL, NULL, NULL, '2023-05-05 16:52:10.689000', '2023-05-05 16:52:10.689000', '1', '1', '2a60fad6572270e30c4a89f70540b0bd', 'CE734955330D3FA7119AC41E54FC6DB4', 'ketamine-2023-1-012');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-03-28 00:00:00.000000', '88%', '545', NULL, NULL, '2023-04-27 09:55:19.660000', '2023-04-27 09:55:19.660000', '1', '1', '2c21b486156be140396d85a5d6175616', '161523738AC6233F032116FDE7D4EA25', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-11 00:00:00.000000', '88%', '1', NULL, NULL, '2023-04-27 09:50:21.681000', '2023-04-27 09:50:21.681000', '1', '1', '2fc39dd45b18e935964f4e0740f1ea34', '31828867EB6127041B4C8DD0475D710E', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-26 00:00:00.000000', '88%', '核查依据', NULL, NULL, '2023-04-28 11:10:31.242000', '2023-04-28 11:10:31.242000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '3ed61cf84a066b8ee1a2fbc341a2f6a6', '1362CD11F55BADE7CCBA8DA4D6EB0D7C', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '122', NULL, NULL, 3, '22CA5ADFA9F0AAD9477534BB54C10018', '2023-04-26 00:00:00.000000', '72%', '12132', NULL, NULL, '2023-04-28 11:10:31.242000', '2023-04-28 11:10:31.242000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '3ee95473384ba92adcfb7d4d87c4e317', '1362CD11F55BADE7CCBA8DA4D6EB0D7C', 'heroin-2023-1-009');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 5, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-13 00:00:00.000000', '88%', '123', '2023-04-12 00:00:00.000000', 'F', '2023-04-27 10:27:17.104000', '2023-04-28 10:03:34.162000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '491fc3af03e227d050e3f51243dbdea5', 'FA100F89A2DA6BD22788AF83AB40E31D', NULL);
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '1200B689332ABDA94812252893AFE1A6', '2023-04-12 00:00:00.000000', '88%', '123', NULL, NULL, '2023-04-28 10:48:35.623000', '2023-04-28 10:48:35.623000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '5a2ad40ed15b7f28a1e11c0d32bfcf9a', '0F65FC8FB5CED9790C955E8517B9A96B', 'ecstasy-2023-1-003');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-03-27 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-28 11:00:08.251000', '2023-04-28 11:00:08.251000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '6d75e610bdeed0ac5be51b014c9c009a', '4788A9B9AB83E8C829398EC09A3FA45B', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 4, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-19 00:00:00.000000', '88%', '21312', NULL, NULL, '2023-04-28 11:04:15.899000', '2023-04-28 11:04:15.899000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '731751dbada10ff828843578d973e012', 'AB5F2C29BD18F4AC887E58163DBBFA1A', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-12 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-28 11:05:33.396000', '2023-04-28 11:05:33.396000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '756895185fe43f6959c5c4bebc1349c9', 'DD0F26D59727E55CA50125933B863085', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.5', NULL, NULL, NULL, '16CA64D63BC76004EDA05F560B5F1964', NULL, '99%', NULL, NULL, NULL, '2023-05-05 10:48:02.862000', '2023-05-05 10:48:02.862000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '783e8b670d6c16e10b20dcec2a020e72', '1917172F5B65D81C39CB9AE7F008D67B', 'ketamine-2023-1-012');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '1200B689332ABDA94812252893AFE1A6', '2023-04-12 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-28 11:03:21.158000', '2023-04-28 11:03:21.158000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '7845a97c6a9811be56edd5a439c20094', 'C1F9F9EC5DBEE9084A56DB01CA54CE58', 'ecstasy-2023-1-003');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-04 00:00:00.000000', '88%', '1', NULL, NULL, '2023-04-27 09:54:31.195000', '2023-04-27 09:54:31.195000', '1', '1', '7bf20e17957e8d6071c80c8f8ab66311', '2BA130660544B03891EEBA3B10F6722B', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '1200B689332ABDA94812252893AFE1A6', '2023-04-20 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-27 10:10:21.481000', '2023-04-27 10:10:21.481000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '81f3cd70f97db84562463650edced201', '658F82D792056E2FA0898D5B336D83BF', 'ecstasy-2023-1-003');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-19 00:00:00.000000', '88%', '1213', NULL, NULL, '2023-04-28 10:52:12.767000', '2023-04-28 10:52:12.767000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '8dd642f70346b47633d94d9eb5d8abf6', '2FFD1B46E9944C0FB2BF1FDA9763E01E', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '122', NULL, NULL, 2, '14CB85C6D12ED5994A6D12B4D4A4BB2F', '2023-03-29 00:00:00.000000', '72%', '12312', '2023-04-08 00:00:00.000000', 'D', '2023-04-27 10:27:45.033000', '2023-05-05 16:55:25.062000', 'BC1A096180973C5EA652C9787F5A155A', '1', '8e8e0f7e373355367a6f101692f8864a', '7848B70CE5D16B5367B31B15247AA33C', 'heroin-2023-1-004');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 2, '1200B689332ABDA94812252893AFE1A6', '2023-04-11 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-27 09:49:53.362000', '2023-04-27 09:49:53.362000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '947cd1a31b2b29ff329a57892ffcd78c', '487E593594EDD405FD533EA686049563', 'ecstasy-2023-1-003');
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 1, '1200B689332ABDA94812252893AFE1A6', '2023-04-12 00:00:00.000000', '88%', '123', NULL, NULL, '2023-04-27 09:47:01.983000', '2023-04-27 09:47:01.983000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '94a8cdc6fea7ca75e7a4093bfa66d128', '6ED41BF68BDA89D4EF29E850F8DF1C54', 'ecstasy-2023-1-003');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-11 00:00:00.000000', '88%', '12313', NULL, NULL, '2023-04-28 10:50:50.706000', '2023-04-28 10:50:50.706000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '95e151928bd74a597b68f7456a90cd00', 'C19F1A632BAE0BB542346FB9BB4A9B95', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-18 00:00:00.000000', '88%', '核查依据', NULL, NULL, '2023-04-28 10:29:00.683000', '2023-04-28 10:29:00.683000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '96da18b969a3a2724764c5ec81f852f5', 'C034532F659C1DD308D6581F47BB9BE5', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-11 00:00:00.000000', '88%', '121', NULL, NULL, '2023-04-27 09:59:04.974000', '2023-04-27 09:59:04.974000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '97bc1206bb3c1ff4f93fb5d274ab36a8', '9F30D82915F4945EEC653B4EEF47308D', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-04 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-28 11:02:53.684000', '2023-04-28 11:02:53.684000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'b1184366b3ae4b389195450cf8aeb898', '1EA56A4A300EA93383C38BCE466481FB', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-05 00:00:00.000000', '88%', '123', '2023-04-11 00:00:00.000000', 'P', '2023-04-27 10:27:20.872000', '2023-04-27 15:02:21.922000', 'BC1A096180973C5EA652C9787F5A155A', '1', 'b5065c9316a96353e37953241e4c57a3', '173D45C88CB95C613898D1413622F7BC', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.5', NULL, NULL, 2, '16CA64D63BC76004EDA05F560B5F1964', '2023-05-01 00:00:00.000000', '99%', '1243', NULL, NULL, '2023-05-05 16:53:10.104000', '2023-05-05 16:53:10.104000', '1', '1', 'bb756250b66a0fbe2cad916ed21d9dc4', '49B2448A95AC68D7562CC1E73B204876', 'ketamine-2023-1-012');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-20 00:00:00.000000', '88%', '1111111112', NULL, NULL, '2023-04-27 10:27:09.045000', '2023-05-05 16:57:35.829000', 'BC1A096180973C5EA652C9787F5A155A', '1', 'c519abbaeedfd64e456c2516c1da3617', 'DF29274F0CE7F9CFF83F210907EA5E7F', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-19 00:00:00.000000', '88%', '123', NULL, NULL, '2023-04-27 10:28:55.169000', '2023-04-27 10:28:55.169000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'c97e27939341669fc34c8ef6f310b7da', '133C5405B314F10227B6807EE8F64035', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '1200B689332ABDA94812252893AFE1A6', '2023-04-18 00:00:00.000000', '88%', '2131', '2023-04-27 00:00:00.000000', 'P', '2023-04-27 10:27:17.104000', '2023-04-27 15:58:07.135000', 'BC1A096180973C5EA652C9787F5A155A', '1', 'e12a82765a63ff5143c2b9007461d116', 'FA100F89A2DA6BD22788AF83AB40E31D', NULL);
INSERT INTO `period_verification_plan` VALUES (NULL, NULL, NULL, NULL, 1, '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-19 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-27 09:57:50.901000', '2023-04-27 09:57:50.901000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ea31c378c997763d0d6a7ab44220fab1', '78282193AE7EB097EFED40C628DE4995', 'ecstasy-2023-1-008');
INSERT INTO `period_verification_plan` VALUES (NULL, '122', NULL, NULL, 4, '14CB85C6D12ED5994A6D12B4D4A4BB2F', '2023-04-11 00:00:00.000000', '72%', '33333333333333', NULL, NULL, '2023-04-27 10:27:09.046000', '2023-05-05 16:55:40.679000', 'BC1A096180973C5EA652C9787F5A155A', '1', 'edb2e4995231e492f518584e5bbc6e53', 'DF29274F0CE7F9CFF83F210907EA5E7F', 'heroin-2023-1-004');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 3, '1200B689332ABDA94812252893AFE1A6', '2023-04-12 00:00:00.000000', '88%', '123', NULL, NULL, '2023-04-28 10:27:08.474000', '2023-04-28 10:27:08.474000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'f061dd633bb209f859ccc9f58c17e3d4', '8A76E2F62579C9E257025620CA445330', 'ecstasy-2023-1-003');
INSERT INTO `period_verification_plan` VALUES (NULL, '0.9', NULL, NULL, 2, '1200B689332ABDA94812252893AFE1A6', '2023-04-05 00:00:00.000000', '88%', '1231', NULL, NULL, '2023-04-28 11:07:12.310000', '2023-04-28 11:07:12.310000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'f9b35255a36f749bc950dedd0f8c93cf', 'EB1B564E380A5C61B01A82533E5F5BB5', 'ecstasy-2023-1-003');

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------
INSERT INTO `procurement_content` VALUES ('D488ADCFA3A85F7D02BE473356AE978C', 00000020, 'AF8CBA871FC396CABEF48E8D2E6063BD', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000200, 0000010.00, '2023-05-06 15:35:33.472000', '2023-05-06 15:35:46.451000', '1', '1', '082D2960A7390164B46B0FD06280BD44', NULL, NULL, NULL, '9E10C05F595F0850DE753C26DFA0B4B5', '10', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('F73C19AC2050C846025248BB05911711', 00000012, 'AF8CBA871FC396CABEF48E8D2E6063BD', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000120, 0000010.00, '2023-05-06 17:37:30.218000', '2023-05-08 17:37:56.434000', '1', '1', '0E207B1EC2FD79134878FC328C92F8DE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001231, 'AF8CBA871FC396CABEF48E8D2E6063BD', 0000010.00, 'B698FB96E0BF13F65C6A7BE17B525420', '3', NULL, '123123', NULL);
INSERT INTO `procurement_content` VALUES ('E31CBDEBEABF40CC276818F8BAAD19B1', 00000001, 'AF8CBA871FC396CABEF48E8D2E6063BD', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 0000010.00, '2023-05-06 16:42:56.215000', '2023-05-06 16:51:19.606000', '1', '1', '2E6AE5672FB123D03870474C2C30EE66', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', 0001999.00, 'E1443E2822E9A0C8367C6992CAB2B6C2', '1', NULL, '测试换货', NULL);
INSERT INTO `procurement_content` VALUES ('5D67E37DDC95BC39FD7489EF7A408A59', 00000101, '6D9807222F22E3675247B2CFCD5344A5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000201899, 0001999.00, '2023-05-06 17:35:15.737000', '2023-05-09 10:44:36.040000', '1', 'BC1A096180973C5EA652C9787F5A155A', '390F6C95F3533FED8A15DEAEBB3A9319', NULL, NULL, NULL, 'FE49DD8F08565ABB04A2B10C0003FCB1', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('5D67E37DDC95BC39FD7489EF7A408A59', 00000020, 'AF8CBA871FC396CABEF48E8D2E6063BD', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000200, 0000010.00, '2023-05-06 17:35:15.736000', '2023-05-06 17:35:15.736000', '1', '1', '43B618AA4683A37BD4EC9099FB2D49D6', NULL, NULL, NULL, '133A004381D0667465AEA8EB40101793', '10', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('F2A04472E0F9FE939785446A1A6A7759', 00000010, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000015550, 0001555.00, '2023-05-05 10:11:21.900000', '2023-05-06 16:01:55.614000', '1', 'BC1A096180973C5EA652C9787F5A155A', '4F6268D14A41FB9392FE50E031BD7D8C', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000099, '23C62823622E0022DD0E1CC729473C81', 0000100.00, 'BD6BAD027071EEF0D2690B39B6D62CB0', '1', '备注', '备注', NULL);
INSERT INTO `procurement_content` VALUES ('748AD04B639530D5CD6FE9C6892D7D09', 00000022, 'AF8CBA871FC396CABEF48E8D2E6063BD', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000220, 0000010.00, '2023-05-06 16:07:46.137000', '2023-05-06 16:46:42.079000', '1', 'BC1A096180973C5EA652C9787F5A155A', '8003532FC50CF615EA46951A13C2CEA7', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000011, '6D9807222F22E3675247B2CFCD5344A5', 0001999.00, '5DE42092DF6F2BC7A0BD9085BEFD9651', '22', NULL, '111', NULL);
INSERT INTO `procurement_content` VALUES ('F73C19AC2050C846025248BB05911711', 00000000, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 0001555.00, '2023-05-06 17:37:30.218000', '2023-05-08 17:34:39.859000', '1', '1', '8469B62494E299011A387AFE025E7F2C', NULL, NULL, NULL, '0733FB09F32CB55F7BE494D67CA60C89', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('F73C19AC2050C846025248BB05911711', 00000001, '6D9807222F22E3675247B2CFCD5344A5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001999, 0001999.00, '2023-05-06 17:37:30.218000', '2023-05-06 17:37:30.218000', '1', '1', '97F57279B51D0600883EA0D71C2E3007', NULL, NULL, NULL, 'ED8915D349A5617AE762DAB09C945FFE', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('5D67E37DDC95BC39FD7489EF7A408A59', 00000003, '28613635426554046F0B12D7121A5AAB', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000008997, 0002999.00, '2023-05-06 17:35:15.737000', '2023-05-06 17:35:15.737000', '1', '1', '9EEA3C9D0D8260D6CD81BAC617CC67BD', NULL, NULL, NULL, '15B01D19A6B693A10D0FC5E943C8B8C9', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('53A495BC72BF994F4EFA4C121C0F7085', 00000001, '8C057A697826732F6510CDC2A691B4D5', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000150, 0000150.00, '2023-05-09 14:15:38.596000', '2023-05-09 14:15:38.596000', '1', '1', 'A00719123EE5CE6EC5D50FCA44CBF727', NULL, NULL, NULL, '5319FC408F5C369EF592C38692F02711', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('53A495BC72BF994F4EFA4C121C0F7085', 00000010, 'EEB461F1E10CE14AD6E7E0247844053A', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 0000001.00, '2023-05-09 14:15:38.596000', '2023-05-09 14:15:38.596000', '1', '1', 'ADDCF7FA69CA8D0C261081EF2A675EB6', NULL, NULL, NULL, '7EBBFCC0A324EDBDDC151987BEB38B7F', '10', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('F2A04472E0F9FE939785446A1A6A7759', 00000001, '28613635426554046F0B12D7121A5AAB', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002999, 0002999.00, '2023-05-05 10:11:21.901000', '2023-05-05 10:11:21.901000', '1', '1', 'BB0E1A0FAB27A96540DE611B7FF29768', NULL, NULL, NULL, 'D2325C7A05123E4771CED381D68B92D0', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('F73C19AC2050C846025248BB05911711', 00000001, '28613635426554046F0B12D7121A5AAB', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002999, 0002999.00, '2023-05-06 17:37:30.218000', '2023-05-06 17:37:30.218000', '1', '1', 'D177FB2AF5C06E1EB837E36C88053742', NULL, NULL, NULL, '681BEEE1E4D9BECEE590547595DF43E2', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('D488ADCFA3A85F7D02BE473356AE978C', 00000001, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001555, 0001555.00, '2023-05-06 15:35:33.471000', '2023-05-06 15:35:33.471000', '1', '1', 'D657F378EAF65592CD35DC03DEAC4CDC', NULL, NULL, NULL, '7A7EC47FAFE446D1E1EB38CECF5E7D95', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('748AD04B639530D5CD6FE9C6892D7D09', 00000011, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000017105, 0001555.00, '2023-05-06 16:07:46.138000', '2023-05-06 16:47:35.104000', '1', 'BC1A096180973C5EA652C9787F5A155A', 'E311DDEB7C6E329A4EAEEEC640474368', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000022, '23C62823622E0022DD0E1CC729473C81', 0000011.00, '775534767A1FC612A83A10AC3E2B330B', '11', NULL, '备注', NULL);
INSERT INTO `procurement_content` VALUES ('FB3950FAC9A87BD0276584585268F40B', 00011001, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000017106555, 0001555.00, '2023-05-08 10:04:42.678000', '2023-05-09 09:36:13.913000', '1', 'BC1A096180973C5EA652C9787F5A155A', 'EC927690625417ABE8C1C3986BBD606C', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D9807222F22E3675247B2CFCD5344A5', 0001999.00, 'FA1A019E6B270CFF81DE7D0932D76892', '10', NULL, '1', '649CF5C051DE55F375BB638440FFF37F');
INSERT INTO `procurement_content` VALUES ('5D67E37DDC95BC39FD7489EF7A408A59', 00000003, '23C62823622E0022DD0E1CC729473C81', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000004665, 0001555.00, '2023-05-06 17:35:15.737000', '2023-05-06 17:35:15.737000', '1', '1', 'EE568AF9ED3D060551C593EF3D83147E', NULL, NULL, NULL, '280209FBBDAB4C010E25F2D200A0E9DB', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('53A495BC72BF994F4EFA4C121C0F7085', 00000001, '937EFD62F407E54BC1C57AD6A8159F83', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000120, 0000120.00, '2023-05-09 14:15:38.595000', '2023-05-09 14:15:38.595000', '1', '1', 'F682BDF23A6473DBA829597B02DDF7A7', NULL, NULL, NULL, '1B8AFB9D79CC53E38F20EA50BD00E9A9', '1', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------
INSERT INTO `provide_services_or_supplies` VALUES ('28613635426554046F0B12D7121A5AAB', 'F431F9A84922DA87A58BC868C37B2679', '2023-05-05 15:44:05.633000', '2023-05-05 15:44:05.633000', '1', '1', '219AE64E2C24954799099C65CEE403F8');
INSERT INTO `provide_services_or_supplies` VALUES ('28613635426554046F0B12D7121A5AAB', '4739D1F7F6A9869F2567411D3A63D415', '2023-05-05 14:28:11.132000', '2023-05-05 14:28:11.132000', '1', '1', '22290495D4055D6268FB3FF77F63D6C0');
INSERT INTO `provide_services_or_supplies` VALUES ('6D9807222F22E3675247B2CFCD5344A5', 'F946C6ED2CC55D6718B80C638A9FAADA', '2023-05-06 17:03:01.064000', '2023-05-06 17:03:01.064000', '1', '1', '36800A31F0BB248BD74F72911F978754');
INSERT INTO `provide_services_or_supplies` VALUES ('23C62823622E0022DD0E1CC729473C81', '13A3ED8C5DC543CB3FFAE8BBD01B3DBC', '2023-05-05 14:28:11.129000', '2023-05-05 14:28:11.129000', '1', '1', '3D7ECC0B5F108452014214A94E689128');
INSERT INTO `provide_services_or_supplies` VALUES ('28613635426554046F0B12D7121A5AAB', '7B3C3F8D31282327AE3882458ADE04BB', '2023-05-05 10:14:35.381000', '2023-05-05 10:14:35.381000', '1', '1', '7F5668C9ABBB3237CCC01E9A0BEB7F6B');
INSERT INTO `provide_services_or_supplies` VALUES ('937EFD62F407E54BC1C57AD6A8159F83', '10F02F73E77A18E557C0DC98CEEB5F3D', '2023-05-09 14:17:08.304000', '2023-05-09 14:17:08.304000', '1', '1', '8A77F823964938D697DE9BE9F893E251');
INSERT INTO `provide_services_or_supplies` VALUES ('23C62823622E0022DD0E1CC729473C81', 'E5E8084AB5E4257266CDC3C60124CEB7', '2023-05-05 15:44:05.632000', '2023-05-05 15:44:05.632000', '1', '1', '920EF1CF7477B6D839A41E8D21A0B114');
INSERT INTO `provide_services_or_supplies` VALUES ('8C057A697826732F6510CDC2A691B4D5', '09BE67F815B4821BCBDA31FEE86CB853', '2023-05-09 14:17:08.303000', '2023-05-09 14:17:08.303000', '1', '1', '9567405491AF254B25149EB81DF73465');
INSERT INTO `provide_services_or_supplies` VALUES ('EEB461F1E10CE14AD6E7E0247844053A', '2513692E950893BDCEA7C137055152C2', '2023-05-09 14:17:08.306000', '2023-05-09 14:17:08.306000', '1', '1', 'AC3CAEA0499E4CEB74BD3C825DDAE567');
INSERT INTO `provide_services_or_supplies` VALUES ('23C62823622E0022DD0E1CC729473C81', '7044E5F666F62EA05473090808281D8E', '2023-05-05 10:14:35.378000', '2023-05-05 10:14:35.378000', '1', '1', 'E2B597CF8155EB38363B442F1B26AD8A');

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(255) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------
INSERT INTO `purchase_catalogue` VALUES ('0ADA4915B884EC2AA1A4B213CF791556', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-19 16:45:21.266000', '2023-04-19 16:45:21.266000', '1', '1', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('564E236AFA6BA1EF7E9C28F927BFB13D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-18 10:01:40.512000', '2023-04-18 10:01:40.512000', '1', '1', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('59B41C115F9906393320FE4D5760053A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-18 09:49:33.036000', '2023-04-18 09:49:33.036000', '1', '1', NULL, NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('769B6D8D7A54F4595A06745F25706169', NULL, '审核通过', NULL, 1, NULL, '2023-04-18 11:30:05.605000', NULL, NULL, 4, '2023-04-18 09:54:38.615000', '2023-04-18 11:30:05.625000', '1', '1', '1', NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('AE1A54531739628E2A03E5FC54D2AD90', '1', '2', 1, 1, '2023-05-09 14:14:59.307000', '2023-05-09 14:15:02.759000', '1', NULL, 4, '2023-05-09 14:14:49.038000', '2023-05-09 14:15:13.725000', '1', '1', '1', NULL, '2023-05-09 14:14:49.052000');
INSERT INTO `purchase_catalogue` VALUES ('C36754AF0ECCE3A098669C5D69297F8F', '1', '2', 1, 1, '2023-05-09 14:08:13.752000', '2023-05-09 14:08:18.369000', '1', NULL, 4, '2023-05-09 14:07:45.333000', '2023-05-09 14:13:04.959000', '1', '1', '1', NULL, '2023-05-09 14:07:45.353000');
INSERT INTO `purchase_catalogue` VALUES ('F0E0C037E99B77A00FBBCBF05EF6E2A6', '审核通过', '审核通过', 1, 1, '2023-04-26 17:31:34.797000', '2023-04-26 17:31:55.937000', '1', NULL, 4, '2023-04-26 17:29:45.031000', '2023-04-26 17:34:16.160000', '1', '1', '1', NULL, NULL);
INSERT INTO `purchase_catalogue` VALUES ('F897538730C1722798970643884807FF', '准予通过', '审核不通过', 1, 0, '2023-05-08 15:14:49.557000', '2023-05-08 15:49:09.336000', '6c847974320c7cb184228d53eea19114', NULL, -3, '2023-04-18 09:54:23.427000', '2023-05-08 15:49:09.338000', '1', '1', '1', NULL, NULL);

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(9) NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------
INSERT INTO `purchase_list` VALUES ('2023-05-05 10:13:03采购清单', '2023-05-05 10:13:03.319000', '2023-05-05 14:46:28.091000', '1', '1', '52AA02AAA43D13B13D001CD5459611E6', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-09 14:16:13采购清单', '2023-05-09 14:16:13.738000', '2023-05-09 14:16:30.113000', '1', '1', '7ACBFA9BB466DB4BE3AD29A4F4C736BF', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-06 16:43:28采购清单', '2023-05-06 16:43:28.449000', '2023-05-06 16:45:40.804000', '1', '1', '87280AD05C70FA7BD079D3BAA045645A', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-05 16:12:42采购清单', '2023-05-05 16:12:42.243000', '2023-05-05 16:12:42.243000', '1', '1', 'AAAA079DFE9FD08F97C793A7582FCD0C', NULL, 0, '分散采购申请');
INSERT INTO `purchase_list` VALUES ('2023-05-06 15:39:56采购清单', '2023-05-06 15:39:56.405000', '2023-05-06 16:11:49.474000', '1', '1', 'FC77BF7B02B3CF1CB153179CF1210DB6', NULL, 1, '采购计划');

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------
INSERT INTO `purchase_list_details` VALUES ('FC77BF7B02B3CF1CB153179CF1210DB6', 1, '23C62823622E0022DD0E1CC729473C81', '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 16:28:07.570000', '2023-05-06 16:28:07.570000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '018969A4F2D3755F4B20AB961F840EBA', NULL);
INSERT INTO `purchase_list_details` VALUES ('87280AD05C70FA7BD079D3BAA045645A', 12, 'AF8CBA871FC396CABEF48E8D2E6063BD', '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 16:43:28.458000', '2023-05-06 17:50:31.445000', '1', 'BC1A096180973C5EA652C9787F5A155A', '1A83302C572773EB8FDD6291052AE3CD', '2E6AE5672FB123D03870474C2C30EE66');
INSERT INTO `purchase_list_details` VALUES ('7ACBFA9BB466DB4BE3AD29A4F4C736BF', 1, '937EFD62F407E54BC1C57AD6A8159F83', '649CF5C051DE55F375BB638440FFF37F', '2023-05-09 14:16:13.755000', '2023-05-09 14:16:23.640000', '1', '1', '29038F56FC38AB51B9FB5686B0BBA683', 'F682BDF23A6473DBA829597B02DDF7A7');
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, '2023-05-05 16:12:42.253000', '2023-05-05 16:12:42.253000', '1', '1', '2BD1EAB2E02780410E97BB49798864DC', NULL);
INSERT INTO `purchase_list_details` VALUES ('FC77BF7B02B3CF1CB153179CF1210DB6', 1, '23C62823622E0022DD0E1CC729473C81', '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 16:14:04.404000', '2023-05-06 16:14:04.404000', '1', '1', '41FADD1D49F47BB3B384E0159B98110B', NULL);
INSERT INTO `purchase_list_details` VALUES ('FC77BF7B02B3CF1CB153179CF1210DB6', 20, 'AF8CBA871FC396CABEF48E8D2E6063BD', '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 15:39:56.414000', '2023-05-06 16:30:37.560000', '1', '1', '4AB5177E3C8CBDEA8CEF89084543B62A', NULL);
INSERT INTO `purchase_list_details` VALUES ('7ACBFA9BB466DB4BE3AD29A4F4C736BF', 10, 'EEB461F1E10CE14AD6E7E0247844053A', '649CF5C051DE55F375BB638440FFF37F', '2023-05-09 14:16:13.750000', '2023-05-09 14:16:26.368000', '1', '1', '51C2A52EAADF8A58D3E0E5CCD262F171', 'ADDCF7FA69CA8D0C261081EF2A675EB6');
INSERT INTO `purchase_list_details` VALUES ('FC77BF7B02B3CF1CB153179CF1210DB6', 20, 'AF8CBA871FC396CABEF48E8D2E6063BD', '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 16:13:58.128000', '2023-05-06 16:13:58.128000', '1', '1', '7BD288EBC7D80CB10FA3F6B5113102E9', NULL);
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', '2023-05-05 16:13:47.027000', '2023-05-05 16:13:47.027000', '1', '1', '7F6B6A3E8ABCA406F56F8B2277E3B609', NULL);
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', 'B40A6E6F5CF433EA1BBAFCB4C679DC3B', '2023-05-05 16:13:18.031000', '2023-05-05 16:13:18.031000', '1', '1', '801DA5F4541B263065DE57FDABD7AAE8', NULL);
INSERT INTO `purchase_list_details` VALUES ('52AA02AAA43D13B13D001CD5459611E6', 1, '23C62823622E0022DD0E1CC729473C81', '4DE1482F1E1C25E76EEAA306E3161C9D', '2023-05-05 10:13:03.329000', '2023-05-05 10:13:23.574000', '1', '1', '8487FEDC7F4B3DD5E3B3365DEC10ADBA', NULL);
INSERT INTO `purchase_list_details` VALUES ('FC77BF7B02B3CF1CB153179CF1210DB6', 1, '23C62823622E0022DD0E1CC729473C81', NULL, '2023-05-06 15:39:56.420000', '2023-05-06 15:39:56.420000', '1', '1', '890520EF4C0E985CB431B8C3B909AA62', NULL);
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-05 16:13:23.498000', '2023-05-05 16:13:23.498000', '1', '1', '981C929803A5F1DE6DDD3C47F64890FA', NULL);
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-05 16:13:23.767000', '2023-05-05 16:13:23.767000', '1', '1', 'AB9E5B5245264967DCAA914DB9EC1C31', NULL);
INSERT INTO `purchase_list_details` VALUES ('52AA02AAA43D13B13D001CD5459611E6', 1, '28613635426554046F0B12D7121A5AAB', '2DA79E5EA9BD6AC13D6BED4258B976EA', '2023-05-05 10:13:03.336000', '2023-05-05 10:13:28.848000', '1', '1', 'B4E2D153454938F1388A807CC1CA5CAB', NULL);
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '3875E2F31011ED1E15F69B879C4FEDC3', '2023-05-05 16:13:38.516000', '2023-05-05 16:13:38.516000', '1', '1', 'C1C2F93F06AA913F89C638FE352E57A0', NULL);
INSERT INTO `purchase_list_details` VALUES ('7ACBFA9BB466DB4BE3AD29A4F4C736BF', 1, 'EEB461F1E10CE14AD6E7E0247844053A', '649CF5C051DE55F375BB638440FFF37F', '2023-05-09 14:16:13.745000', '2023-05-09 14:29:26.326000', '1', 'BC1A096180973C5EA652C9787F5A155A', 'D184BACE99E1B7EEDCFD1F10DA78F048', 'A00719123EE5CE6EC5D50FCA44CBF727');
INSERT INTO `purchase_list_details` VALUES ('AAAA079DFE9FD08F97C793A7582FCD0C', 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '80FA0C44E3A2846331CAD918A2D90F2D', '2023-05-05 16:13:34.603000', '2023-05-05 16:13:34.603000', '1', '1', 'D6F0F135A95D1EC64D030FF0B0F4B3B6', NULL);
INSERT INTO `purchase_list_details` VALUES ('FC77BF7B02B3CF1CB153179CF1210DB6', 20, 'AF8CBA871FC396CABEF48E8D2E6063BD', '649CF5C051DE55F375BB638440FFF37F', '2023-05-06 16:11:46.548000', '2023-05-06 16:11:46.548000', '1', '1', 'F9D014B4FCAC17F14041F971589ED82E', NULL);

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `department` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------
INSERT INTO `purchasing_plan` VALUES (280, '1', '1', '2023-05-09 14:16:13.732000', '1', '1', '2023-05-09 14:16:07.286000', '1', '2023-05-09 14:15:38.594000', '2023-05-09 14:16:13.760000', '1', '1', NULL, '1', NULL, 5, '53A495BC72BF994F4EFA4C121C0F7085', '1', NULL, NULL, '管理员', '2023-05-09 14:15:41.589000', NULL);
INSERT INTO `purchasing_plan` VALUES (215761, '不予通过', '0', '2023-05-08 17:08:07.900000', '准予通过', '1', '2023-05-08 17:04:22.773000', '6c847974320c7cb184228d53eea19114', '2023-05-06 17:35:15.735000', '2023-05-09 10:44:36.053000', '1', 'BC1A096180973C5EA652C9787F5A155A', NULL, '6c847974320c7cb184228d53eea19114', NULL, -5, '5D67E37DDC95BC39FD7489EF7A408A59', '1', NULL, NULL, '管理员', '2023-05-08 16:57:51.285000', NULL);
INSERT INTO `purchasing_plan` VALUES (17325, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-06 16:07:46.134000', '2023-05-06 16:07:47.720000', '1', '1', NULL, NULL, NULL, 2, '748AD04B639530D5CD6FE9C6892D7D09', '1', NULL, NULL, '管理员', '2023-05-06 16:07:47.711000', NULL);
INSERT INTO `purchasing_plan` VALUES (1755, '审批通过', '1', '2023-05-06 15:39:56.397000', NULL, NULL, NULL, '1', '2023-05-06 15:35:33.470000', '2023-05-06 15:39:56.427000', '1', '1', NULL, NULL, NULL, 3, 'D488ADCFA3A85F7D02BE473356AE978C', '1', NULL, NULL, '管理员', '2023-05-06 15:39:35.149000', NULL);
INSERT INTO `purchasing_plan` VALUES (10, '审批通过', '1', '2023-05-06 16:43:28.441000', NULL, NULL, NULL, '1', '2023-05-06 16:42:56.210000', '2023-05-06 16:43:28.469000', '1', '1', NULL, NULL, NULL, 3, 'E31CBDEBEABF40CC276818F8BAAD19B1', '1', NULL, NULL, '管理员', '2023-05-06 16:42:57.997000', NULL);
INSERT INTO `purchasing_plan` VALUES (18549, '审批通过', '1', '2023-05-05 10:13:03.309000', NULL, NULL, NULL, '1', '2023-05-05 10:11:21.896000', '2023-05-06 16:01:55.674000', '1', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, 3, 'F2A04472E0F9FE939785446A1A6A7759', '1', NULL, NULL, '管理员', NULL, NULL);
INSERT INTO `purchasing_plan` VALUES (5118, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-06 17:37:30.217000', '2023-05-08 17:37:56.445000', '1', '1', NULL, NULL, NULL, 1, 'F73C19AC2050C846025248BB05911711', '1', NULL, NULL, '管理员', '2023-05-08 16:57:45.677000', NULL);
INSERT INTO `purchasing_plan` VALUES (17106555, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-08 10:04:42.677000', '2023-05-09 09:36:13.923000', '1', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, NULL, 1, 'FB3950FAC9A87BD0276584585268F40B', '1', NULL, NULL, '管理员', '2023-05-08 16:57:19.218000', NULL);

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `unit_price` decimal(10, 2) NULL DEFAULT NULL,
  `storage_life` int(6) NULL DEFAULT NULL,
  `status` int(255) NULL DEFAULT NULL,
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warning_value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('1DDDCFB220F4BF96470F29A862AAB465', '23C62823622E0022DD0E1CC729473C81', '氯胺酮', '小米', '标准物质', '0.5', NULL, '50x50', '2023-04-26 17:29:45.033000', '2023-05-08 11:46:22.552000', '1', 'BC1A096180973C5EA652C9787F5A155A', '99%', NULL, 26, '一般标准物质', '1', NULL, NULL, '氯胺酮', '冷藏贮存', '无', '支', 'ketamine', 1555.00, NULL, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('23739707945681B3FC0F73345484633C', '9FCA4364F6EA88A1137D940A607E8170', '摇头丸标准储备溶液', '三星', '标准储备溶液', '0.9', NULL, '30x20', '2023-04-26 17:29:45.034000', '2023-04-27 17:05:52.192000', '1', '1', '88%', NULL, 4, '一般标准物质', '1', '1', '50ml', '摇头丸', '冷藏贮存', '无', '支', 'ecstasy', 2999.00, 12, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4FC26DE3BC99D183983B5D81214DDDB2', '8C057A697826732F6510CDC2A691B4D5', '乙醇', '天润', '试剂', '', NULL, '1x1', '2023-05-09 14:17:08.279000', '2023-05-09 14:17:08.279000', '1', '1', '99%', NULL, 2, '酒精', '20', NULL, NULL, '乙醇', '常规贮存', '1', '箱', 'alcohol', 150.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('704822B0A0369D83704F8A6443B5E82A', '937EFD62F407E54BC1C57AD6A8159F83', '碳酸氢钠', '贵安', '试剂', '1', NULL, '1x1', '2023-05-09 14:17:08.287000', '2023-05-09 14:17:08.287000', '1', '1', '99%', NULL, 2, '一般试剂', '10', NULL, NULL, '1', '常规贮存', '1', '箱', 'SodiumBicarbonate', 120.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('88E3F6FA4931584A4EA8F4718EF19BD8', 'EEB461F1E10CE14AD6E7E0247844053A', '试剂1', '1', '试剂', '1.0', NULL, '2x2', '2023-05-09 14:17:08.292000', '2023-05-09 14:17:08.292000', '1', '1', '99', NULL, 20, '一般试剂', '1', NULL, NULL, '1', '常规贮存', '1', '盒', 'reagent', 1.00, NULL, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9198B16BBF369CF3B380722C6F6A625E', '82C95CE9E77AA26C1429DA1F0BDA536B', '氯胺酮标准储备溶液', '小米', '标准储备溶液', '0.5', NULL, '50x50', '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '99%', NULL, 1, '一般标准物质', '1', '1', '1.2', '氯胺酮', '冷藏贮存', '无', '支', 'ketamine', 1555.00, 12, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B696C188E6944A3A1F7FF4DB9CCCB8D1', '6D9807222F22E3675247B2CFCD5344A5', '海洛因', '华为', '标准物质', '122', NULL, '50x50', '2023-04-26 17:29:45.032000', '2023-05-06 17:03:01.026000', '1', '1', '72%', NULL, 21, '一般标准物质', '1', '', NULL, '海洛因', '常规贮存', '无', '支', 'heroin', 1999.00, NULL, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B91BCDEBBD4E4549B82A8AE46E453290', 'AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '小米', '耗材', '无', NULL, '1', '2023-04-26 17:29:45.035000', '2023-05-08 14:18:03.120000', '1', '1', '无', NULL, 10, '一般耗材', '1', NULL, NULL, '手套', '常规贮存', '无', '箱', 'gloves', 10.00, NULL, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C9873D3372B25ABE3DF4741E7EE6394B', '03DC56AFF3DE5D439BE5A4FD4C8B826E', '海洛因标准储备溶液', '华为', '标准储备溶液', '122', NULL, '50x50', '2023-04-26 17:29:45.032000', '2023-05-05 18:02:44.111000', '1', '6c847974320c7cb184228d53eea19114', '72%', NULL, 2, '一般标准物质', '1', '1', '1.1', '海洛因', '常规贮存', '无', '支', 'heroin', 1999.00, 12, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CEA216565209CBC036366B53091E2FFF', '01544E78840136DB515916EC504FF137', '摇头丸标准储备溶液', '三星', '标准储备溶液', '0.9', NULL, '30x20', '2023-04-26 17:29:45.034000', '2023-04-28 10:03:34.149000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 1, '一般标准物质', '1', '1', '1', '摇头丸', '冷藏贮存', '无', '支', 'ecstasy', 2999.00, 1, 1, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E9C2C967CF110509C66207D492D4344D', '28613635426554046F0B12D7121A5AAB', '摇头丸', '三星', '标准物质', '0.9', NULL, '30x20', '2023-04-26 17:29:45.034000', '2023-05-05 15:44:05.613000', '1', '1', '88%', NULL, 23, '一般标准物质', '1', NULL, NULL, '摇头丸', '冷藏贮存', '无', '支', 'ecstasy', 2999.00, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('01544E78840136DB515916EC504FF137', '摇头丸标准储备溶液', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-04-28 10:03:34.149000', '1', 'BC1A096180973C5EA652C9787F5A155A', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '1');
INSERT INTO `reagent_consumables` VALUES ('03DC56AFF3DE5D439BE5A4FD4C8B826E', '海洛因标准储备溶液', '华为', '标准储备溶液', '122', '一般标准物质', '50x50', '2023-04-26 17:29:45.032000', '2023-04-26 17:31:55.950000', '1', '1', '72%', NULL, 1999.00, 'heroin', '1', '海洛因', '常规贮存', '无', '支', NULL, '1.1');
INSERT INTO `reagent_consumables` VALUES ('093EA43B64A395097C8DF71D994BA87D', '碳酸饮料', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-04-27 15:59:12.152000', '1', '1', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '56');
INSERT INTO `reagent_consumables` VALUES ('23C62823622E0022DD0E1CC729473C81', '氯胺酮', '小米', '标准物质', '0.5', '一般标准物质', '50x50', '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('28613635426554046F0B12D7121A5AAB', '摇头丸', '三星', '标准物质', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-05-05 16:57:35.817000', '1', '1', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6D9807222F22E3675247B2CFCD5344A5', '海洛因', '华为', '标准物质', '122', '一般标准物质', '50x50', '2023-04-26 17:29:45.032000', '2023-05-05 16:55:40.665000', '1', '1', '72%', NULL, 1999.00, 'heroin', '1', '海洛因', '常规贮存', '无', '支', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('82C95CE9E77AA26C1429DA1F0BDA536B', '氯胺酮标准储备溶液', '小米', '标准储备溶液', '0.5', '一般标准物质', '50x50', '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, '1.2');
INSERT INTO `reagent_consumables` VALUES ('8C057A697826732F6510CDC2A691B4D5', '乙醇', '天润', '试剂', '', '酒精', '1x1', '2023-05-09 14:07:45.336000', '2023-05-09 14:08:18.372000', '1', '1', '99%', NULL, 150.00, 'alcohol', '20', '乙醇', '常规贮存', '1', '箱', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('937EFD62F407E54BC1C57AD6A8159F83', '碳酸氢钠', '贵安', '试剂', '1', '一般试剂', '1x1', '2023-05-09 14:07:45.337000', '2023-05-09 14:08:18.378000', '1', '1', '99%', NULL, 120.00, 'SodiumBicarbonate', '10', '1', '常规贮存', '1', '箱', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9FCA4364F6EA88A1137D940A607E8170', '摇头丸标准储备溶液', '三星', '标准储备溶液', '0.9', '一般标准物质', '30x20', '2023-04-26 17:29:45.034000', '2023-04-26 17:31:55.952000', '1', '1', '88%', NULL, 2999.00, 'ecstasy', '1', '摇头丸', '冷藏贮存', '无', '支', NULL, '50ml');
INSERT INTO `reagent_consumables` VALUES ('A42D7295BCA1B8EE2FCC4672F1CD5891', '海洛因标准储备溶液', '小米', '标准储备溶液', '0.5', '一般标准物质', '50x50', '2023-04-26 17:29:45.033000', '2023-04-26 17:31:55.940000', '1', '1', '99%', NULL, 1555.00, 'ketamine', '1', '氯胺酮', '冷藏贮存', '无', '支', NULL, '45');
INSERT INTO `reagent_consumables` VALUES ('AF8CBA871FC396CABEF48E8D2E6063BD', '手套', '小米', '耗材', '无', '一般耗材', '1', '2023-04-26 17:29:45.035000', '2023-04-26 17:31:55.948000', '1', '1', '无', NULL, 10.00, 'gloves', '1', '手套', '常规贮存', '无', '箱', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EEB461F1E10CE14AD6E7E0247844053A', '试剂1', '1', '试剂', '1.0', '一般试剂', '2x2', '2023-05-09 14:14:49.041000', '2023-05-09 14:15:02.761000', '1', '1', '99', NULL, 1.00, 'reagent', '1', '1', '常规贮存', '1', '盒', NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------
INSERT INTO `reagent_consumables_set` VALUES (1, '82C95CE9E77AA26C1429DA1F0BDA536B', '2023-05-06 10:30:28.622000', '2023-05-06 10:30:28.622000', '1', '1', '0571D2019A57B0E6B87FD81B6FB11FB1', '50x50', NULL, 1, 'F6BB1D40A4948CBD3729D5C46394EB7B', 'D8CC58992F323B6BB5EB5A0EE9D44236', 'ketamine-2023-27-05');
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 17:15:08.553000', '2023-05-08 17:15:08.553000', '1', '1', '16603775E11D80F6B7DFBEC48260BFF0', '1', NULL, 0, '39E6E77560EE9775129C1EE696461122', 'F509652385D160863141C7DC997E5B76', NULL);
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:21:34.097000', '2023-05-04 14:21:34.097000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '20333CB0BE538D079F147AEAB39EA498', '1', '11', 0, '7C4663977A69DF24EE23B598E062F36E', '397A33D0162912F9B954D138DC9674F2', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '82C95CE9E77AA26C1429DA1F0BDA536B', '2023-05-06 09:43:44.387000', '2023-05-06 09:43:44.387000', '1', '1', '20A2FAB21A827BECB2AE5D23EB082240', '50x50', NULL, 1, 'F6BB1D40A4948CBD3729D5C46394EB7B', 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 'ketamine-2023-27-05');
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-08 14:28:01.114000', '2023-05-08 14:28:01.114000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '3CCDBDB5609C442BE95919DABE6BF705', '50x50', '备注', 0, '9E87F84467C37EB4A44849F23E8971FB', '666AC51E85586A9D0DADB6F3991F48A2', 'ketamine-2023-1-012');
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:17:39.836000', '2023-05-04 14:17:39.836000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '593C7A2C35E46E4E8BBDFFD3C47CFD5B', '1', '111', 0, '7C4663977A69DF24EE23B598E062F36E', '5910329FB371F7FDB063762B2F9E81AD', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-06 09:41:12.340000', '2023-05-06 09:41:12.340000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '5AC9479E3BDC6BACB8CFB890A6507E09', '1', '12313', 0, '7C4663977A69DF24EE23B598E062F36E', '7F6639E397BEE1CDAA1CDE7EA51BFB9D', NULL);
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:18:37.747000', '2023-05-04 14:18:37.747000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '648381536DC979AF7B567A6D0571139F', '1', '11', 0, '7C4663977A69DF24EE23B598E062F36E', '5478F5CA95137CC613BAC66A85C0A944', NULL);
INSERT INTO `reagent_consumables_set` VALUES (11, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-06 09:40:01.510000', '2023-05-06 09:40:01.510000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '6DF6B85550D0BF678EDD71C39FAD6297', '1', '111', 0, '7C4663977A69DF24EE23B598E062F36E', 'E01B5756E01400928F76E149AB9CBE85', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-06 10:30:28.620000', '2023-05-06 10:30:28.620000', '1', '1', '6EC0A37610E71E4C807C91C51F62350B', '50x50', '1', 0, '9E87F84467C37EB4A44849F23E8971FB', 'D8CC58992F323B6BB5EB5A0EE9D44236', 'ketamine-2023-1-012');
INSERT INTO `reagent_consumables_set` VALUES (1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2023-05-04 14:17:37.433000', '2023-05-04 14:17:37.433000', '1', '1', '74A114CC220E1DEA14FF11A05675000B', '50x50', NULL, 1, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'D7FE84C7CA67A94F9B68A612739933E3', 'heroin-2023-01-04');
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 14:16:32.636000', '2023-05-04 14:16:32.636000', '1', '1', '8110B8D0CBCAED56B3AB47AE6641C3CE', '1', '1', 0, '7C4663977A69DF24EE23B598E062F36E', '2F4C81A9E29F74DA5154B8E53684A680', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 15:21:36.478000', '2023-05-04 15:21:36.478000', '1', '1', '89C1E824B9A4AA2205AD2913B63A237B', '1', NULL, 1, 'EAE4435E584B184503D1158CA12DD529', '2F08743049D0A60EC939D3FC3467E687', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-06 09:39:17.796000', '2023-05-06 09:39:17.796000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '98AC26AB800DB86C75989D8684BBA529', '50x50', '123', 0, '9E87F84467C37EB4A44849F23E8971FB', '85E4B2AE422FAD39AFDB4C701F0F9C33', 'ketamine-2023-1-012');
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 14:17:17.183000', '2023-05-08 14:17:17.183000', '1', '1', 'A821C62BB5DDB26D7C1555198DB2B6AD', '1', NULL, 0, 'C44FD310D70B1E3DCBD061426E6CB72B', '3AB719A9F16A072E23E051D83DCC18A6', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 17:15:08.553000', '2023-05-08 17:15:08.553000', '1', '1', 'AA0DE8938110D040228CF79E3FB9AC03', '1', NULL, 0, '0DD1E2F913E75AA4FFF2D2EC099F6749', 'F509652385D160863141C7DC997E5B76', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-05 17:22:18.291000', '2023-05-05 17:22:18.291000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'ACEF2AC2069E83F2FEA9A33E88BE582D', '50x50', '12132', 0, '9E87F84467C37EB4A44849F23E8971FB', '1C96F4B959D35D303A8417DEBB2211CD', 'ketamine-2023-1-012');
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 14:17:17.184000', '2023-05-08 14:17:17.184000', '1', '1', 'B4F191DE35EACB1189E89983FED7946E', '1', NULL, 0, 'EAE4435E584B184503D1158CA12DD529', '3AB719A9F16A072E23E051D83DCC18A6', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-06 09:38:48.423000', '2023-05-06 09:38:48.423000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'BE0A8257D7AFB83B350D3F86AE19D02B', '50x50', '11', 0, '0DD1E2F913E75AA4FFF2D2EC099F6749', '7E8FD225B30F3B6572BF5FA0C1B14798', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 15:24:26.869000', '2023-05-04 15:24:26.869000', '1', '1', 'BED217D52199A341EF54F341B0FBAF00', '1', NULL, 1, 'EAE4435E584B184503D1158CA12DD529', '14C121D69039FD360ED8C737AAB8B02E', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '23C62823622E0022DD0E1CC729473C81', '2023-05-05 17:22:37.460000', '2023-05-05 17:22:37.460000', '1', '1', 'C111ACA36CCCF1AE90B92812890683EC', '50x50', '1', 0, '9E87F84467C37EB4A44849F23E8971FB', '324906C6DFDBEF565A81EAEBD4515A58', 'ketamine-2023-1-012');
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:12:56.592000', '2023-05-05 17:12:56.592000', '1', '1', 'C4C53BD266BB8068C71C86E5C9329281', '1', NULL, 0, '7C4663977A69DF24EE23B598E062F36E', '01908891B2B82B5D34A0C9349EC802B3', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:22:37.459000', '2023-05-05 17:22:37.459000', '1', '1', 'C54D02093384084CAFB4C9B05C9BED39', '1', '1', 1, '7C4663977A69DF24EE23B598E062F36E', '324906C6DFDBEF565A81EAEBD4515A58', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:05:01.832000', '2023-05-05 17:05:01.832000', '1', '1', 'CC23A6989EC06F40DEE42DF721D963A0', '1', NULL, 0, '7C4663977A69DF24EE23B598E062F36E', 'A47701A79B4AFE62EFB1270C2D29297F', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-04 15:25:45.313000', '2023-05-04 15:25:45.313000', '1', '1', 'D3BF43A809EBCD7DF715C8341854FADB', '1', NULL, 1, 'EAE4435E584B184503D1158CA12DD529', 'F791341196702121198DDC6B2E72D37C', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 14:17:17.182000', '2023-05-08 14:17:17.182000', '1', '1', 'D49745B78628FB2881710F3F1FC5FBA8', '1', NULL, 0, '51E7F0D132D006DAC9D3A55FA568DB60', '3AB719A9F16A072E23E051D83DCC18A6', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-08 17:15:08.553000', '2023-05-08 17:15:08.553000', '1', '1', 'D988EB7B2DFFDB77C5707D4F127709A4', '1', NULL, 0, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'F509652385D160863141C7DC997E5B76', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, 'AF8CBA871FC396CABEF48E8D2E6063BD', '2023-05-05 17:22:18.292000', '2023-05-05 17:22:18.292000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'DDA897D33AABDA6BCCF4197582DFB5E7', '1', '1', 0, '7C4663977A69DF24EE23B598E062F36E', '1C96F4B959D35D303A8417DEBB2211CD', NULL);
INSERT INTO `reagent_consumables_set` VALUES (1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2023-05-06 09:43:44.388000', '2023-05-06 09:43:44.388000', '1', '1', 'E379D8DD91167CE3626BFC5DE7114E8C', '50x50', NULL, 1, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 'heroin-2023-01-04');
INSERT INTO `reagent_consumables_set` VALUES (1, '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2023-05-04 14:14:27.596000', '2023-05-04 14:14:27.596000', '1', '1', 'F835167DD492714E608D5692870F4978', '50x50', NULL, 1, '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '50078CA9B05BE069B90AEAC8056C0326', 'heroin-2023-01-04');

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL,
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('ketamine-2023-27-05', '82C95CE9E77AA26C1429DA1F0BDA536B', 'F6BB1D40A4948CBD3729D5C46394EB7B', '028425EC83558767770BFCF4027D7F97', '2023-05-05 09:27:58.809000', '2023-05-05 09:27:58.809000', '1', '1', 0, '9198B16BBF369CF3B380722C6F6A625E');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-25-04', '01544E78840136DB515916EC504FF137', 'F7D6CF766AA8B26075AC5431A324F1DD', '04D6C94BB94E14219C3818DA1599C0D0', '2023-05-04 16:25:36.614000', '2023-05-04 16:25:36.614000', '1', '1', 0, 'CEA216565209CBC036366B53091E2FFF');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-011', '6D9807222F22E3675247B2CFCD5344A5', 'BEBF19F8E14AE85BE3EB4E3CE8083E95', '0C88D1406ACD594160ED46E601EC806E', '2023-05-06 17:03:01.022000', '2023-05-06 17:03:01.022000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-008', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', '11F81F7679D3CA1729FF851C60AEE6AE', '2023-04-27 09:10:22.718000', '2023-04-28 14:54:40.000000', '1', '1', -1, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-003', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', '1200B689332ABDA94812252893AFE1A6', '2023-04-27 09:10:22.711000', '2023-04-28 14:54:55.941000', '1', '1', -1, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-011', '28613635426554046F0B12D7121A5AAB', 'B0AC77474AB35A09B1B43B9D9B3F96A8', '12D6C6A09119F5CE5EC94211333E0081', '2023-05-05 10:14:35.354000', '2023-05-05 10:14:35.354000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-004', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '14CB85C6D12ED5994A6D12B4D4A4BB2F', '2023-04-27 09:10:22.660000', '2023-05-04 15:22:32.644000', '1', '6c847974320c7cb184228d53eea19114', -1, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-012', '23C62823622E0022DD0E1CC729473C81', '9E87F84467C37EB4A44849F23E8971FB', '16CA64D63BC76004EDA05F560B5F1964', '2023-05-05 10:19:03.864000', '2023-05-05 10:19:03.864000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-002', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', '182DD4C40FEB6C2CBE38E35850EADD5E', '2023-04-27 09:10:22.688000', '2023-05-04 15:28:12.069000', '1', '6c847974320c7cb184228d53eea19114', -1, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-01-04', '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '1901475BB55EA53BD5CE0B745F3F8794', '2023-05-04 10:01:45.084000', '2023-05-04 15:34:28.120000', '1', '6c847974320c7cb184228d53eea19114', -1, 'C9873D3372B25ABE3DF4741E7EE6394B');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-011', '23C62823622E0022DD0E1CC729473C81', '0DD1E2F913E75AA4FFF2D2EC099F6749', '1C86DFC27AEF81E3BC4985D669F98269', '2023-05-05 10:14:35.344000', '2023-05-05 10:14:35.344000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-009', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '22CA5ADFA9F0AAD9477534BB54C10018', '2023-04-27 09:10:22.670000', '2023-05-04 15:47:09.645000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-004', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', '25AEDD1433B764DE7457546A721B2B7B', '2023-04-27 09:10:22.712000', '2023-04-27 09:10:22.712000', '1', '1', -2, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-001', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '26ED30B7835BE6FEB89B6F45BFDC63E4', '2023-04-27 09:10:22.652000', '2023-04-27 09:10:22.652000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-013', '28613635426554046F0B12D7121A5AAB', '92D5E28A46D2E7F73EC6CAD776F5B6ED', '4266992C4FFFB3E9042B499BA97C4FF0', '2023-05-05 15:44:05.611000', '2023-05-05 15:44:05.611000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-015', '23C62823622E0022DD0E1CC729473C81', 'ADEC440163F0899694AE953A91893680', '46D2E431C38FCBDEA536B14D7D039368', '2023-05-05 14:28:11.090000', '2023-05-05 14:28:11.090000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-007', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '4AE2A85BD4E54955A054FE5BC6E9EB02', '2023-04-27 09:10:22.666000', '2023-04-27 09:10:22.666000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-013', '23C62823622E0022DD0E1CC729473C81', '9E87F84467C37EB4A44849F23E8971FB', '4BC4D8CDD1DE7CB99E3E328567167DE3', '2023-05-05 10:19:03.866000', '2023-05-05 10:19:03.866000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-005', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', '4DAB4D0D66F1206C907D232B7AA98738', '2023-04-27 09:10:22.713000', '2023-04-27 09:10:22.713000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-016', '23C62823622E0022DD0E1CC729473C81', 'DEA4AEA1610E8223E4D1D58A7E0E0FCD', '5442EE358A7753644EA92D5D6BED3B24', '2023-05-05 14:46:43.506000', '2023-05-05 14:46:43.506000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-006', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', '5B45F29D6EAC6CBC3483F1EFEF025434', '2023-04-27 09:10:22.715000', '2023-04-27 09:10:22.715000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-003', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', '5F1AF7FCE6321C5BEA2FD666D5224F08', '2023-04-27 09:10:22.689000', '2023-04-27 09:10:22.689000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-002', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '61E59651FB4342B7C60EE6A1FEBBBA29', '2023-04-27 09:10:22.656000', '2023-04-27 09:10:22.656000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-010', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', '6B5C3E114FD98587C0A35F14F9D05B16', '2023-04-27 09:10:22.701000', '2023-04-27 09:10:22.701000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-004', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', '712757CA955185FE19FF14871426A339', '2023-04-27 09:10:22.691000', '2023-04-27 09:10:22.691000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-005', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '8953E83C27D6FFA14CDC4CF5DAF4A730', '2023-04-27 09:10:22.662000', '2023-04-27 09:10:22.662000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-008', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', '89BE532BECAAA805829F57962C6CC198', '2023-04-27 09:10:22.668000', '2023-04-27 09:10:22.668000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-007', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', '89CE467D86F44E56C018387B79C42310', '2023-04-27 09:10:22.716000', '2023-04-27 09:10:22.716000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-001', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', '8DB7B18FE8151012EFB75EB0BDEBF9F7', '2023-04-27 09:10:22.686000', '2023-04-27 09:10:22.686000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-005', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', '987DD987B5BEDFE5C6A88B16A2C2AADA', '2023-04-27 09:10:22.692000', '2023-04-27 09:10:22.692000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-003', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'A099833D2136170A4703E011B685733D', '2023-04-27 09:10:22.658000', '2023-04-27 09:10:22.658000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-009', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', 'A29CE210E74D9762A46C4A8B69046595', '2023-04-27 09:10:22.699000', '2023-04-27 09:10:22.699000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-010', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'AE31531DF097E788A33D40A32F6FD12E', '2023-04-27 09:10:22.671000', '2023-04-27 09:10:22.671000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-008', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', 'B3CA7702D087B0513D9D1CC58C272168', '2023-04-27 09:10:22.698000', '2023-04-27 09:10:22.698000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-002', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', 'C085666D1D32E4D72C937006F96CF7D9', '2023-04-27 09:10:22.709000', '2023-04-27 09:10:22.709000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-009', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', 'D35F6F7A66FB4AE44F0176A1494C1461', '2023-04-27 09:10:22.719000', '2023-04-27 09:10:22.719000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-012', '28613635426554046F0B12D7121A5AAB', '56A7E90348B24787DD87187923DF19B7', 'D35F8A551FF8B78FED37BF4BDEB73538', '2023-05-05 14:28:11.101000', '2023-05-05 14:28:11.101000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-001', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', 'D47A75515C37553C0E7BFF192D112C0A', '2023-04-27 09:10:22.708000', '2023-04-27 09:10:22.708000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('heroin-2023-02-05', '03DC56AFF3DE5D439BE5A4FD4C8B826E', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'D9D6E2D64DC23F702687C04E1171B3F2', '2023-05-05 18:02:44.102000', '2023-05-05 18:02:44.102000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0, 'C9873D3372B25ABE3DF4741E7EE6394B');
INSERT INTO `reference_material` VALUES ('ecstasy-2023-1-010', '28613635426554046F0B12D7121A5AAB', 'F7D6CF766AA8B26075AC5431A324F1DD', 'DD7251BD7955C485A1286E68FB8DB31B', '2023-04-27 09:10:22.721000', '2023-04-27 09:10:22.721000', '1', '1', 0, 'E9C2C967CF110509C66207D492D4344D');
INSERT INTO `reference_material` VALUES ('heroin-2023-1-006', '6D9807222F22E3675247B2CFCD5344A5', '2AC90CFDAC0A4A20CDEC62B74BC1F52C', 'E27BA255129EBB932D4A35B21083CC02', '2023-04-27 09:10:22.664000', '2023-04-27 09:10:22.664000', '1', '1', 0, 'B696C188E6944A3A1F7FF4DB9CCCB8D1');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-014', '23C62823622E0022DD0E1CC729473C81', '9E87F84467C37EB4A44849F23E8971FB', 'E4BB9D2C3614B43622F8784C4963BE05', '2023-05-05 10:19:03.867000', '2023-05-05 10:19:03.867000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-006', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', 'F13D43FADA58D8A28743C12BC63B1BFE', '2023-04-27 09:10:22.695000', '2023-04-27 09:10:22.695000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-007', '23C62823622E0022DD0E1CC729473C81', 'F6BB1D40A4948CBD3729D5C46394EB7B', 'FBDDA0CF06603DD040C666D676BEB250', '2023-04-27 09:10:22.696000', '2023-04-27 09:10:22.696000', '1', '1', 0, '1DDDCFB220F4BF96470F29A862AAB465');
INSERT INTO `reference_material` VALUES ('ketamine-2023-1-017', '23C62823622E0022DD0E1CC729473C81', '475E9700E7F5653F0320B1B3B178AD5B', 'FD458568B32648F0C78C381B2C9D9653', '2023-05-08 11:46:22.549000', '2023-05-08 11:46:22.549000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0, '1DDDCFB220F4BF96470F29A862AAB465');

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `drawing_amount` int(8) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------
INSERT INTO `requisition_record` VALUES ('2023-05-08 14:18:03.105000', '1', NULL, '2023-05-08 14:18:03.104000', '2023-05-08 14:18:03.105000', '1', '1', '1A7D3093CFDC7E5A42D22D1612DB9D24', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', 1, NULL);
INSERT INTO `requisition_record` VALUES ('2023-04-25 16:23:36.577000', 'C27B8F582693B93596C21C1586A0845A', '1', '2023-04-25 16:23:36.575000', '2023-04-25 16:23:36.579000', '1', '1', '738CA26E44C8DFEF2F85B510600565BB', NULL, '22', 1, NULL);
INSERT INTO `requisition_record` VALUES ('2023-05-08 14:18:03.118000', '1', NULL, '2023-05-08 14:18:03.117000', '2023-05-08 14:18:03.118000', '1', '1', 'B0B005E692ECD6D6D50EE22B434A5095', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', 1, NULL);
INSERT INTO `requisition_record` VALUES ('2023-04-25 16:26:08.503000', '1', '1', '2023-04-25 16:26:08.496000', '2023-04-25 16:26:08.503000', '1', '1', 'B0BAF970BFCCF85F0A5434F0DE4FB0C7', '4DC0DFAD80856851F5484282EAFC54ED', '22', 1, NULL);
INSERT INTO `requisition_record` VALUES ('2023-05-08 14:18:03.084000', '1', NULL, '2023-05-08 14:18:03.079000', '2023-05-08 14:18:03.085000', '1', '1', 'D7A9728D6F1B456B70A0A09458010DF2', 'AF8CBA871FC396CABEF48E8D2E6063BD', '1', 1, NULL);

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `order_of_use` int(255) NULL DEFAULT NULL,
  `date_of_use` datetime(6) NULL DEFAULT NULL,
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of solution_use_form
-- ----------------------------
INSERT INTO `solution_use_form` VALUES ('23D73851721753C4E0189D29DEAE0DD0', 'B71DB4815DB1F53BFD02375229A56680', '1', NULL, 1, NULL, NULL);
INSERT INTO `solution_use_form` VALUES ('3B73251D038FFD34F13A50EF316F3E12', '20ED22AE77500A4FE1B115C11B744C01', '1', NULL, 1, NULL, NULL);
INSERT INTO `solution_use_form` VALUES ('9FF1BBB2D32DF9AF63F6A2A576D48201', '20ED22AE77500A4FE1B115C11B744C01', '1', NULL, 2, NULL, NULL);

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(3) NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `is_return` int(3) NULL DEFAULT NULL,
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------
INSERT INTO `standard_material_application` VALUES ('1', '2023-05-06 09:55:50.767000', '2023-05-06 10:11:01.336000', NULL, '1', 'ketamine-2023-27-05', '82C95CE9E77AA26C1429DA1F0BDA536B', 1, '2023-05-06 09:55:50.804000', '2023-05-06 10:11:01.337000', '1', '6c847974320c7cb184228d53eea19114', NULL, '50x50', '0818D211468A7950979917C9181ECAF7', NULL, NULL, NULL, NULL, 1, NULL, 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 1, '028425EC83558767770BFCF4027D7F97', NULL);
INSERT INTO `standard_material_application` VALUES ('1', '2023-05-06 10:31:10.431000', '2023-05-06 10:44:53.519000', '1', '1', 'ketamine-2023-1-012', '23C62823622E0022DD0E1CC729473C81', 1, '2023-05-06 10:31:10.447000', '2023-05-06 10:44:53.527000', '1', '6c847974320c7cb184228d53eea19114', NULL, '50x50', '89FE8AAEC029B6C9E09104176EF05C89', NULL, NULL, NULL, NULL, 0, NULL, 'D8CC58992F323B6BB5EB5A0EE9D44236', 1, '16CA64D63BC76004EDA05F560B5F1964', 0);
INSERT INTO `standard_material_application` VALUES ('1', '2023-05-06 10:31:10.418000', NULL, NULL, '1', 'ketamine-2023-27-05', '82C95CE9E77AA26C1429DA1F0BDA536B', 1, '2023-05-06 10:31:10.446000', '2023-05-06 10:31:10.446000', '1', '1', NULL, '50x50', 'CB4E51D78FD702E86A608E1BD2EB110D', NULL, NULL, NULL, NULL, 1, NULL, 'D8CC58992F323B6BB5EB5A0EE9D44236', 0, '028425EC83558767770BFCF4027D7F97', NULL);
INSERT INTO `standard_material_application` VALUES ('1', '2023-05-06 09:55:50.793000', '2023-05-06 10:07:57.564000', NULL, '1', 'heroin-2023-01-04', '03DC56AFF3DE5D439BE5A4FD4C8B826E', 1, '2023-05-06 09:55:50.805000', '2023-05-06 10:07:57.572000', '1', '1', NULL, '50x50', 'EDEB2CAB18BD633EBB531743995DD829', NULL, NULL, NULL, NULL, 1, NULL, 'C2CD2F20EA16D10ACBFF4A6303D6D9D7', 1, '1901475BB55EA53BD5CE0B745F3F8794', NULL);

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核结果)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核时间)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_content` int(6) NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------
INSERT INTO `standard_material_approval_form` VALUES ('7155BE2D5414DA33BCC85AAC7C4D79CD', '吴鑫', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, NULL, '2023-05-04 15:34:28.127000', '2023-05-04 15:34:28.127000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, 'EA088AA61983C2C8C60954D2D8E4B153', NULL, '2023-05-10 00:00:00.000000', '2023-04-27 09:10:22.000000', 1, '发现质变或有异常暂，停使用', '1901475BB55EA53BD5CE0B745F3F8794', NULL, '无', '50x50', NULL, 'heroin-2023-01-04', '123456', '海洛因标准储备溶液', 1, NULL);
INSERT INTO `standard_material_approval_form` VALUES ('7EE709F8E8680C32A5FF41D3D88B7B5E', '1', '1', NULL, NULL, NULL, '2023-05-04 15:47:09.643', '2023-05-04 15:47:09.658000', '2023-05-04 15:47:09.658000', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, 'EA088AA61983C2C8C60954D2D8E4B153', NULL, '2023-05-22 00:00:00.000000', '2023-04-27 09:10:22.000000', 1, '定值合格恢复使用', '22CA5ADFA9F0AAD9477534BB54C10018', NULL, '1', '50x50', NULL, 'heroin-2023-1-009', '管理员', '海洛因', 3, NULL);

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL,
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------
INSERT INTO `standard_reserve_solution` VALUES ('20ED22AE77500A4FE1B115C11B744C01', '1.2', '2023-05-05 09:26:03.313000', '10', '1', '5F1AF7FCE6321C5BEA2FD666D5224F08', 'ketamine-2023-1-003', '1', '2023-05-05 09:26:03.324000', '2023-05-05 09:27:58.813000', '1', '1', '1', '氯胺酮标准储备溶液', 'ketamine-2023-27-05', '1', NULL, 12, 1, '无');
INSERT INTO `standard_reserve_solution` VALUES ('8413127D5FCABBC844095D0510DACEE8', '1', '2023-05-04 16:23:31.384000', '10', '1', '25AEDD1433B764DE7457546A721B2B7B', 'ecstasy-2023-1-004', '1', '2023-05-04 16:23:31.399000', '2023-05-04 16:25:36.619000', '1', '1', '1', '摇头丸标准储备溶液', 'ecstasy-2023-25-04', '1', NULL, 1, 1, '无');
INSERT INTO `standard_reserve_solution` VALUES ('B71DB4815DB1F53BFD02375229A56680', '1.1', '2023-05-04 09:59:44.737000', '40', '1', '14CB85C6D12ED5994A6D12B4D4A4BB2F', 'heroin-2023-1-004', '1', '2023-05-04 09:59:44.752000', '2023-05-05 18:02:44.106000', '1', '6c847974320c7cb184228d53eea19114', '无', '海洛因标准储备溶液', 'heroin-2023-01-04', '1', NULL, 12, 1, '无');

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------
INSERT INTO `standard_solution_curve` VALUES ('1', NULL, '氯胺酮标准储备溶液', '1.2', 'ketamine-2023-27-05', '1.11.21.3', '2023-05-05 15:26:58.562000', '2023-05-05 15:26:58.562000', '1', '1', '2023-05-05 15:26:58.562000', '1CAF9AF1780BCB219E3CB7EAD33CAC21', '028425EC83558767770BFCF4027D7F97');
INSERT INTO `standard_solution_curve` VALUES ('1', NULL, '氯胺酮标准储备溶液', '1.2', 'ketamine-2023-27-05', '123', '2023-05-05 15:27:20.745000', '2023-05-05 15:27:20.745000', '1', '1', '2023-05-05 15:27:20.744000', '618254992FC6DE05B356346F23905B09', '028425EC83558767770BFCF4027D7F97');
INSERT INTO `standard_solution_curve` VALUES ('1', NULL, '氯胺酮标准储备溶液', '1.2', 'ketamine-2023-27-05', '1', '2023-05-05 15:24:31.930000', '2023-05-05 15:24:31.930000', '1', '1', '2023-05-05 15:24:31.928000', '8C52AA222CC9814561B51ABA64B1F565', '028425EC83558767770BFCF4027D7F97');
INSERT INTO `standard_solution_curve` VALUES ('1', NULL, '氯胺酮标准储备溶液', '1.2', 'ketamine-2023-27-05', '123', '2023-05-05 15:26:37.188000', '2023-05-05 15:26:37.188000', '1', '1', '2023-05-05 15:26:37.186000', 'F9E95784B478BE836F9C432B1E098663', '028425EC83558767770BFCF4027D7F97');

-- ----------------------------
-- Table structure for storage_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_registration_form`;
CREATE TABLE `storage_registration_form`  (
  `date_of_arrival` datetime(6) NULL DEFAULT NULL COMMENT '(入库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(入库人)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `storage_life` datetime(6) NULL DEFAULT NULL COMMENT '(存储期限)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `warehousing_batch_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`storage_registration_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材入库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of storage_registration_form
-- ----------------------------
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.697000', '2023-04-21 09:42:34.697000', '1', '1', NULL, '0528542639ACFE3ABDD28D2774360D1D', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 3, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, 'rtrdf', '2023-04-21 10:14:32.138000', '2023-04-21 10:14:32.138000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '0B98A1E3EB59C5A175DF5A2421283B56', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:47:34.128000', '2023-04-06 09:47:34.128000', '1', '1', NULL, '0D97B3B61D225A6D13DBD2A57B1746DD', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.759000', '2023-04-21 09:42:34.759000', '1', '1', NULL, '0E7D50FAA7EF0F003322AA9CB1810657', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.612000', '2023-04-21 09:42:34.612000', '1', '1', NULL, '0F111609BD2BDEE96859E4A666CFFCF8', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.668000', '2023-04-21 09:42:34.668000', '1', '1', NULL, '10BD4B70252DB25EA04F5D55C7D47A1E', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.824000', '2023-04-21 09:42:34.824000', '1', '1', NULL, '122F72B0F5C63D8F580244E04577B78B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.529000', '2023-04-21 09:42:34.529000', '1', '1', NULL, '154A443B91CCC31997995B2B72BE963B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 45, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '45', '2023-04-21 14:59:56.870000', '2023-04-21 14:59:56.870000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '1608F2EB77F51D9BC81172FEE5565082', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-05-05 14:46:43.488000', '2023-05-05 14:46:43.488000', '1', '1', NULL, '18D12712E2FEB3EFC652EF3D6120D38F', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 23, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '3', '2023-04-21 17:36:19.977000', '2023-04-21 17:36:19.977000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '1D2AB97F6697EF4127A5504E081E3B16', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-04-27 09:10:22.705000', '2023-04-27 09:10:22.705000', '1', '1', NULL, '2158CF641D35EF079F46649230745DF6', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '1231', '2023-05-08 11:50:04.352000', '2023-05-08 11:50:04.352000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '2351A195C06BB59ECAF5C9B80FB86CC3', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-05-05 14:28:11.070000', '2023-05-05 14:28:11.070000', '1', '1', NULL, '25C1C369AFC7D3A0A0BFA7BC032A9986', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.793000', '2023-04-21 09:42:34.793000', '1', '1', NULL, '2CACAA7352F1E2633F1B3B113E9487AF', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-05-05 14:28:11.098000', '2023-05-05 14:28:11.098000', '1', '1', NULL, '2EA138304E812EFE9FE196E759F1A70D', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.351000', '2023-04-21 09:15:03.351000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '30D17194C580DB7D2EFFE82D8D6C2F84', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 320, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, 'ewd', '2023-04-21 10:14:32.186000', '2023-04-21 10:14:32.186000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '3136717DF73230C3A2ABE699A38AD6BF', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '2', '2023-04-27 10:15:56.196000', '2023-04-27 10:15:56.196000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '3353B8BFC05BCD93128FB7786FB93862', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, '签收入库测试1', '2023-04-18 15:19:44.615000', '2023-04-18 15:19:44.615000', '1', '1', NULL, '346485D3F4D3A68D56F66B629AD5EAA0', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, '1', '2023-04-26 17:59:17.544000', '2023-04-26 17:59:17.544000', '1', '1', NULL, '389770A878AAE13D40C2A6394D476DBF', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:54:48.850000', '2023-04-06 09:54:48.850000', '1', '1', NULL, '3BC39DEBBAAC5E1DEEB71645E46E82FB', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:43:42.180000', '2023-04-06 14:43:42.180000', '1', '1', NULL, '3D6C7DA89A143E36F11B14716DBEC916', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '1', '2023-04-21 15:13:24.022000', '2023-04-21 15:13:24.022000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '445D7345B7EE62B432277D6E78E7DBCE', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:18:37.476000', '2023-04-20 17:18:37.476000', '1', '1', NULL, '47696FDC77B71F6962EBEACE5F23BE3B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '5', '2023-04-21 17:36:19.998000', '2023-04-21 17:36:19.998000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '4922BD8547DC599797BD464E604D9375', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EEB461F1E10CE14AD6E7E0247844053A', NULL, NULL, '1', '2023-05-09 14:17:08.290000', '2023-05-09 14:17:08.290000', '1', '1', NULL, '49A51DDC60BD06D556F6FB63351ED986', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:46:15.561000', '2023-04-06 14:46:15.561000', '1', '1', NULL, '4A8AFDC1F2F45D6338B99FFC08EC1593', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.416000', '2023-04-21 09:42:34.416000', '1', '1', NULL, '53E6BDB57FF4799A427338E420A6E6B5', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:03:02.261000', '2023-04-20 17:03:02.261000', '1', '1', NULL, '54E7C093C17BD81552293BBAFAE75FEC', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 45, '56BC02CC3C58F537A8289D142297A381', NULL, NULL, '54', '2023-04-21 15:12:16.285000', '2023-04-21 15:12:16.285000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '56B218A7ACDAF29CD9A61512A768DB64', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 50, '942B1DF7A794395171D3175270A46464', NULL, NULL, '签收入库测试2', '2023-04-18 15:19:44.672000', '2023-04-18 15:19:44.672000', '1', '1', NULL, '5B05E851D2D66C95C34B7204325D78BB', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '937EFD62F407E54BC1C57AD6A8159F83', NULL, NULL, '1', '2023-05-09 14:17:08.285000', '2023-05-09 14:17:08.285000', '1', '1', NULL, '5D01FA6130B37639B3C21D7633800630', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:18:37.402000', '2023-04-20 17:18:37.402000', '1', '1', NULL, '6090741BA19E25E446AAF66AE1823FF8', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:26:52.061000', '2023-04-20 17:26:52.061000', '1', '1', NULL, '60F163ACECEF48F93437233BD6E4B446', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.390000', '2023-04-21 09:15:03.390000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '61C7B0652CFEBE807AD5AA8497892CC9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.461000', '2023-04-21 09:15:03.461000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '6245CE1CE0A31A26B163CE79ED120269', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '1', '2023-04-27 09:10:22.678000', '2023-04-27 09:10:22.678000', '1', '1', NULL, '6670C1BE27D1B25F69CDDDB46A9934A7', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-04-26 17:58:21.995000', '2023-04-26 17:58:21.995000', '1', '1', NULL, '67524E3CDF8719F6B9B2A58024CE2C2A', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '1', '2023-04-26 17:54:11.036000', '2023-04-26 17:54:11.036000', '1', '1', NULL, '6F10CBEDE02173E76AC44D3A522C7B11', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '554', '2023-04-21 17:36:20.006000', '2023-04-21 17:36:20.006000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '724D5C8A99D0FA8C145DFD63FFAC8B49', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:45:40.353000', '2023-04-06 14:45:40.353000', '1', '1', NULL, '734B7F7F701E20E8F5F50458059A05B1', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '5', '2023-04-26 18:04:55.485000', '2023-04-26 18:04:55.485000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '76F1B94C1903A82B975E81A4B5EA263C', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, '1', '2023-05-06 17:03:00.974000', '2023-05-06 17:03:00.974000', '1', '1', NULL, '77DB388BCA2A43F4A5A5DD4D9A805785', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.583000', '2023-04-21 09:42:34.583000', '1', '1', NULL, '7AE6C69A71CE09E7C5B365BA66AF3B0B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-05-05 10:14:35.326000', '2023-05-05 10:14:35.326000', '1', '1', NULL, '7FF35621BF08BCB51ADC0F3B7A82AEE2', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '1', '2023-04-21 16:15:35.068000', '2023-04-21 16:15:35.068000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '803577F81910AA7D140C5188F609D4C1', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:26:52.111000', '2023-04-20 17:26:52.111000', '1', '1', NULL, '818DB160D782544520AB4F9D5DC234B0', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '212312', '2023-05-08 11:46:22.524000', '2023-05-08 11:46:22.524000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, '831CCC63C06BD99EC9BA199C5D42052C', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.467000', '2023-04-21 09:42:34.467000', '1', '1', NULL, '83B57D1B304C79092B5EC90DBA40CA8D', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, '1', '2023-04-26 18:04:23.680000', '2023-04-26 18:04:23.680000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '83E190DDE82F927FDEEBBF9287854CF9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 6, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '23', '2023-04-21 17:36:19.954000', '2023-04-21 17:36:19.954000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '840773AFD07AF191A3BCBCD31A44E132', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:59:58.109000', '2023-04-06 09:59:58.109000', '1', '1', NULL, '88C93586782BD982869ECF95A193B0E1', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 55, '56BC02CC3C58F537A8289D142297A381', NULL, NULL, '1', '2023-04-21 17:17:23.748000', '2023-04-21 17:17:23.748000', '1', '1', NULL, '9209E0DAA5B3CB2FCF168E30109CC803', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:56:59.426000', '2023-04-06 09:56:59.426000', '1', '1', NULL, '966CED58C26020D982E70DFCFC3DD890', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '1', '2023-04-21 15:22:15.614000', '2023-04-21 15:22:15.614000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '9C7C3E177C7A1B14CE9E3061C46E88E8', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.638000', '2023-04-21 09:42:34.638000', '1', '1', NULL, '9DE3DD0EC77E15B12A9898302D7BB956', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-04-27 09:10:22.684000', '2023-04-27 09:10:22.684000', '1', '1', NULL, '9E890974EE4B81BD1CB57598D57B679C', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 4, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '34', '2023-04-21 17:36:19.985000', '2023-04-21 17:36:19.985000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '9FC66A893475C0441D9CB852F1F48EF9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.498000', '2023-04-21 09:42:34.498000', '1', '1', NULL, 'AA86E137B575D19E108251C731AAA039', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-05-05 15:44:05.589000', '2023-05-05 15:44:05.589000', '1', '1', NULL, 'B0EBED334BCC530AE5B25697966AB22A', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '1', '2023-04-26 17:58:24.101000', '2023-04-26 17:58:24.101000', '1', '1', NULL, 'B1682FABE34E41CB897EC4784646E176', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 10:24:38.678000', '2023-04-06 10:24:38.678000', '1', '1', NULL, 'B6358461B20F27E81524422D0A9D024B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.312000', '2023-04-21 09:15:03.312000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'B6A5DCBEBE5EF28518F36D4547CEB5A7', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.496000', '2023-04-21 09:15:03.496000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'B8736AC7E41C7BCFC06EC7D3E24962AA', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:58:15.716000', '2023-04-06 09:58:15.716000', '1', '1', NULL, 'B93A3DF7C6DD1B29A946FD682C5390A9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 3, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '87', '2023-04-21 17:36:19.920000', '2023-04-21 17:36:19.920000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'B9CB105D9B794ED764FAB3EB34B47593', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '1', '2023-04-26 18:16:10.809000', '2023-04-26 18:16:10.809000', '1', '1', NULL, 'BC4300AE182181BB9A90DBEC1D88B3F9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.557000', '2023-04-21 09:42:34.557000', '1', '1', NULL, 'C160B5CE18D10179353CFD429E063D37', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:26:52.083000', '2023-04-20 17:26:52.083000', '1', '1', NULL, 'C173C6A2118F0599E89315AF44E4C8FB', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:57:37.714000', '2023-04-06 09:57:37.714000', '1', '1', NULL, 'C3C3F8D0B3AB960735CA4BD233F0FB46', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '1', '2023-04-21 15:20:30.074000', '2023-04-21 15:20:30.074000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'C75274A77E733B0E4992F7691D1B6000', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, 'AF8CBA871FC396CABEF48E8D2E6063BD', NULL, NULL, '备注', '2023-05-08 11:50:57.013000', '2023-05-08 11:50:57.013000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'CA78A274C77BC2FC1FE6136CB98CE068', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '6D9807222F22E3675247B2CFCD5344A5', NULL, NULL, '1', '2023-04-27 09:10:22.630000', '2023-04-27 09:10:22.630000', '1', '1', NULL, 'CAB4E4771116BB9A2E41B99F8A66F06F', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 3, '23C62823622E0022DD0E1CC729473C81', NULL, NULL, '3', '2023-05-05 10:19:03.860000', '2023-05-05 10:19:03.860000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'CBC13A0FC2AA9E712B62519F006AC2D9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.238000', '2023-04-21 09:15:03.238000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'CBF4C838D136D43FE54511700AFACEAB', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:15:03.425000', '2023-04-21 09:15:03.425000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'CFF8F77E8467C92DD7FA5D3D5412657C', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-05-05 10:14:35.351000', '2023-05-05 10:14:35.351000', '1', '1', NULL, 'D17612079B3A051EA53B4C5D5760BF6C', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 1, '8C057A697826732F6510CDC2A691B4D5', NULL, NULL, '1', '2023-05-09 14:17:08.276000', '2023-05-09 14:17:08.276000', '1', '1', NULL, 'D6262B0E613629F7829FB46CB1841B2B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:23:58.941000', '2023-04-06 14:23:58.941000', '1', '1', NULL, 'DB303AD7C1CBD80031EF6FEF1A9F523A', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-04-26 17:59:34.849000', '2023-04-26 17:59:34.849000', '1', '1', NULL, 'DD1851E569E3556CBBC8CE93CC99A441', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '28613635426554046F0B12D7121A5AAB', NULL, NULL, '1', '2023-04-26 18:13:56.999000', '2023-04-26 18:13:56.999000', '1', '1', NULL, 'E4AC89201E6541FF1F78B2D138FE2311', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 40, '233ace392b1a111a5a4b91191cb24811', NULL, NULL, '签收入库测试3', '2023-04-18 15:19:44.843000', '2023-04-18 15:19:44.843000', '1', '1', NULL, 'E5E286CBCCED35CED0ED516157DD16DC', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '23', '2023-04-21 17:36:19.968000', '2023-04-21 17:36:19.968000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'EF9F997C8988E7CE444EB69EEE644E64', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-20 17:26:52.020000', '2023-04-20 17:26:52.020000', '1', '1', NULL, 'F0AB3552B37F9F1C1A6526D52B9D5E51', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'E394DF6CB798A925D4C79F51544E1A73', NULL, NULL, '1', '2023-04-21 09:42:34.726000', '2023-04-21 09:42:34.726000', '1', '1', NULL, 'F16CD5F28B72079369BE7110D2F9F0BA', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 55, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '无', '2023-04-21 15:10:58.737000', '2023-04-21 15:10:58.737000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'F289098D9B0F59B8C74C01FC9353A706', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 4, '4DC0DFAD80856851F5484282EAFC54ED', NULL, NULL, '4', '2023-04-21 17:36:19.945000', '2023-04-21 17:36:19.945000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, 'FD0CF9F9C5882B9996753682F5F98172', NULL, NULL);

-- ----------------------------
-- Table structure for storage_room_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_room_form`;
CREATE TABLE `storage_room_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `floor` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `room_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of storage_room_form
-- ----------------------------
INSERT INTO `storage_room_form` VALUES ('1', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('1', '不合格', '19983828405', '王五', '张麻子', '111', 'reagen_managment/1644918737199.png', '标准物质-试剂耗材', '2023-03-20 14:22:54.922000', '2023-05-05 17:28:38.084000', '1', '1', '1155222', '522128111111111111', 'xxx供应商2', '13355556666', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1644918737199.png');
INSERT INTO `supplier_information` VALUES ('12F7D1F5F83481503F5EAC204BFE9FB7', '不合格', '1231', '123123', '231', 'reagen_managment/supplierInformation/12F7D1F5F83481503F5EAC204BFE9FB7', 'reagen_managment/12F7D1F5F83481503F5EAC204BFE9FB7', '3123', '2023-04-17 14:54:38.370000', '2023-04-28 11:48:46.061000', '1', '1', '2312312', '1231', '231231', '23123123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1641696251694.jpg', '1644918737199.png');
INSERT INTO `supplier_information` VALUES ('28E199ABB914ACEEDC7EE4AD8EF01DA9', '不合格', '1', '1', '1', NULL, NULL, '1', '2023-04-28 16:50:32.566000', '2023-05-05 17:27:55.534000', '1', 'BC1A096180973C5EA652C9787F5A155A', '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('2DA79E5EA9BD6AC13D6BED4258B976EA', '不合格', '电话', NULL, '姓名', NULL, NULL, '范围', '2023-04-17 14:09:39.445000', '2023-05-05 17:28:14.225000', 'BC1A096180973C5EA652C9787F5A155A', '1', '编码', '供应人身份证', '供应商名称1', '供应人电', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('3875E2F31011ED1E15F69B879C4FEDC3', '不合格', '供应商名称12', '供应商名称12', '供应商名称12', NULL, NULL, '供应商名称21', '2023-05-05 14:53:49.034000', '2023-05-09 14:30:41.259000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '供应商名称12', '供应商名称12', '供应商名称12', '供应商名称12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('4DE1482F1E1C25E76EEAA306E3161C9D', '不合格', '联系人电话2', '联系人姓名2', '供应人姓名2', 'reagen_managment/supplierInformation/4DE1482F1E1C25E76EEAA306E3161C9D', NULL, '供应范围2', '2023-04-17 16:44:38.852000', '2023-05-05 17:28:28.277000', 'BC1A096180973C5EA652C9787F5A155A', '1', '供应商编码2', '供应人身份证2', '供应商名称2', '供应人电话2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '复称.png', NULL);
INSERT INTO `supplier_information` VALUES ('649CF5C051DE55F375BB638440FFF37F', '合格', '110', '张三', '李四', NULL, NULL, '电子产品', '2023-05-05 16:29:18.228000', '2023-05-06 16:11:41.243000', '1', '1', '564100', '8808808820', '贵阳联创智能有限公司', '120', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('72E82118AA58CFE3EB4D400C253F512E', '不合格', '19983828405', '张三', '李四', '111', '222', '标准物质-试剂耗材', '2023-03-20 14:21:51.987000', '2023-05-05 17:28:40.709000', '1', '1', '1155222', '522128111111111111', 'xxx供应商', '13355556666', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('80FA0C44E3A2846331CAD918A2D90F2D', '不合格', '联系人电话', '联系人姓名', '供应人姓名', NULL, NULL, '供应范围', '2023-04-17 15:26:24.437000', '2023-05-05 17:28:25.276000', 'BC1A096180973C5EA652C9787F5A155A', '1', '供应商编码', '供应人身份证', '供应商名称', '供应人电话', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('92E358EC60031EF81C131A93355592E1', '不合格', '312', NULL, NULL, NULL, NULL, '12312', '2023-04-17 14:04:56.957000', '2023-05-05 17:28:10.481000', '1', '1', '123', '1231', '213', '23123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('B40A6E6F5CF433EA1BBAFCB4C679DC3B', '不合格', '3', '3', '3', NULL, NULL, '3', '2023-05-04 16:41:05.494000', '2023-05-05 17:28:32.257000', '1', '1', '3', '3', '3', '3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('EA088AA61983C2C8C60954D2D8E4B153', '不合格', '23123', '23123', '12312', NULL, NULL, '1231', '2023-04-17 14:21:31.333000', '2023-05-05 17:28:17.252000', 'BC1A096180973C5EA652C9787F5A155A', '1', '123', '23123', '123', '31231', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `limit_date` varbinary(255) NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------
INSERT INTO `warehousing_batch_list` VALUES ('063F29ADB703EB8A73F0E2AB94D19656', 1, '1231', '2023-05-10 00:00:00.000000', '2023-05-08 11:46:22.514000', '2023-05-11 00:00:00.000000', 1, '2023-05-08 11:46:22.520000', '2023-05-08 11:46:22.520000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '1D7051F1B5EB6E226E49B21EE63CB03A', '1', 0x31323331, '212312');
INSERT INTO `warehousing_batch_list` VALUES ('35138EBBBEDDC2C6FA7230E243CF8ADB', 1, NULL, '2023-05-24 00:00:00.000000', '2023-05-05 14:46:43.000000', '2023-05-23 00:00:00.000000', 1, '2023-05-05 14:46:43.484000', '2023-05-05 14:46:43.484000', '1', '1', NULL, 1, '1', '689369F22180EA7CDF413B16E9E67FCD', '1', NULL, '1');
INSERT INTO `warehousing_batch_list` VALUES ('4975F477545CE06EB6E8411D70B5E3E3', 2, '批号', '2023-05-17 00:00:00.000000', '2023-05-08 11:50:57.010000', '2023-06-02 00:00:00.000000', 1, '2023-05-08 11:50:57.013000', '2023-05-08 11:50:57.013000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '3FAFBF5C07289CC44EF2FEDB3539E73F', '1', 0xE5AD98E582A8E69C9FE99990, '备注');
INSERT INTO `warehousing_batch_list` VALUES ('71591123B489A952DF717931B8BD7CA0', 1, '333333333333333', '2023-05-16 00:00:00.000000', '2023-05-09 14:17:08.288000', '2023-05-04 00:00:00.000000', 10, '2023-05-09 14:17:08.289000', '2023-05-09 14:17:08.289000', '1', '1', NULL, NULL, '1', 'C44290826E859986F72FE09E04F241C0', '1', 0x3132, '1');
INSERT INTO `warehousing_batch_list` VALUES ('722933EC86B65C51E275C14E17875DC2', 1, NULL, '2023-05-08 00:00:00.000000', '2023-05-05 14:28:11.000000', '2023-05-08 00:00:00.000000', 1, '2023-05-05 14:28:11.097000', '2023-05-05 14:28:11.097000', '1', '1', NULL, 1, '1', '7E1392FCFCF9DADE60BCF1C2EE1DA75E', '1', NULL, '1');
INSERT INTO `warehousing_batch_list` VALUES ('72ED067A13A8742CBF85F61B682FACBE', 1, '批号', '2023-05-10 00:00:00.000000', '2023-05-08 11:50:04.350000', '2023-05-26 00:00:00.000000', 1, '2023-05-08 11:50:04.351000', '2023-05-08 11:50:04.351000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '3FAFBF5C07289CC44EF2FEDB3539E73F', '1', 0x31323331, '1231');
INSERT INTO `warehousing_batch_list` VALUES ('74ADA9FC8C124A75B9FFEB5B630BC439', 1, NULL, '2023-05-01 00:00:00.000000', '2023-05-05 14:28:11.000000', '2023-05-02 00:00:00.000000', 1, '2023-05-05 14:28:11.066000', '2023-05-05 14:28:11.066000', '1', '1', NULL, 1, '1', '6C80A2A6FEED22795935DB4B7930D386', '1', NULL, '1');
INSERT INTO `warehousing_batch_list` VALUES ('890C7CFF4A559909CDF32D6CD3611394', 1, '1111111111111', '2023-05-09 00:00:00.000000', '2023-05-09 14:17:08.269000', '2023-05-30 00:00:00.000000', 1, '2023-05-09 14:17:08.273000', '2023-05-09 14:17:08.273000', '1', '1', NULL, NULL, '1', '1EB027F93644E3B9460A563C8C75FEA6', '1', 0x3132, '1');
INSERT INTO `warehousing_batch_list` VALUES ('A09EA32BDD8ED09AB03710D24D442C2F', 1, NULL, '2023-05-01 00:00:00.000000', '2023-05-06 17:03:00.866000', '2023-05-15 00:00:00.000000', 1, '2023-05-06 17:03:00.970000', '2023-05-06 17:03:00.970000', '1', '1', NULL, 1, '1', '58502953199142D20A8F84A2B4742A06', '1', 0x3132, '1');
INSERT INTO `warehousing_batch_list` VALUES ('C39A333BDCC5AAE66F6F871ED4942C1A', 1, NULL, '2023-05-15 00:00:00.000000', '2023-05-05 15:44:06.000000', '2023-05-23 00:00:00.000000', 1, '2023-05-05 15:44:05.584000', '2023-05-05 15:44:05.584000', '1', '1', NULL, 1, '1', 'D4DF9C699287BFFC9614A2480EA2D833', '1', NULL, '1');
INSERT INTO `warehousing_batch_list` VALUES ('ED4E7BF8D3A0D4E4592A2EDED45D2191', 1, '222222222222222', '2023-05-19 00:00:00.000000', '2023-05-09 14:17:08.282000', '2023-05-02 00:00:00.000000', 1, '2023-05-09 14:17:08.285000', '2023-05-09 14:17:08.285000', '1', '1', NULL, NULL, '1', '6570B6CC805574922913E8CE0D52D47B', '1', 0x3132, '1');

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `total_quantity` int(6) NULL DEFAULT NULL,
  `warehousing_quantity` int(6) NULL DEFAULT NULL,
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------
INSERT INTO `warehousing_content` VALUES ('1D7051F1B5EB6E226E49B21EE63CB03A', '23C62823622E0022DD0E1CC729473C81', 1, 1, NULL, '2023-05-06 16:11:49.483000', '2023-05-08 11:46:22.562000', '1', 'BC1A096180973C5EA652C9787F5A155A', '3304D645D24B1F41A87EA68CC1D3401D', 'D94C8E79FA703CB2116594E4F3DD5628', NULL, '氯胺酮', NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('1EB027F93644E3B9460A563C8C75FEA6', '8C057A697826732F6510CDC2A691B4D5', 1, 1, NULL, '2023-05-09 14:16:30.120000', '2023-05-09 14:17:08.297000', '1', '1', '37667A47E0D364EFF01A340F0B48E11B', 'A23BE57BE8D52A9156ACBC8277F09E5F', '649CF5C051DE55F375BB638440FFF37F', '乙醇', NULL, 'D184BACE99E1B7EEDCFD1F10DA78F048');
INSERT INTO `warehousing_content` VALUES ('3FAFBF5C07289CC44EF2FEDB3539E73F', 'AF8CBA871FC396CABEF48E8D2E6063BD', 20, 2, NULL, '2023-05-06 16:11:49.483000', '2023-05-08 11:50:57.011000', '1', 'BC1A096180973C5EA652C9787F5A155A', '3304D645D24B1F41A87EA68CC1D3401D', NULL, '649CF5C051DE55F375BB638440FFF37F', '手套', NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('58502953199142D20A8F84A2B4742A06', '6D9807222F22E3675247B2CFCD5344A5', 1, 1, NULL, '2023-05-06 16:45:40.821000', '2023-05-06 17:03:01.049000', '1', '1', '11FDCB56A35BA7C64D69D98BED943B54', 'B78BE43314963F822AA4A1EB58842071', '649CF5C051DE55F375BB638440FFF37F', '海洛因', NULL, '1A83302C572773EB8FDD6291052AE3CD');
INSERT INTO `warehousing_content` VALUES ('5CACC745BF57B8A91767C32FA8259869', 'AF8CBA871FC396CABEF48E8D2E6063BD', 20, 0, NULL, '2023-05-06 16:11:49.482000', '2023-05-06 16:11:49.482000', '1', '1', '3304D645D24B1F41A87EA68CC1D3401D', NULL, NULL, '手套', NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('6570B6CC805574922913E8CE0D52D47B', '937EFD62F407E54BC1C57AD6A8159F83', 1, 1, NULL, '2023-05-09 14:16:30.120000', '2023-05-09 14:17:08.298000', '1', '1', '37667A47E0D364EFF01A340F0B48E11B', 'E9A5FBC0449FD4CBF0E7D8745EFFEBD7', '649CF5C051DE55F375BB638440FFF37F', '碳酸氢钠', NULL, '29038F56FC38AB51B9FB5686B0BBA683');
INSERT INTO `warehousing_content` VALUES ('689369F22180EA7CDF413B16E9E67FCD', '23C62823622E0022DD0E1CC729473C81', 1, 1, NULL, '2023-05-05 14:46:28.096000', '2023-05-05 14:46:43.521000', '1', '1', '66F9D96C0842162D7111F131D2D85B5A', 'F27B3F9D7F2817D2BC94EEA467FECAF6', '4DE1482F1E1C25E76EEAA306E3161C9D', '氯胺酮', NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('6C80A2A6FEED22795935DB4B7930D386', '23C62823622E0022DD0E1CC729473C81', 1, 1, NULL, '2023-05-05 14:27:43.076000', '2023-05-05 14:28:11.113000', '1', '1', '98E283216073754B3EE1B8139838F784', '0059EBCBF4D85C8096215F0F7B4637BD', '4DE1482F1E1C25E76EEAA306E3161C9D', '氯胺酮', NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('7E1392FCFCF9DADE60BCF1C2EE1DA75E', '28613635426554046F0B12D7121A5AAB', 1, 1, NULL, '2023-05-05 14:27:43.077000', '2023-05-05 14:28:11.116000', '1', '1', '98E283216073754B3EE1B8139838F784', '9E4DF311DB59CF964926A79B3DE20255', '2DA79E5EA9BD6AC13D6BED4258B976EA', '摇头丸', NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('C44290826E859986F72FE09E04F241C0', 'EEB461F1E10CE14AD6E7E0247844053A', 10, 10, NULL, '2023-05-09 14:16:30.120000', '2023-05-09 14:17:08.300000', '1', '1', '37667A47E0D364EFF01A340F0B48E11B', '019587824964D35D6E5C2D25B9D80CDF', '649CF5C051DE55F375BB638440FFF37F', '试剂1', NULL, '51C2A52EAADF8A58D3E0E5CCD262F171');
INSERT INTO `warehousing_content` VALUES ('D4DF9C699287BFFC9614A2480EA2D833', '28613635426554046F0B12D7121A5AAB', 1, 1, NULL, '2023-05-05 14:46:28.096000', '2023-05-05 15:44:05.627000', '1', '1', '66F9D96C0842162D7111F131D2D85B5A', 'BF7CB273C05D5996EAAA0F5CDC004A32', '2DA79E5EA9BD6AC13D6BED4258B976EA', '摇头丸', NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------
INSERT INTO `warehousing_record_form` VALUES ('11FDCB56A35BA7C64D69D98BED943B54', '87280AD05C70FA7BD079D3BAA045645A', 2, '2023-05-06 16:45:40.812000', '2023-05-06 17:03:01.065000', '1', '1', '2023-05-06入库任务');
INSERT INTO `warehousing_record_form` VALUES ('3304D645D24B1F41A87EA68CC1D3401D', 'FC77BF7B02B3CF1CB153179CF1210DB6', 1, '2023-05-06 16:11:49.478000', '2023-05-08 11:50:57.018000', '1', 'BC1A096180973C5EA652C9787F5A155A', '2023-05-06入库任务');
INSERT INTO `warehousing_record_form` VALUES ('37667A47E0D364EFF01A340F0B48E11B', '7ACBFA9BB466DB4BE3AD29A4F4C736BF', 2, '2023-05-09 14:16:30.116000', '2023-05-09 14:17:08.306000', '1', '1', '2023-05-09入库任务');
INSERT INTO `warehousing_record_form` VALUES ('66F9D96C0842162D7111F131D2D85B5A', '52AA02AAA43D13B13D001CD5459611E6', 2, '2023-05-05 14:46:28.093000', '2023-05-05 15:44:05.634000', '1', '1', '2023-05-05入库任务');
INSERT INTO `warehousing_record_form` VALUES ('98E283216073754B3EE1B8139838F784', '52AA02AAA43D13B13D001CD5459611E6', 2, '2023-05-05 14:27:43.073000', '2023-05-05 14:28:11.133000', '1', '1', '2023-05-05入库任务');

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
